# coding: utf8
from __future__ import unicode_literals


VERBS_IRREG = {
    "'ns": ('eens',),
    "'s": ('zijn',),
    'aai': ('aaien',),
    'aanbied': ('aanbieden',),
    'aanblik': ('aanblikken',),
    'aanbouw': ('aanbouwen',),
    'aanbrachten': ('aanbrengen',),
    'aanbreng': ('aanbrengen',),
    'aaneengeschakeld': ('aaneenschakelen',),
    'aaneengeschakelde': ('aaneenschakelen',),
    'aaneengesloten': ('aaneensluiten',),
    'aaneenschakelend': ('aaneenschakelen',),
    'aaneenschakelende': ('aaneenschakelen',),
    'aaneensluitende': ('aaneensluiten',),
    'aanfok': ('aanfokken',),
    'aangaande': ('aangaan',),
    'aangeblazen': ('aanblazen',),
    'aangebonden': ('aanbinden',),
    'aangebrand': ('aanbranden',),
    'aangebrande': ('aanbranden',),
    'aangedaan': ('aandoen',),
    'aangedane': ('aandoen',),
    'aangeklaagde': ('aanklagen',),
    'aangeklaagden': ('aanklagen',),
    'aangeklede': ('aankleden',),
    'aangekleed': ('aankleden',),
    'aangeleerd': ('aanleren',),
    'aangeleerde': ('aanleren',),
    'aangelegd': ('aanleggen',),
    'aangelegde': ('aanleggen',),
    'aangelegen': ('aanliggen',),
    'aangeleund': ('aanleunen',),
    'aangelopen': ('aanlopen',),
    'aangenomen': ('aannemen',),
    'aangepast': ('aanpassen',),
    'aangepaste': ('aanpassen',),
    'aangeplante': ('aanplanten',),
    'aangerichte': ('aanrichten',),
    'aangeschoten': ('aanschieten',),
    'aangeschreven': ('aanschrijven',),
    'aangeslagen': ('aanslaan',),
    'aangesneden': ('aansnijden',),
    'aangesprokene': ('aanspreken',),
    'aangestoken': ('aansteken',),
    'aangestreepte': ('aanstrepen',),
    'aangetekend': ('aantekenen',),
    'aangetekende': ('aantekenen',),
    'aangetoonde': ('aantonen',),
    'aangetrouwd': ('aantrouwen',),
    'aangevallen': ('aanvallen',),
    'aangevreten': ('aanvreten',),
    'aangevulde': ('aanvullen',),
    'aangewezen': ('aanwijzen',),
    'aangezien': ('aanzien',),
    'aangeërfd': ('aanerven',),
    'aangeërfde': ('aanerven',),
    'aangrenzende': ('aangrenzen',),
    'aangrijpend': ('aangrijpen',),
    'aangrijpende': ('aangrijpen',),
    'aangroei': ('aangroeien',),
    'aanhang': ('aanhangen',),
    'aanhef': ('aanheffen',),
    'aanhoudend': ('aanhouden',),
    'aanhoudende': ('aanhouden',),
    'aankap': ('aankappen',),
    'aankleef': ('aankleven',),
    'aankocht': ('aankopen',),
    'aankomend': ('aankomen',),
    'aankomende': ('aankomen',),
    'aankoop': ('aankopen',),
    'aankweek': ('aankweken',),
    'aanleg': ('aanleggen',),
    'aanleidend': ('aanleiden',),
    'aanliggend': ('aanliggen',),
    'aanliggende': ('aanliggen',),
    'aanloop': ('aanlopen',),
    'aanmaak': ('aanmaken',),
    'aanmatigend': ('aanmatigen',),
    'aanmatigende': ('aanmatigen',),
    'aannamen': ('aannemen',),
    'aanpak': ('aanpakken',),
    'aanpalende': ('aanpalen',),
    'aanplant': ('aanplanten',),
    'aanrecht': ('aanrechten',),
    'aanroep': ('aanroepen',),
    'aanschaf': ('aanschaffen',),
    'aanslaat': ('aanslaan',),
    'aansneden': ('aansnijden',),
    'aanspoelende': ('aanspoelen',),
    'aanspraken': ('aanspreken',),
    'aansprekend': ('aanspreken',),
    'aanstaand': ('aanstaan',),
    'aanstaande': ('aanstaan',),
    'aanstoot': ('aanstoten',),
    'aanstotend': ('aanstoten',),
    'aanstotende': ('aanstoten',),
    'aanteelt': ('aantelen',),
    'aantrek': ('aantrekken',),
    'aanvaarde': ('aanvaarden',),
    'aanvaart': ('aanvaren',),
    'aanval': ('aanvallen',),
    'aanvallend': ('aanvallen',),
    'aanvallende': ('aanvallen',),
    'aanvang': ('aanvangen',),
    'aanvijl': ('aanvijlen',),
    'aanving': ('aanvangen',),
    'aanvoegend': ('aanvoegen',),
    'aanvoegende': ('aanvoegen',),
    'aanvoer': ('aanvoeren',),
    'aanvraag': ('aanvragen',),
    'aanvulden': ('aanvullen',),
    'aanvullend': ('aanvullen',),
    'aanvullende': ('aanvullen',),
    'aanwas': ('aanwassen',),
    'aanwijs': ('aanwijzen',),
    'aanzeg': ('aanzeggen',),
    'aanzet': ('aanzetten',),
    'aanziend': ('aanzien',),
    'aanziende': ('aanzien',),
    'aanziet': ('aanzien',),
    'aanzoek': ('aanzoeken',),
    'aanzwellend': ('aanzwellen',),
    'aanzwellende': ('aanzwellen',),
    'aap': ('apen',),
    'aar': ('aren',),
    'aard': ('aarden',),
    'aarde': ('aren',),
    'aart': ('aren',),
    'aas': ('azen',),
    'absorberende': ('absorberen',),
    'acht': ('achten',),
    'achterbleven': ('achterblijven',),
    'achtergebleven': ('achterblijven',),
    'achtergelegen': ('achterliggen',),
    'achterhaalde': ('achterhalen',),
    'achterhoudend': ('achterhouden',),
    'achterhoudende': ('achterhouden',),
    'achterliggende': ('achterliggen',),
    'achternaging': ('achternagaan',),
    'achterstaand': ('achterstaan',),
    'achterstaande': ('achterstaan',),
    'achterstel': ('achterstellen',),
    'achterstond': ('achterstaan',),
    'actievoerende': ('actievoeren',),
    'adel': ('adelen',),
    'adem': ('ademen',),
    'ader': ('aderen',),
    'adopteerde': ('adopteren',),
    'adopteerden': ('adopteren',),
    'aerobic': ('aerobicen',),
    'afblies': ('afblazen',),
    'afbouw': ('afbouwen',),
    'afdoend': ('afdoen',),
    'afdoende': ('afdoen',),
    'afdrijvend': ('afdrijven',),
    'afdrijvende': ('afdrijven',),
    'afdronk': ('afdrinken',),
    'afdroog': ('afdrogen',),
    'afdruk': ('afdrukken',),
    'afdwong': ('afdwingen',),
    'afgaand': ('afgaan',),
    'afgaande': ('afgaan',),
    'afgebeten': ('afbijten',),
    'afgebogen': ('afbuigen',),
    'afgeborsteld': ('afborstelen',),
    'afgeborstelde': ('afborstelen',),
    'afgebrand': ('afbranden',),
    'afgebrande': ('afbranden',),
    'afgebroken': ('afbreken',),
    'afgebrokkelde': ('afbrokkelen',),
    'afgedaan': ('afdoen',),
    'afgedane': ('afdoen',),
    'afgedankte': ('afdanken',),
    'afgedraaid': ('afdraaien',),
    'afgedraaide': ('afdraaien',),
    'afgedreven': ('afdrijven',),
    'afgekeurde': ('afkeuren',),
    'afgeknabbelde': ('afknabbelen',),
    'afgeknot': ('afknotten',),
    'afgeknotte': ('afknotten',),
    'afgekort': ('afkorten',),
    'afgekorte': ('afkorten',),
    'afgeladen': ('afladen',),
    'afgeleefd': ('afleven',),
    'afgelegen': ('afliggen',),
    'afgeleid': ('afleiden',),
    'afgeleide': ('afleiden',),
    'afgelikt': ('aflikken',),
    'afgelikte': ('aflikken',),
    'afgelopen': ('aflopen',),
    'afgemaakte': ('afmaken',),
    'afgemat': ('afmatten',),
    'afgematte': ('afmatten',),
    'afgemeten': ('afmeten',),
    'afgepast': ('afpassen',),
    'afgepaste': ('afpassen',),
    'afgepeigerd': ('afpeigeren',),
    'afgepeigerde': ('afpeigeren',),
    'afgeplat': ('afplatten',),
    'afgeplatte': ('afplatten',),
    'afgereden': ('afrijden',),
    'afgericht': ('africhten',),
    'afgerichte': ('africhten',),
    'afgerond': ('afronden',),
    'afgeronde': ('afronden',),
    'afgeschafte': ('afschaffen',),
    'afgeschuind': ('afschuinen',),
    'afgeschuinde': ('afschuinen',),
    'afgesloofd': ('afsloven',),
    'afgesloofde': ('afsloven',),
    'afgesloten': ('afsluiten',),
    'afgesproken': ('afspreken',),
    'afgestampt': ('afstampen',),
    'afgestampte': ('afstampen',),
    'afgesteld': ('afstellen',),
    'afgestelde': ('afstellen',),
    'afgestompt': ('afstompen',),
    'afgestompte': ('afstompen',),
    'afgestorven': ('afsterven',),
    'afgestudeerd': ('afstuderen',),
    'afgestudeerde': ('afstuderen',),
    'afgestudeerden': ('afstuderen',),
    'afgetobd': ('aftobben',),
    'afgetobde': ('aftobben',),
    'afgetrapt': ('aftrappen',),
    'afgetrapte': ('aftrappen',),
    'afgetrokken': ('aftrekken',),
    'afgevaardigden': ('afvaardigen',),
    'afgevezen': ('afvijzen',),
    'afgewassen': ('afwassen',),
    'afgewend': ('afwennen',),
    'afgewende': ('afwenden',),
    'afgewerkt': ('afwerken',),
    'afgewerkte': ('afwerken',),
    'afgewogen': ('afwegen',),
    'afgezaagd': ('afzagen',),
    'afgezaagde': ('afzagen',),
    'afgezette': ('afzetten',),
    'afgezien': ('afzien',),
    'afgezonderd': ('afzonderen',),
    'afgezonderde': ('afzonderen',),
    'afgezonken': ('afzinken',),
    'afhaal': ('afhalen',),
    'afhangend': ('afhangen',),
    'afhangende': ('afhangen',),
    'afkeer': ('afkeren',),
    'afkeur': ('afkeuren',),
    'afkeurend': ('afkeuren',),
    'afkeurende': ('afkeuren',),
    'afkickt': ('afkicken',),
    'afkom': ('afkomen',),
    'afkoop': ('afkopen',),
    'aflaat': ('aflaten',),
    'afloop': ('aflopen',),
    'aflopend': ('aflopen',),
    'aflopende': ('aflopen',),
    'afmattend': ('afmatten',),
    'afmattende': ('afmatten',),
    'afnemende': ('afnemen',),
    'afpeil': ('afpeilen',),
    'afreis': ('afreizen',),
    'afrij': ('afrijden',),
    'afroep': ('afroepen',),
    'afschaf': ('afschaffen',),
    'afscheep': ('afschepen',),
    'afscheid': ('afscheiden',),
    'afschrik': ('afschrikken',),
    'afsloeg': ('afslaan',),
    'afsplitsten': ('afsplitsen',),
    'afspraken': ('afspreken',),
    'afsprong': ('afspringen',),
    'afsprongen': ('afspringen',),
    'afstaand': ('afstaan',),
    'afstaande': ('afstaan',),
    'afstamde': ('afstammen',),
    'afstel': ('afstellen',),
    'afstotend': ('afstoten',),
    'afstotende': ('afstoten',),
    'aftakt': ('aftakken',),
    'aftap': ('aftappen',),
    'aftrap': ('aftrappen',),
    'aftrek': ('aftrekken',),
    'afvaart': ('afvaren',),
    'afval': ('afvallen',),
    'afvielen': ('afvallen',),
    'afvloei': ('afvloeien',),
    'afvoer': ('afvaren',),
    'afwas': ('afwassen',),
    'afwatert': ('afwateren',),
    'afweer': ('afweren',),
    'afwijkend': ('afwijken',),
    'afwijzend': ('afwijzen',),
    'afwisselend': ('afwisselen',),
    'afwisselende': ('afwisselen',),
    'afzaten': ('afzitten',),
    'afzet': ('afzetten',),
    'afzwaait': ('afzwaaien',),
    'akker': ('akkeren',),
    'alarmerend': ('alarmeren',),
    'aluin': ('aluinen',),
    'analyserend': ('analyseren',),
    'anker': ('ankeren',),
    'antwoord': ('antwoorden',),
    'ar': ('arren',),
    'arbeid': ('arbeiden',),
    'arbeidsongeschikten': ('arbeidsongeschikte',),
    'arend': ('aren',),
    'argwaan': ('argwanen',),
    'argwanend': ('argwanen',),
    'argwanende': ('argwanen',),
    'art': ('arren',),
    'asem': ('asemen',),
    'at': ('eten',),
    'autorace': ('autoracen',),
    'avondmaal': ('avondmalen',),
    'avontuur': ('avonturen',),
    'baal': ('balen',),
    'baan': ('banen',),
    'baar': ('baren',),
    'baard': ('baarden',),
    'baarden': ('baren',),
    'baars': ('baarzen',),
    'baarst': ('baarzen',),
    'baas': ('bazen',),
    'baat': ('baten',),
    'babbel': ('babbelen',),
    'back': ('backen',),
    'backend': ('backen',),
    'bad': ('bidden',),
    'baden': ('bidden',),
    'badend': ('baden',),
    'badminton': ('badmintonnen',),
    'bagger': ('baggeren',),
    'bak': ('bakken',),
    'baken': ('bakenen',),
    'baker': ('bakeren',),
    'baks': ('baksen',),
    'bakte': ('bakken',),
    'bakten': ('bakken',),
    'bal': ('ballen',),
    'balder': ('balderen',),
    'balie': ('baliën',),
    'balk': ('balken',),
    'balkende': ('balken',),
    'balsem': ('balsemen',),
    'balt': ('ballen',),
    'balts': ('baltsen',),
    'ban': ('bannen',),
    'band': ('banden',),
    'bande': ('bannen',),
    'banden': ('bannen',),
    'banjer': ('banjeren',),
    'bank': ('banken',),
    'bankier': ('bankieren',),
    'bant': ('bannen',),
    'banvloek': ('banvloeken',),
    'barbecue': ('barbecuen',),
    'barbier': ('barbieren',),
    'barend': ('baren',),
    'barn': ('barnen',),
    'barst': ('barsten',),
    'bas': ('bassen',),
    'baseball': ('baseballen',),
    'basket': ('basketten',),
    'basketbal': ('basketballen',),
    'bast': ('bassen',),
    'basten': ('bassen',),
    'bat': ('batten',),
    'batik': ('batikken',),
    'bazel': ('bazelen',),
    'bazuin': ('bazuinen',),
    'beangst': ('beangsten',),
    'beangste': ('beangsten',),
    'bebaarde': ('bebaarden',),
    'bebloede': ('bebloeden',),
    'bebouwd': ('bebouwen',),
    'bebouwde': ('bebouwen',),
    'bebroed': ('bebroeden',),
    'bed': ('bedden',),
    'bedaard': ('bedaren',),
    'bedaarde': ('bedaren',),
    'bedacht': ('bedenken',),
    'bedachte': ('bedenken',),
    'bedauwde': ('bedauwen',),
    'bedde': ('bedden',),
    'bedeeld': ('bedelen',),
    'bedeelde': ('bedelen',),
    'bedeelden': ('bedelen',),
    'bedekt': ('bedekken',),
    'bedekte': ('bedekken',),
    'bedenk': ('bedenken',),
    'bederf': ('bederven',),
    'bedien': ('bedienen',),
    'bediend': ('bedienen',),
    'bediende': ('bedienen',),
    'bedienden': ('bedienen',),
    'beding': ('bedingen',),
    'bedoeld': ('bedoelen',),
    'bedolven': ('bedelven',),
    'bedonderd': ('bedonderen',),
    'bedorven': ('bederven',),
    'bedreigend': ('bedreigen',),
    'bedreven': ('bedrijven',),
    'bedrijf': ('bedrijven',),
    'bedrijvend': ('bedrijven',),
    'bedrijvende': ('bedrijven',),
    'bedroefd': ('bedroeven',),
    'bedroefde': ('bedroeven',),
    'bedroevend': ('bedroeven',),
    'bedroevende': ('bedroeven',),
    'bedrogen': ('bedriegen',),
    'bedrogene': ('bedriegen',),
    'bedrukt': ('bedrukken',),
    'bedrukte': ('bedrukken',),
    'beducht': ('beduchten',),
    'beduchte': ('beduchten',),
    'beduidend': ('beduiden',),
    'beduidende': ('beduiden',),
    'beduveld': ('beduvelen',),
    'beduvelde': ('beduvelen',),
    'bedwelmd': ('bedwelmen',),
    'bedwelmde': ('bedwelmen',),
    'beef': ('beven',),
    'beeld': ('beelden',),
    'beeldende': ('beelden',),
    'been': ('benen',),
    'beer': ('beren',),
    'beert': ('beren',),
    'beest': ('beesten',),
    'beet': ('bijten',),
    'bef': ('beffen',),
    'begaande': ('begaan',),
    'begeerde': ('begeren',),
    'begeesterd': ('begeesteren',),
    'begeesterde': ('begeesteren',),
    'begeleidend': ('begeleiden',),
    'begeleidende': ('begeleiden',),
    'begin': ('beginnen',),
    'beginnend': ('beginnen',),
    'beginnende': ('beginnen',),
    'begint': ('beginnen',),
    'begon': ('beginnen',),
    'begonnen': ('beginnen',),
    'begraasd': ('begrazen',),
    'begraasde': ('begrazen',),
    'begrensd': ('begrenzen',),
    'begrensde': ('begrenzen',),
    'begrijpend': ('begrijpen',),
    'begrijpende': ('begrijpen',),
    'begroeid': ('begroeien',),
    'begroeide': ('begroeien',),
    'begrote': ('begroten',),
    'begunstigde': ('begunstigen',),
    'behaard': ('beharen',),
    'behaarde': ('beharen',),
    'behang': ('behangen',),
    'behangen': ('behangen',),
    'beheer': ('beheren',),
    'beheers': ('beheersen',),
    'beheerst': ('beheersen',),
    'beheerste': ('beheersen',),
    'behoud': ('behouden',),
    'behoudend': ('behouden',),
    'behoudende': ('behouden',),
    'behuwd': ('behuwen',),
    'behuwde': ('behuwen',),
    'beiaard': ('beiaarden',),
    'beier': ('beieren',),
    'beijzeld': ('beijzelen',),
    'beitel': ('beitelen',),
    'beits': ('beitsen',),
    'bejaagd': ('bejagen',),
    'bejaagde': ('bejagen',),
    'bejubelde': ('bejubelen',),
    'bek': ('bekken',),
    'bekakt': ('bekakken',),
    'bekakte': ('bekakken',),
    'bekeken': ('bekijken',),
    'beken': ('bekennen',),
    'bekend': ('bekennen',),
    'bekende': ('bekennen',),
    'bekenden': ('bekennen',),
    'bekendgemaakte': ('bekendmaken',),
    'bekendmaakten': ('bekendmaken',),
    'bekendstonden': ('bekendstaan',),
    'beker': ('bekeren',),
    'bekijk': ('bekijken',),
    'beklaagde': ('beklagen',),
    'beklaagden': ('beklagen',),
    'beklede': ('bekleden',),
    'bekleed': ('bekleden',),
    'beklemd': ('beklemmen',),
    'beklemde': ('beklemmen',),
    'beklemmend': ('beklemmen',),
    'beklemmende': ('beklemmen',),
    'bekocht': ('bekopen',),
    'bekogel': ('bekogelen',),
    'bekommerd': ('bekommeren',),
    'bekommerde': ('bekommeren',),
    'bekreten': ('bekrijten',),
    'bekritiseerden': ('bekritiseren',),
    'bekrompen': ('bekrimpen',),
    'bekwaam': ('bekwamen',),
    'bekwam': ('bekomen',),
    'bel': ('bellen',),
    'belang': ('belangen',),
    'belangstellend': ('belangstellen',),
    'belangstellende': ('belangstellen',),
    'belangstellenden': ('belangstellen',),
    'belast': ('belasten',),
    'belaste': ('belasten',),
    'belastende': ('belasten',),
    'belatafeld': ('belatafelen',),
    'belazerd': ('belazeren',),
    'belazerde': ('belazeren',),
    'beledigend': ('beledigen',),
    'beledigende': ('beledigen',),
    'beleefd': ('beleven',),
    'beleefde': ('beleven',),
    'beleerd': ('beleren',),
    'beleg': ('beleggen',),
    'belegerde': ('belegeren',),
    'belegerden': ('belegeren',),
    'beleid': ('beleiden',),
    'belendend': ('belenden',),
    'belendende': ('belenden',),
    'belerend': ('beleren',),
    'belet': ('beletten',),
    'belichte': ('belichten',),
    'belief': ('believen',),
    'beliep': ('belopen',),
    'beloofde': ('beloven',),
    'beloop': ('belopen',),
    'belt': ('bellen',),
    'bemaalde': ('bemalen',),
    'bemande': ('bemannen',),
    'bemiddeld': ('bemiddelen',),
    'bemiddelde': ('bemiddelen',),
    'bemind': ('beminnen',),
    'beminden': ('beminnen',),
    'bemodderde': ('bemodderen',),
    'ben': ('zijn',),
    'benaamd': ('benamen',),
    'benadeelden': ('benadelen',),
    'benauwd': ('benauwen',),
    'benauwde': ('benauwen',),
    'benauwend': ('benauwen',),
    'benauwende': ('benauwen',),
    'beneden': ('benijden',),
    'bengel': ('bengelen',),
    'benieuwd': ('benieuwen',),
    'benieuwde': ('benieuwen',),
    'bent': ('zijn',),
    'bepaald': ('bepalen',),
    'bepaalde': ('bepalen',),
    'bepaalden': ('bepalen',),
    'bepalend': ('bepalen',),
    'bepalende': ('bepalen',),
    'beperkend': ('beperken',),
    'beperkende': ('beperken',),
    'beperkt': ('beperken',),
    'beperkte': ('beperken',),
    'beperkten': ('beperken',),
    'bepiste': ('bepissen',),
    'beplante': ('beplanten',),
    'beproefd': ('beproeven',),
    'beproefde': ('beproeven',),
    'beraad': ('beraden',),
    'bereden': ('berijden',),
    'beredeneer': ('beredeneren',),
    'beredeneerd': ('beredeneren',),
    'beredeneerde': ('beredeneren',),
    'bereed': ('berijden',),
    'bereid': ('bereiden',),
    'bereide': ('bereiden',),
    'bereik': ('bereiken',),
    'bereisd': ('bereizen',),
    'bereisde': ('bereizen',),
    'berekend': ('berekenen',),
    'berekende': ('berekenen',),
    'berekenend': ('berekenen',),
    'berekenende': ('berekenen',),
    'berend': ('beren',),
    'berg': ('bergen',),
    'bericht': ('berichten',),
    'berichtten': ('berichten',),
    'berijmde': ('berijmen',),
    'berm': ('bermen',),
    'beroemd': ('beroemen',),
    'beroemde': ('beroemen',),
    'beroemden': ('beroemen',),
    'beroep': ('beroepen',),
    'beroerd': ('beroeren',),
    'beroerde': ('beroeren',),
    'berookt': ('beroken',),
    'berookte': ('beroken',),
    'berouw': ('berouwen',),
    'berst': ('bersen',),
    'bersten': ('bersen',),
    'berustten': ('berusten',),
    'beschaafd': ('beschaven',),
    'beschaafde': ('beschaven',),
    'beschaafden': ('beschaven',),
    'beschaamd': ('beschamen',),
    'beschaamde': ('beschamen',),
    'beschadigd': ('beschadigen',),
    'beschadigde': ('beschadigen',),
    'beschaduwde': ('beschaduwen',),
    'beschamend': ('beschamen',),
    'beschamende': ('beschamen',),
    'bescheid': ('bescheiden',),
    'beschermd': ('beschermen',),
    'beschermde': ('beschermen',),
    'beschermende': ('beschermen',),
    'bescheten': ('beschijten',),
    'beschik': ('beschikken',),
    'beschimmeld': ('beschimmelen',),
    'beschimmelde': ('beschimmelen',),
    'beschonken': ('beschenken',),
    'beschoren': ('bescheren',),
    'beschouwend': ('beschouwen',),
    'beschouwende': ('beschouwen',),
    'beschreven': ('beschrijven',),
    'beschrijf': ('beschrijven',),
    'beschrijvend': ('beschrijven',),
    'beschrijvende': ('beschrijven',),
    'beschuldigde': ('beschuldigen',),
    'beschuldigend': ('beschuldigen',),
    'beschut': ('beschutten',),
    'beschutte': ('beschutten',),
    'besef': ('beseffen',),
    'beslagen': ('beslaan',),
    'beslijkt': ('beslijken',),
    'beslissend': ('beslissen',),
    'beslissende': ('beslissen',),
    'beslist': ('beslissen',),
    'besliste': ('beslissen',),
    'besloten': ('besluiten',),
    'besluit': ('besluiten',),
    'besmet': ('besmetten',),
    'besmette': ('besmetten',),
    'besnaard': ('besnaren',),
    'besnaarde': ('besnaren',),
    'besneden': ('besnijden',),
    'besneeuwd': ('besneeuwen',),
    'besneeuwde': ('besneeuwen',),
    'besodemieterd': ('besodemieteren',),
    'besodemieterde': ('besodemieteren',),
    'bespot': ('bespotten',),
    'bespraken': ('bespreken',),
    'bestaand': ('bestaan',),
    'bestaande': ('bestaan',),
    'besteek': ('besteken',),
    'bestegen': ('bestijgen',),
    'bestel': ('bestellen',),
    'bestendig': ('bestendigen',),
    'bestier': ('bestieren',),
    'bestond': ('bestaan',),
    'bestorven': ('besterven',),
    'bestoven': ('bestuiven',),
    'bestraalde': ('bestralen',),
    'bestudeerd': ('bestuderen',),
    'bestudeerde': ('bestuderen',),
    'bestuur': ('besturen',),
    'bestuurde': ('besturen',),
    'bestverkochte': ('bestverkopen',),
    'betaald': ('betalen',),
    'betaalde': ('betalen',),
    'beteken': ('betekenen',),
    'beten': ('bijten',),
    'beter': ('beteren',),
    'betoelaagde': ('betoelagen',),
    'beton': ('betonnen',),
    'betoog': ('betogen',),
    'betoon': ('betonen',),
    'betoond': ('betonen',),
    'betoonden': ('betonen',),
    'betreffend': ('betreffen',),
    'betreffende': ('betreffen',),
    'betrokken': ('betrekken',),
    'betrokkene': ('betrekken',),
    'betrokkenen': ('betrekken',),
    'bette': ('betten',),
    'beug': ('beugen',),
    'beugel': ('beugelen',),
    'beuk': ('beuken',),
    'beul': ('beulen',),
    'beun': ('beunen',),
    'beunhaas': ('beunhazen',),
    'beursgenoteerd': ('beursnoteren',),
    'beurt': ('beuren',),
    'bevaart': ('bevaren',),
    'bevalen': ('bevelen',),
    'bevat': ('bevatten',),
    'beveiligden': ('beveiligen',),
    'bevelend': ('bevelen',),
    'bevelende': ('bevelen',),
    'bevestigend': ('bevestigen',),
    'bevestigende': ('bevestigen',),
    'bevind': ('bevinden',),
    'beving': ('bevangen',),
    'bevingen': ('bevangen',),
    'bevlekte': ('bevlekken',),
    'bevlogen': ('bevliegen',),
    'bevoer': ('bevaren',),
    'bevolkt': ('bevolken',),
    'bevolkte': ('bevolken',),
    'bevoorrecht': ('bevoorrechten',),
    'bevredigend': ('bevredigen',),
    'bevredigende': ('bevredigen',),
    'bevreemd': ('bevreemden',),
    'bevreemdend': ('bevreemden',),
    'bevreemdende': ('bevreemden',),
    'bevrijdende': ('bevrijden',),
    'bevroren': ('bevriezen',),
    'bevruchte': ('bevruchten',),
    'bewaarheid': ('bewaarheiden',),
    'bewapende': ('bewapenen',),
    'bewerkte': ('bewerken',),
    'bewijs': ('bewijzen',),
    'bewijze': ('bewijzen',),
    'bewogen': ('bewegen',),
    'bewolkt': ('bewolken',),
    'bewolkte': ('bewolken',),
    'bewoonde': ('bewonen',),
    'bezeild': ('bezeilen',),
    'bezeilde': ('bezeilen',),
    'bezem': ('bezemen',),
    'bezet': ('bezetten',),
    'bezeten': ('bezitten',),
    'bezetene': ('bezitten',),
    'bezette': ('bezetten',),
    'bezie': ('bezien',),
    'bezield': ('bezielen',),
    'bezielde': ('bezielen',),
    'bezig': ('bezigen',),
    'bezit': ('bezitten',),
    'bezocht': ('bezoeken',),
    'bezochte': ('bezoeken',),
    'bezoek': ('bezoeken',),
    'bezonken': ('bezinken',),
    'bezonnen': ('bezinnen',),
    'bezopen': ('bezuipen',),
    'bezorg': ('bezorgen',),
    'bezorgd': ('bezorgen',),
    'bezorgde': ('bezorgen',),
    'bezwaar': ('bezwaren',),
    'bezwaard': ('bezwaren',),
    'bezwaarde': ('bezwaren',),
    'bezwaarden': ('bezwaren',),
    'bezwangerd': ('bezwangeren',),
    'bezwangerde': ('bezwangeren',),
    'bezwarend': ('bezwaren',),
    'bezwarende': ('bezwaren',),
    'bezweet': ('bezweten',),
    'bezwete': ('bezweten',),
    'beëdigd': ('beëdigen',),
    'beëdigde': ('beëdigen',),
    'bibber': ('bibberen',),
    'biecht': ('biechten',),
    'bied': ('bieden',),
    'bies': ('biezen',),
    'biest': ('biezen',),
    'biets': ('bietsen',),
    'big': ('biggen',),
    'bijboek': ('bijboeken',),
    'bijdroegen': ('bijdragen',),
    'bijeenbracht': ('bijeenbrengen',),
    'bijgebouwen': ('bijbouwen',),
    'bijgelegen': ('bijliggen',),
    'bijgeleverde': ('bijleveren',),
    'bijkomend': ('bijkomen',),
    'bijkomende': ('bijkomen',),
    'bijlagen': ('bijliggen',),
    'bijliggend': ('bijliggen',),
    'bijliggende': ('bijliggen',),
    'bijnamen': ('bijnemen',),
    'bijpassend': ('bijpassen',),
    'bijpassende': ('bijpassen',),
    'bijt': ('bijten',),
    'bijtend': ('bijten',),
    'bijtende': ('bijten',),
    'bijval': ('bijvallen',),
    'bijwerk': ('bijwerken',),
    'bijzit': ('bijzitten',),
    'bik': ('bikken',),
    'bikkel': ('bikkelen',),
    'bil': ('billen',),
    'bilde': ('billen',),
    'biljart': ('biljarten',),
    'biljoen': ('biljoenen',),
    'billijk': ('billijken',),
    'bilt': ('billen',),
    'bimbam': ('bimbammen',),
    'bindend': ('binden',),
    'bindende': ('binden',),
    'binnendrongen': ('binnendringen',),
    'binnengeleid': ('binnenleiden',),
    'binnenloods': ('binnenloodsen',),
    'binnenvaart': ('binnenvaren',),
    'binnenvoer': ('binnenvaren',),
    'bint': ('zijn',),
    'bis': ('bissen',),
    'bist': ('bissen',),
    'bit': ('bitten',),
    'bitste': ('bitsen',),
    'bitter': ('bitteren',),
    'blaak': ('blaken',),
    'blaar': ('blaren',),
    'blaas': ('blazen',),
    'blaaskaak': ('blaaskaken',),
    'bladder': ('bladderen',),
    'blaf': ('blaffen',),
    'blaker': ('blakeren',),
    'blauw': ('blauwen',),
    'bleek': ('blijken',),
    'bleken': ('blijken',),
    'bles': ('blessen',),
    'blijf': ('blijven',),
    'blijft': ('blijven',),
    'blijk': ('blijken',),
    'blijvend': ('blijven',),
    'blijvende': ('blijven',),
    'blik': ('blikken',),
    'bliksem': ('bliksemen',),
    'blind': ('blinden',),
    'blinddoek': ('blinddoeken',),
    'blink': ('blinken',),
    'bloed': ('bloeden',),
    'bloedzuigende': ('bloedzuigen',),
    'bloei': ('bloeien',),
    'bloeiende': ('bloeien',),
    'bloem': ('bloemen',),
    'bloes': ('bloezen',),
    'bloesem': ('bloesemen',),
    'blok': ('blokken',),
    'blokkeerden': ('blokkeren',),
    'blokkerende': ('blokkeren',),
    'blokletter': ('blokletteren',),
    'bloot': ('bloten',),
    'blootgestelde': ('blootstellen',),
    'blootstond': ('blootstaan',),
    'blow': ('blowen',),
    'blozend': ('blozen',),
    'blozende': ('blozen',),
    'blubber': ('blubberen',),
    'bluf': ('bluffen',),
    'blunder': ('blunderen',),
    'bluts': ('blutsen',),
    'bob': ('bobben',),
    'bobbel': ('bobbelen',),
    'bobber': ('bobberen',),
    'bobijn': ('bobijnen',),
    'bodem': ('bodemen',),
    'bodembewonend': ('bodembewonen',),
    'bodembewonende': ('bodembewonen',),
    'boden': ('bieden',),
    'boedel': ('boedelen',),
    'boei': ('boeien',),
    'boeiend': ('boeien',),
    'boeiende': ('boeien',),
    'boek': ('boeken',),
    'boel': ('boelen',),
    'boemel': ('boemelen',),
    'boer': ('boeren',),
    'boerde': ('boeren',),
    'boerden': ('boeren',),
    'boert': ('boeren',),
    'boet': ('boeten',),
    'boezem': ('boezemen',),
    'bof': ('boffen',),
    'bogen': ('buigen',),
    'bok': ('bokken',),
    'boks': ('boksen',),
    'bol': ('bollen',),
    'bolder': ('bolderen',),
    'bolster': ('bolsteren',),
    'bolwerk': ('bolwerken',),
    'bom': ('bommen',),
    'bommel': ('bommelen',),
    'bond': ('binden',),
    'bonden': ('binden',),
    'bonjour': ('bonjouren',),
    'bonk': ('bonken',),
    'bons': ('bonzen',),
    'boodschap': ('boodschappen',),
    'boog': ('buigen',),
    'boom': ('bomen',),
    'boor': ('boren',),
    'boord': ('boorden',),
    'boorden': ('boren',),
    'boort': ('boren',),
    'boost': ('boosten',),
    'boot': ('boten',),
    'boots': ('bootsen',),
    'bord': ('borden',),
    'borduur': ('borduren',),
    'borg': ('bergen',),
    'borgen': ('bergen',),
    'borrel': ('borrelen',),
    'borst': ('bersten',),
    'borstel': ('borstelen',),
    'borsten': ('bersten',),
    'bos': ('bossen',),
    'bost': ('bossen',),
    'boston': ('bostonnen',),
    'bosvormende': ('bosvormen',),
    'bot': ('botten',),
    'boter': ('boteren',),
    'bots': ('botsen',),
    'botst': ('botsen',),
    'botste': ('botsen',),
    'botte': ('botten',),
    'bottel': ('bottelen',),
    'bout': ('bouten',),
    'bouw': ('bouwen',),
    'bouwt': ('bouwen',),
    'bovengelegen': ('bovenliggen',),
    'bovenlagen': ('bovenliggen',),
    'bovenliggende': ('bovenliggen',),
    'bowl': ('bowlen',),
    'boycot': ('boycotten',),
    'braak': ('braken',),
    'braam': ('bramen',),
    'braamt': ('bramen',),
    'brainstorm': ('brainstormen',),
    'brak': ('breken',),
    'braken': ('breken',),
    'brand': ('branden',),
    'brandend': ('branden',),
    'brandende': ('branden',),
    'brandmerk': ('brandmerken',),
    'brandt': ('branden',),
    'branie': ('braniën',),
    'bras': ('brassen',),
    'breedgapend': ('breedgapen',),
    'brei': ('breien',),
    'breidel': ('breidelen',),
    'brevier': ('brevieren',),
    'bridge': ('bridgen',),
    'bridget': ('bridgen',),
    'brief': ('brieven',),
    'bries': ('briesen',),
    'brieste': ('briesen',),
    'brijn': ('brijnen',),
    'brijzel': ('brijzelen',),
    'bril': ('brillen',),
    'brits': ('britsen',),
    'britst': ('britsen',),
    'britste': ('britsen',),
    'brod': ('brodden',),
    'broed': ('broeden',),
    'broei': ('broeien',),
    'brok': ('brokken',),
    'brom': ('brommen',),
    'brons': ('bronzen',),
    'bronst': ('bronzen',),
    'broodroof': ('broodroven',),
    'bros': ('brossen',),
    'brost': ('brossen',),
    'broste': ('brossen',),
    'brui': ('bruien',),
    'bruiden': ('bruien',),
    'bruin': ('bruinen',),
    'bruis': ('bruisen',),
    'bruisende': ('bruisen',),
    'brul': ('brullen',),
    'brunch': ('brunchen',),
    'buffel': ('buffelen',),
    'buffer': ('bufferen',),
    'bui': ('buien',),
    'buik': ('buiken',),
    'buil': ('builen',),
    'built': ('builen',),
    'buis': ('buizen',),
    'buit': ('buiten',),
    'buitgemaakte': ('buitmaken',),
    'bulk': ('bulken',),
    'bult': ('bulten',),
    'bundel': ('bundelen',),
    'bundelden': ('bundelen',),
    'bunker': ('bunkeren',),
    'burger': ('burgeren',),
    'bussel': ('busselen',),
    'buts': ('butsen',),
    'buur': ('buren',),
    'buurt': ('buurten',),
    'buut': ('buten',),
    'canvas': ('canvassen',),
    'cast': ('casten',),
    'cement': ('cementen',),
    'center': ('centeren',),
    'chain-cum-belt': ('chain-cum-belen',),
    'chart': ('charren',),
    'charter': ('charteren',),
    'chat': ('chatten',),
    'check': ('checken',),
    'chinees': ('chinezen',),
    'chip': ('chippen',),
    'chloor': ('chloren',),
    'choquerende': ('choqueren',),
    'cijfer': ('cijferen',),
    'circulerend': ('circuleren',),
    'cirkel': ('cirkelen',),
    'claim': ('claimen',),
    'claimden': ('claimen',),
    'cluster': ('clusteren',),
    'coach': ('coachen',),
    'coacht': ('coachen',),
    'coat': ('coaten',),
    'componeerden': ('componeren',),
    'compromitterend': ('compromitteren',),
    'compromitterende': ('compromitteren',),
    'computer': ('computeren',),
    'concentreerden': ('concentreren',),
    'concurreerden': ('concurreren',),
    'concurrerend': ('concurreren',),
    'concurrerende': ('concurreren',),
    'conflicterende': ('conflicteren',),
    'confronterend': ('confronteren',),
    'constaterende': ('constateren',),
    'constituerend': ('constitueren',),
    'constituerende': ('constitueren',),
    'correspondentieschaak': ('correspondentieschaken',),
    'counsel': ('counselen',),
    'counter': ('counteren',),
    'cover': ('coveren',),
    'covert': ('coveren',),
    'coördinerende': ('coördineren',),
    'crash': ('crashen',),
    'crashten': ('crashen',),
    'crawl': ('crawlen',),
    'cricket': ('cricketen',),
    'croon': ('croonen',),
    'cross': ('crossen',),
    'cutter': ('cutteren',),
    'daag': ('dagen',),
    'daal': ('dalen',),
    'daargelaten': ('daarlaten',),
    'daas': ('dazen',),
    'daast': ('dazen',),
    'dagdief': ('dagdieven',),
    'dagdroom': ('dagdromen',),
    'dam': ('dammen',),
    'damp': ('dampen',),
    'dampende': ('dampen',),
    'dank': ('danken',),
    'dankten': ('danken',),
    'dans': ('dansen',),
    'dansende': ('dansen',),
    'dansenden': ('dansen',),
    'danst': ('dansen',),
    'dar': ('darren',),
    'dart': ('darren',),
    'dartel': ('dartelen',),
    'dartelend': ('dartelen',),
    'das': ('dassen',),
    'dateerden': ('dateren',),
    'dauw': ('dauwen',),
    'daver': ('daveren',),
    'daverend': ('daveren',),
    'daverende': ('daveren',),
    'deal': ('dealen',),
    'debt': ('debben',),
    'debuteerden': ('debuteren',),
    'deel': ('delen',),
    'deelnemend': ('deelnemen',),
    'deelnemende': ('deelnemen',),
    'definieerden': ('definiëren',),
    'degenereert': ('degenereren',),
    'degradeerden': ('degraderen',),
    'deild': ('deilden',),
    'dein': ('deinen',),
    'dek': ('dekken',),
    'delft': ('delven',),
    'demonstrerende': ('demonstreren',),
    'dender': ('denderen',),
    'denderend': ('denderen',),
    'denderende': ('denderen',),
    'denigrerend': ('denigreren',),
    'denigrerende': ('denigreren',),
    'denkend': ('denken',),
    'denkende': ('denken',),
    'desem': ('desemen',),
    'deserteerden': ('deserteren',),
    'desinfecterende': ('desinfecteren',),
    'deugden': ('deugen',),
    'deuk': ('deuken',),
    'deun': ('deunen',),
    'deuvik': ('deuviken',),
    'dicht': ('dichten',),
    'dichtgeknepen': ('dichtknijpen',),
    'dichtknijp': ('dichtknijpen',),
    'dief': ('dieven',),
    'dien': ('dienen',),
    'dienstdeden': ('dienstdoen',),
    'dienstdeed': ('dienstdoen',),
    'dienstdoet': ('dienstdoen',),
    'dienstgedaan': ('dienstdoen',),
    'diep': ('diepen',),
    'diepgaand': ('diepgaan',),
    'diepgaande': ('diepgaan',),
    'diepgevroren': ('diepvriezen',),
    'diepte': ('diepen',),
    'diepten': ('diepen',),
    'diesel': ('dieselen',),
    'diggel': ('diggelen',),
    'dij': ('dijen',),
    'dijk': ('dijken',),
    'dik': ('dikken',),
    'dikte': ('dikken',),
    'dikten': ('dikken',),
    'dim': ('dimmen',),
    'ding': ('dingen',),
    'dinges': ('dingesen',),
    'dip': ('dippen',),
    'dirigeer': ('dirigeren',),
    'dirk': ('dirken',),
    'dis': ('dissen',),
    'discussieerden': ('discussiëren',),
    'display': ('displayen',),
    'dissel': ('disselen',),
    'dobbel': ('dobbelen',),
    'dobber': ('dobberen',),
    'docht': ('dunken',),
    'dochten': ('dunken',),
    'dode': ('doden',),
    'doe': ('doen',),
    'doedel': ('doedelen',),
    'doek': ('doeken',),
    'doel': ('doelen',),
    'doelpunt': ('doelpunten',),
    'doem': ('doemen',),
    'doende': ('doen',),
    'doezel': ('doezelen',),
    'dof': ('doffen',),
    'doft': ('doffen',),
    'doften': ('doffen',),
    'dok': ('dokken',),
    'doken': ('duiken',),
    'dokker': ('dokkeren',),
    'dokter': ('dokteren',),
    'dol': ('dollen',),
    'dolf': ('delven',),
    'dolgedraaide': ('doldraaien',),
    'domino': ('dominoën',),
    'dommel': ('dommelen',),
    'domp': ('dompen',),
    'dompel': ('dompelen',),
    'donder': ('donderen',),
    'donderstraal': ('donderstralen',),
    'doneerden': ('doneren',),
    'dong': ('dingen',),
    'dongen': ('dingen',),
    'donker': ('donkeren',),
    'dood': ('doden',),
    'doodging': ('doodgaan',),
    'doodlopende': ('doodlopen',),
    'doodschop': ('doodschoppen',),
    'doodsteek': ('doodsteken',),
    'doodverf': ('doodverven',),
    'doof': ('doven',),
    'doofden': ('doven',),
    'dooi': ('dooien',),
    'dook': ('duiken',),
    'dool': ('dolen',),
    'doom': ('domen',),
    'doop': ('dopen',),
    'doopten': ('dopen',),
    'dooraderd': ('dooraderen',),
    'dooraderde': ('dooraderen',),
    'doorbloed': ('doorbloeden',),
    'doorbraken': ('doorbreken',),
    'doordacht': ('doordenken',),
    'doordachte': ('doordenken',),
    'doordringend': ('doordringen',),
    'doordringende': ('doordringen',),
    'doordruk': ('doordrukken',),
    'doorgaand': ('doorgaan',),
    'doorgaande': ('doorgaan',),
    'doorgecomponeerd': ('doorcomponeren',),
    'doorgedreven': ('doordrijven',),
    'doorgelooide': ('doorlooien',),
    'doorgeslapen': ('doorslapen',),
    'doorgestoken': ('doorsteken',),
    'doorgevoerde': ('doorvoeren',),
    'doorgewinterd': ('doorwinteren',),
    'doorgewinterde': ('doorwinteren',),
    'doorgezakt': ('doorzakken',),
    'doorgezakte': ('doorzakken',),
    'doorgroefd': ('doorgroeven',),
    'doorkijk': ('doorkijken',),
    'doorkneed': ('doorkneden',),
    'doorlaat': ('doorlaten',),
    'doorleefd': ('doorleven',),
    'doorleefde': ('doorleven',),
    'doorleefden': ('doorleven',),
    'doorloop': ('doorlopen',),
    'doorlopend': ('doorlopen',),
    'doorlopende': ('doorlopen',),
    'doorlucht': ('doorluchten',),
    'doorregen': ('doorregenen',),
    'doorreis': ('doorreizen',),
    'doorrij': ('doorrijden',),
    'doorrookt': ('doorroken',),
    'doorrookte': ('doorroken',),
    'doorschijnend': ('doorschijnen',),
    'doorschijnende': ('doorschijnen',),
    'doorslaand': ('doorslaan',),
    'doorslaande': ('doorslaan',),
    'doorslaggevende': ('doorslaggeven',),
    'doorsneden': ('doorsnijden',),
    'doorstane': ('doorstaan',),
    'doorstart': ('doorstarten',),
    'doorsteek': ('doorsteken',),
    'doorstoken': ('doorsteken',),
    'doorstoot': ('doorstoten',),
    'doorstootten': ('doorstoten',),
    'doorstroom': ('doorstromen',),
    'doorstroomden': ('doorstromen',),
    'doortastend': ('doortasten',),
    'doortastende': ('doortasten',),
    'doortocht': ('doortochten',),
    'doortrapt': ('doortrappen',),
    'doortrapte': ('doortrappen',),
    'doortrek': ('doortrekken',),
    'doortrekkende': ('doortrekken',),
    'doorvaart': ('doorvaren',),
    'doorverbind': ('doorverbinden',),
    'doorverkoop': ('doorverkopen',),
    'doorvoer': ('doorvaren',),
    'doorwarm': ('doorwarmen',),
    'doorweekt': ('doorweken',),
    'doorweekte': ('doorweken',),
    'doorwerkt': ('doorwerken',),
    'doorwerkte': ('doorwerken',),
    'doorwinterde': ('doorwinteren',),
    'doorwinterden': ('doorwinteren',),
    'doorzeefd': ('doorzeven',),
    'doorzeefde': ('doorzeven',),
    'doorziek': ('doorzieken',),
    'dop': ('doppen',),
    'dor': ('dorren',),
    'dors': ('dorsen',),
    'dorst': ('durven',),
    'dorste': ('dorsen',),
    'dort': ('dorren',),
    'dos': ('dossen',),
    'dost': ('dossen',),
    'douche': ('douchen',),
    'douw': ('douwen',),
    'download': ('downloaden',),
    'draad': ('draden',),
    'draag': ('dragen',),
    'draai': ('draaien',),
    'draaiende': ('draaien',),
    'dreef': ('drijven',),
    'dreg': ('dreggen',),
    'dreig': ('dreigen',),
    'dreigend': ('dreigen',),
    'dreigende': ('dreigen',),
    'drein': ('dreinen',),
    'dreun': ('dreunen',),
    'dreutel': ('dreutelen',),
    'drevel': ('drevelen',),
    'dreven': ('drijven',),
    'dribbel': ('dribbelen',),
    'drijf': ('drijven',),
    'drijvend': ('drijven',),
    'drijvende': ('drijven',),
    'dril': ('drillen',),
    'dringend': ('dringen',),
    'dringende': ('dringen',),
    'drink': ('drinken',),
    'drom': ('drommen',),
    'drongen': ('dringen',),
    'dronk': ('drinken',),
    'dronken': ('drinken',),
    'droog': ('drogen',),
    'drooggemaakte': ('droogmaken',),
    'droogkuis': ('droogkuisen',),
    'droogstaand': ('droogstaan',),
    'droogstaande': ('droogstaan',),
    'droogviel': ('droogvallen',),
    'droom': ('dromen',),
    'droop': ('druipen',),
    'drop': ('droppen',),
    'droppel': ('droppelen',),
    'dropten': ('droppen',),
    'drost': ('drossen',),
    'droste': ('drossen',),
    'drosten': ('drossen',),
    'druil': ('druilen',),
    'druiloor': ('druiloren',),
    'druk': ('drukken',),
    'drukkend': ('drukken',),
    'drukkende': ('drukken',),
    'drukte': ('drukken',),
    'drum': ('drummen',),
    'drup': ('druppen',),
    'druppel': ('druppelen',),
    'dub': ('dubben',),
    'dubbel': ('dubbelen',),
    'dubbelprint': ('dubbelprinten',),
    'duffel': ('duffelen',),
    'duik': ('duiken',),
    'duim': ('duimen',),
    'duister': ('duisteren',),
    'duivel': ('duivelen',),
    'duizel': ('duizelen',),
    'duizelend': ('duizelen',),
    'duizelende': ('duizelen',),
    'dump': ('dumpen',),
    'dun': ('dunnen',),
    'dunk': ('dunken',),
    'durend': ('duren',),
    'durf': ('durven',),
    'dut': ('dutten',),
    'duur': ('duren',),
    'duvel': ('duvelen',),
    'duw': ('duwen',),
    'dwaal': ('dwalen',),
    'dwars': ('dwarsen',),
    'dwarst': ('dwarsen',),
    'dwarste': ('dwarsen',),
    'dweil': ('dweilen',),
    'dwingend': ('dwingen',),
    'dwingende': ('dwingen',),
    'e-mail': ('e-mailen',),
    'eb': ('hebben',),
    'echo': ('echoën',),
    'echt': ('echten',),
    'eenendertig': ('eenendertigen',),
    'eenentwintig': ('eenentwintigen',),
    'eer': ('eren',),
    'eerbiedig': ('eerbiedigen',),
    'eert': ('eren',),
    'eest': ('eesten',),
    'eet': ('eten',),
    'effen': ('effenen',),
    'eg': ('eggen',),
    'eierleggend': ('eierleggen',),
    'eierleggende': ('eierleggen',),
    'eigen': ('eigenen',),
    'eind': ('einden',),
    'eindig': ('eindigen',),
    'eis': ('eisen',),
    'eisten': ('eisen',),
    'elastiek': ('elastieken',),
    'emmer': ('emmeren',),
    'en': ('emmen',),
    'end': ('enden',),
    'enerverend': ('enerveren',),
    'enerverende': ('enerveren',),
    'ent': ('enten',),
    'enter': ('enteren',),
    'erf': ('erven',),
    'erfden': ('erven',),
    'erger': ('ergeren',),
    'erkend': ('erkennen',),
    'erkende': ('erkennen',),
    'ervaar': ('ervaren',),
    'et': ('emmen',),
    'ets': ('etsen',),
    'etter': ('etteren',),
    'evenaar': ('evenaren',),
    'event': ('evenen',),
    'exploderende': ('exploderen',),
    'exposeerden': ('exposeren',),
    'ezel': ('ezelen',),
    'faal': ('falen',),
    'fabel': ('fabelen',),
    'fabriek': ('fabrieken',),
    'fade': ('faden',),
    'fake': ('faken',),
    'fakkel': ('fakkelen',),
    'fascinerend': ('fascineren',),
    'fascinerende': ('fascineren',),
    'fax': ('faxen',),
    'feest': ('feesten',),
    'feil': ('feilen',),
    'fels': ('felsen',),
    'felst': ('felsen',),
    'felste': ('felsen',),
    'felt': ('felen',),
    'femel': ('femelen',),
    'fep': ('feppen',),
    'fiedel': ('fiedelen',),
    'field': ('fielden',),
    'fiets': ('fietsen',),
    'figureerden': ('figureren',),
    'fijfel': ('fijfelen',),
    'fik': ('fikken',),
    'fiks': ('fiksen',),
    'fikst': ('fiksen',),
    'fikste': ('fiksen',),
    'film': ('filmen',),
    'filter': ('filteren',),
    'financier': ('financieren',),
    'financierden': ('financieren',),
    'fineer': ('fineren',),
    'finish': ('finishen',),
    'finishten': ('finishen',),
    'fit': ('fitten',),
    'fitte': ('fitten',),
    'fixeer': ('fixeren',),
    'flans': ('flansen',),
    'flap': ('flappen',),
    'flauw': ('flauwen',),
    'fleer': ('fleren',),
    'flens': ('flensen',),
    'fles': ('flessen',),
    'fleur': ('fleuren',),
    'flik': ('flikken',),
    'flikker': ('flikkeren',),
    'flikkerende': ('flikkeren',),
    'flip': ('flippen',),
    'flipper': ('flipperen',),
    'flirt': ('flirten',),
    'flits': ('flitsen',),
    'flitsend': ('flitsen',),
    'flitsende': ('flitsen',),
    'flodder': ('flodderen',),
    'floep': ('floepen',),
    'flonkerende': ('flonkeren',),
    'flop': ('floppen',),
    'flopten': ('floppen',),
    'fluim': ('fluimen',),
    'fluit': ('fluiten',),
    'fnuikend': ('fnuiken',),
    'fnuikende': ('fnuiken',),
    'focus': ('focussen',),
    'foelie': ('foeliën',),
    'foezel': ('foezelen',),
    'fok': ('fokken',),
    'folie': ('foliën',),
    'fondue': ('fonduen',),
    'fool': ('folen',),
    'fop': ('foppen',),
    'forens': ('forenzen',),
    'formeerden': ('formeren',),
    'foutgeparkeerde': ('foutparkeren',),
    'foxtrot': ('foxtrotten',),
    'frans': ('fransen',),
    'freak': ('freaken',),
    'frees': ('frezen',),
    'freewheel': ('freewheelen',),
    'fret': ('fretten',),
    'friemel': ('friemelen',),
    'fris': ('frissen',),
    'frist': ('frissen',),
    'friste': ('frissen',),
    'frituur': ('frituren',),
    'frommel': ('frommelen',),
    'frons': ('fronsen',),
    'fronsel': ('fronselen',),
    'fruit': ('fruiten',),
    'frul': ('frullen',),
    'frustrerend': ('frustreren',),
    'frutsel': ('frutselen',),
    'ftp': ("ftp'en",),
    'fuif': ('fuiven',),
    'föhn': ('föhnen',),
    'ga': ('gaan',),
    'gaande': ('gaan',),
    'gaap': ('gapen',),
    'gaar': ('garen',),
    'gaarde': ('garen',),
    'gaarden': ('garen',),
    'gaas': ('gazen',),
    'gaast': ('gazen',),
    'gaat': ('gaan',),
    'gaffel': ('gaffelen',),
    'gak': ('gakken',),
    'gal': ('gallen',),
    'galm': ('galmen',),
    'gannef': ('ganneven',),
    'ganzenbord': ('ganzenborden',),
    'garf': ('garven',),
    'garnier': ('garnieren',),
    'gas': ('gassen',),
    'gast': ('gassen',),
    'gaste': ('gassen',),
    'gasten': ('gassen',),
    'gaven': ('geven',),
    'geaard': ('aarden',),
    'geaarde': ('aarden',),
    'geabonneerd': ('abonneren',),
    'geabonneerde': ('abonneren',),
    'geabsorbeerd': ('absorberen',),
    'geabsorbeerde': ('absorberen',),
    'geaccepteerd': ('accepteren',),
    'geaccepteerde': ('accepteren',),
    'geaccrediteerd': ('accrediteren',),
    'geaccrediteerde': ('accrediteren',),
    'geacht': ('achten',),
    'geachte': ('achten',),
    'geaderd': ('aderen',),
    'geaderde': ('aderen',),
    'geadopteerd': ('adopteren',),
    'geadopteerde': ('adopteren',),
    'geadresseerde': ('adresseren',),
    'geaffecteerd': ('affecteren',),
    'geaffecteerde': ('affecteren',),
    'geaggregeerde': ('aggregeren',),
    'geagiteerd': ('agiteren',),
    'geagiteerde': ('agiteren',),
    'geallieerd': ('alliëren',),
    'geallieerde': ('alliëren',),
    'geallieerden': ('alliëren',),
    'gealtereerd': ('altereren',),
    'gealtereerde': ('altereren',),
    'geamendeerd': ('amenderen',),
    'geamendeerde': ('amenderen',),
    'geamuseerd': ('amuseren',),
    'geamuseerde': ('amuseren',),
    'geanimeerd': ('animeren',),
    'geanimeerde': ('animeren',),
    'geankerd': ('ankeren',),
    'geankerde': ('ankeren',),
    'gearresteerde': ('arresteren',),
    'gearriveerd': ('arriveren',),
    'gearriveerde': ('arriveren',),
    'gearticuleerd': ('articuleren',),
    'gearticuleerde': ('articuleren',),
    'geaspireerd': ('aspireren',),
    'geaspireerde': ('aspireren',),
    'geassorteerd': ('assorteren',),
    'geassorteerde': ('assorteren',),
    'geassureerd': ('assureren',),
    'geassureerde': ('assureren',),
    'geassureerden': ('assureren',),
    'geautoriseerd': ('autoriseren',),
    'geautoriseerde': ('autoriseren',),
    'geavanceerd': ('avanceren',),
    'geavanceerde': ('avanceren',),
    'gebaand': ('banen',),
    'gebaande': ('banen',),
    'gebaar': ('gebaren',),
    'gebaard': ('baren',),
    'gebaarde': ('gebaren',),
    'gebaat': ('baten',),
    'gebakken': ('bakken',),
    'gebarsten': ('barsten',),
    'gebastaardeerd': ('bastaarderen',),
    'gebastaardeerde': ('bastaarderen',),
    'gebed': ('bedden',),
    'gebeden': ('bidden',),
    'gebeeldhouwd': ('beeldhouwen',),
    'gebeeldhouwde': ('beeldhouwen',),
    'gebeend': ('benen',),
    'gebeende': ('benen',),
    'gebeft': ('beffen',),
    'gebefte': ('beffen',),
    'gebeiteld': ('beitelen',),
    'gebekt': ('bekken',),
    'gebelgd': ('belgen',),
    'gebenedijd': ('benedijen',),
    'gebenedijde': ('benedijen',),
    'gebeten': ('bijten',),
    'gebeurt': ('gebeuren',),
    'gebied': ('gebieden',),
    'gebiedend': ('gebieden',),
    'gebiedende': ('gebieden',),
    'gebiesd': ('biezen',),
    'gebiesde': ('biezen',),
    'gebit': ('bitten',),
    'gebitumineerd': ('bitumineren',),
    'gebitumineerde': ('bitumineren',),
    'geblaard': ('blaren',),
    'geblaarde': ('blaren',),
    'geblaat': ('blaten',),
    'gebladerd': ('bladeren',),
    'geblameerd': ('blameren',),
    'geblameerde': ('blameren',),
    'geblazen': ('blazen',),
    'geblesseerd': ('blesseren',),
    'geblesseerde': ('blesseren',),
    'geblesseerden': ('blesseren',),
    'geblindeerd': ('blinderen',),
    'geblindeerde': ('blinderen',),
    'gebloed': ('bloeden',),
    'gebloemd': ('bloemen',),
    'geblokkeerd': ('blokkeren',),
    'geblokkeerde': ('blokkeren',),
    'geblokletterd': ('blokletteren',),
    'geblokt': ('blokken',),
    'geblust': ('blussen',),
    'gebluste': ('blussen',),
    'geblutste': ('blutsen',),
    'gebobbelde': ('bobbelen',),
    'geboden': ('bieden',),
    'gebodene': ('gebieden',),
    'geboekte': ('boeken',),
    'gebogen': ('buigen',),
    'gebonden': ('binden',),
    'geboobytrapt': ('boobytrappen',),
    'geboogd': ('bogen',),
    'geboren': ('baren',),
    'geborgen': ('bergen',),
    'geborneerd': ('borneren',),
    'geborneerde': ('borneren',),
    'geborsteld': ('borstelen',),
    'geborstelde': ('borstelen',),
    'gebouwd': ('bouwen',),
    'gebouwde': ('bouwen',),
    'gebouwen': ('bouwen',),
    'gebrand': ('branden',),
    'gebrande': ('branden',),
    'gebrandschilderd': ('brandschilderen',),
    'gebrild': ('brillen',),
    'gebroed': ('broeden',),
    'gebroken': ('breken',),
    'gebrouilleerd': ('brouilleren',),
    'gebrouilleerde': ('brouilleren',),
    'gebruik': ('gebruiken',),
    'gebruikmaakte': ('gebruikmaken',),
    'gebruikmaakten': ('gebruikmaken',),
    'gebruikt': ('gebruiken',),
    'gebruind': ('bruinen',),
    'gebruinde': ('bruinen',),
    'gebuikt': ('buiken',),
    'gebuikte': ('buiken',),
    'gebuild': ('builen',),
    'gebuilde': ('builen',),
    'gebukt': ('bukken',),
    'gecanneleerd': ('canneleren',),
    'gecanneleerde': ('canneleren',),
    'gecentreerd': ('centreren',),
    'gecentreerde': ('centreren',),
    'gecharmeerd': ('charmeren',),
    'gecharmeerde': ('charmeren',),
    'gechloreerd': ('chloreren',),
    'gechloreerde': ('chloreren',),
    'geciviliseerd': ('civiliseren',),
    'geciviliseerde': ('civiliseren',),
    'geclausuleerd': ('clausuleren',),
    'geclausuleerde': ('clausuleren',),
    'gecoiffeerd': ('coifferen',),
    'gecoiffeerde': ('coifferen',),
    'gecombineerd': ('combineren',),
    'gecombineerde': ('combineren',),
    'gecommitteerde': ('committeren',),
    'gecommitteerden': ('committeren',),
    'gecompliceerd': ('compliceren',),
    'gecompliceerde': ('compliceren',),
    'gecompromitteerd': ('compromitteren',),
    'gecompromitteerde': ('compromitteren',),
    'geconcentreerd': ('concentreren',),
    'geconcentreerde': ('concentreren',),
    'gecondenseerd': ('condenseren',),
    'gecondenseerde': ('condenseren',),
    'geconditioneerd': ('conditioneren',),
    'geconditioneerde': ('conditioneren',),
    'geconfedereerde': ('confedereren',),
    'geconfirmeerd': ('confirmeren',),
    'geconfirmeerde': ('confirmeren',),
    'geconjugeerd': ('conjugeren',),
    'geconjugeerde': ('conjugeren',),
    'geconserveerd': ('conserveren',),
    'geconserveerde': ('conserveren',),
    'geconsolideerd': ('consolideren',),
    'geconsolideerde': ('consolideren',),
    'geconstipeerd': ('constiperen',),
    'geconstipeerde': ('constiperen',),
    'gecontinueerd': ('continueren',),
    'gecontinueerde': ('continueren',),
    'gecoördineerd': ('coördineren',),
    'gecultiveerd': ('cultiveren',),
    'gecultiveerde': ('cultiveren',),
    'gedaagden': ('dagen',),
    'gedaan': ('doen',),
    'gedacht': ('denken',),
    'gedachte': ('denken',),
    'gedachten': ('gedenken',),
    'gedane': ('doen',),
    'gedecideerd': ('decideren',),
    'gedecideerde': ('decideren',),
    'gedecoreerd': ('decoreren',),
    'gedecoreerde': ('decoreren',),
    'gedecoreerden': ('decoreren',),
    'gedeeld': ('delen',),
    'gedeelde': ('delen',),
    'gedegenereerde': ('degenereren',),
    'gedegradeerd': ('degraderen',),
    'gedegradeerde': ('degraderen',),
    'gedeisd': ('deizen',),
    'gedekt': ('dekken',),
    'gedekte': ('dekken',),
    'gedelegeerde': ('delegeren',),
    'gedelegeerden': ('delegeren',),
    'gedemilitariseerd': ('demilitariseren',),
    'gedemilitariseerde': ('demilitariseren',),
    'gedemotiveerd': ('demotiveren',),
    'gedemotiveerde': ('demotiveren',),
    'gedempt': ('dempen',),
    'gedempte': ('dempen',),
    'gedeprimeerd': ('deprimeren',),
    'gedeprimeerde': ('deprimeren',),
    'gedeputeerde': ('deputeren',),
    'gedeputeerden': ('deputeren',),
    'gederangeerd': ('derangeren',),
    'gederangeerde': ('derangeren',),
    'gedesillusioneerd': ('desillusioneren',),
    'gedesillusioneerde': ('desillusioneren',),
    'gedesoriënteerd': ('desoriënteren',),
    'gedesoriënteerde': ('desoriënteren',),
    'gedetacheerd': ('detacheren',),
    'gedetacheerde': ('detacheren',),
    'gedetailleerd': ('detailleren',),
    'gedetailleerde': ('detailleren',),
    'gedetermineerd': ('determineren',),
    'gedetermineerde': ('determineren',),
    'gedetineerden': ('detineren',),
    'gedialogeerd': ('dialogeren',),
    'gedicht': ('dichten',),
    'gediend': ('dienen',),
    'gedifferentieerd': ('differentiëren',),
    'gedifferentieerde': ('differentiëren',),
    'gediftongeerd': ('diftongeren',),
    'gediftongeerde': ('diftongeren',),
    'gediplomeerd': ('diplomeren',),
    'gediplomeerde': ('diplomeren',),
    'gedisciplineerd': ('disciplineren',),
    'gedisciplineerde': ('disciplineren',),
    'gedisponeerd': ('disponeren',),
    'gedisponeerde': ('disponeren',),
    'gedistilleerd': ('distilleren',),
    'gedistilleerde': ('distilleren',),
    'gedistingeerd': ('distingeren',),
    'gedistingeerde': ('distingeren',),
    'gedocumenteerd': ('documenteren',),
    'gedocumenteerde': ('documenteren',),
    'gedolven': ('delven',),
    'gedoodverfde': ('doodverven',),
    'gedoopte': ('dopen',),
    'gedownloade': ('downloaden',),
    'gedraaid': ('draaien',),
    'gedraaide': ('draaien',),
    'gedragen': ('dragen',),
    'gedramatiseerd': ('dramatiseren',),
    'gedresseerd': ('dresseren',),
    'gedresseerde': ('dresseren',),
    'gedreven': ('drijven',),
    'gedrevene': ('drijven',),
    'gedrevenen': ('drijven',),
    'gedrild': ('drillen',),
    'gedrongen': ('dringen',),
    'gedrukt': ('drukken',),
    'gedrukte': ('drukken',),
    'geducht': ('duchten',),
    'geduchte': ('duchten',),
    'geduld': ('dulden',),
    'gedupeerd': ('duperen',),
    'gedupeerde': ('duperen',),
    'gedupeerden': ('duperen',),
    'gedurfd': ('durven',),
    'gedurfde': ('durven',),
    'gedwongen': ('dwingen',),
    'geef': ('geven',),
    'geel': ('gelen',),
    'geer': ('geren',),
    'geert': ('geren',),
    'geest': ('geesten',),
    'geeuw': ('geeuwen',),
    'gefarceerd': ('farceren',),
    'gefarceerde': ('farceren',),
    'gefigureerd': ('figureren',),
    'gefigureerde': ('figureren',),
    'gefingeerd': ('fingeren',),
    'gefingeerde': ('fingeren',),
    'geflatteerd': ('flatteren',),
    'geflatteerde': ('flatteren',),
    'geflipte': ('flippen',),
    'geflirt': ('flirten',),
    'geflopte': ('floppen',),
    'geforceerd': ('forceren',),
    'geforceerde': ('forceren',),
    'gefossiliseerd': ('fossiliseren',),
    'gefrankeerd': ('frankeren',),
    'gefrankeerde': ('frankeren',),
    'gefronste': ('fronsen',),
    'gefrustreerd': ('frustreren',),
    'gefrustreerde': ('frustreren',),
    'gefundeerd': ('funderen',),
    'gefundeerde': ('funderen',),
    'gegaan': ('gaan',),
    'gegaffeld': ('gaffelen',),
    'gegaffelde': ('gaffelen',),
    'gegalonneerd': ('galonneren',),
    'gegalonneerde': ('galonneren',),
    'gegalvaniseerd': ('galvaniseren',),
    'gegalvaniseerde': ('galvaniseren',),
    'gegarandeerd': ('garanderen',),
    'gegarandeerde': ('garanderen',),
    'gegeerd': ('geren',),
    'gegeerde': ('geren',),
    'gegeneerd': ('generen',),
    'gegeneerde': ('generen',),
    'gegeseld': ('geselen',),
    'gegeven': ('geven',),
    'gegijzelden': ('gijzelen',),
    'geglansd': ('glanzen',),
    'geglansde': ('glanzen',),
    'geglazuurd': ('glazuren',),
    'geglazuurde': ('glazuren',),
    'gegoed': ('goeden',),
    'gegoede': ('goeden',),
    'gegolfd': ('golven',),
    'gegolfde': ('golven',),
    'gegomd': ('gommen',),
    'gegomde': ('gommen',),
    'gegoten': ('gieten',),
    'gegradueerde': ('gradueren',),
    'gegratineerde': ('gratineren',),
    'gegriefd': ('grieven',),
    'gegriefde': ('grieven',),
    'gegrild': ('grillen',),
    'gegroefd': ('groeven',),
    'gegroefde': ('groeven',),
    'gegroet': ('groeten',),
    'gegrond': ('gronden',),
    'gegronde': ('gronden',),
    'gehaaid': ('haaien',),
    'gehaakt': ('haken',),
    'gehaakte': ('haken',),
    'gehaast': ('haasten',),
    'gehaaste': ('haasten',),
    'gehaasten': ('haasten',),
    'gehaat': ('haten',),
    'gehakt': ('hakken',),
    'gehamerd': ('hameren',),
    'gehandicapt': ('handicappen',),
    'gehandicapte': ('handicappen',),
    'gehandicapten': ('handicappen',),
    'gehangene': ('hangen',),
    'gehard': ('harden',),
    'geharde': ('harden',),
    'geharnast': ('harnassen',),
    'geharnaste': ('harnassen',),
    'gehate': ('haten',),
    'gehavend': ('havenen',),
    'gehavende': ('havenen',),
    'gehecht': ('hechten',),
    'gehechte': ('hechten',),
    'geheid': ('heien',),
    'geheide': ('heien',),
    'geheiligd': ('heiligen',),
    'geheiligde': ('heiligen',),
    'geheimgehouden': ('geheimhouden',),
    'gehoekt': ('hoeken',),
    'gehoekte': ('hoeken',),
    'gehoofd': ('hoven',),
    'gehoofde': ('hoven',),
    'gehoorzaam': ('gehoorzamen',),
    'gehouden': ('houden',),
    'gehuicheld': ('huichelen',),
    'gehuichelde': ('huichelen',),
    'gehuifd': ('huiven',),
    'gehuifde': ('huiven',),
    'gehuisd': ('huizen',),
    'gehuisvest': ('huisvesten',),
    'gehuisveste': ('huisvesten',),
    'gehuwden': ('huwen',),
    'gehydrateerd': ('hydrateren',),
    'gei': ('geien',),
    'geijkt': ('ijken',),
    'geijkte': ('ijken',),
    'geil': ('geilen',),
    'geit': ('geien',),
    'gejaagd': ('jagen',),
    'gejaagde': ('jagen',),
    'gek': ('gekken',),
    'gekabbeld': ('kabbelen',),
    'gekamd': ('kammen',),
    'gekamde': ('kammen',),
    'gekant': ('kanten',),
    'gekante': ('kanten',),
    'gekantrecht': ('kantrechten',),
    'gekantrechte': ('kantrechten',),
    'gekapt': ('kappen',),
    'gekapte': ('kappen',),
    'gekarteld': ('kartelen',),
    'gekartelde': ('kartelen',),
    'gekartonneerd': ('kartonneren',),
    'gekartonneerde': ('kartonneren',),
    'gekast': ('kassen',),
    'gekaste': ('kassen',),
    'gekend': ('kennen',),
    'gekende': ('kennen',),
    'gekeperd': ('keperen',),
    'gekeperde': ('keperen',),
    'gekield': ('kielen',),
    'gekielde': ('kielen',),
    'geklede': ('kleden',),
    'gekleed': ('kleden',),
    'gekleurd': ('kleuren',),
    'gekleurde': ('kleuren',),
    'geklonken': ('klinken',),
    'gekloofd': ('kloven',),
    'gekloofde': ('kloven',),
    'gekloond': ('klonen',),
    'gekloot': ('kloten',),
    'gekloven': ('kluiven',),
    'geknecht': ('knechten',),
    'geknechte': ('knechten',),
    'gekneusd': ('kneuzen',),
    'gekneveld': ('knevelen',),
    'geknevelde': ('knevelen',),
    'geknielde': ('knielen',),
    'geknikt': ('knikken',),
    'geknikte': ('knikken',),
    'geknipt': ('knippen',),
    'geknipte': ('knippen',),
    'gekoppeld': ('koppelen',),
    'gekoppelde': ('koppelen',),
    'gekostumeerd': ('kostumeren',),
    'gekostumeerde': ('kostumeren',),
    'gekozen': ('kiezen',),
    'gekozenen': ('kiezen',),
    'gekraagd': ('kragen',),
    'gekrenkt': ('krenken',),
    'gekrenkte': ('krenken',),
    'gekreukeld': ('kreukelen',),
    'gekreukelde': ('kreukelen',),
    'gekreukt': ('kreuken',),
    'gekreukte': ('kreuken',),
    'gekroesd': ('kroezen',),
    'gekroezeld': ('kroezelen',),
    'gekromd': ('krommen',),
    'gekromde': ('krommen',),
    'gekroond': ('kronen',),
    'gekroonde': ('kronen',),
    'gekruid': ('kruiden',),
    'gekruide': ('kruiden',),
    'gekruisigde': ('kruisigen',),
    'gekruist': ('kruisen',),
    'gekruiste': ('kruisen',),
    'gekruld': ('krullen',),
    'gekrulde': ('krullen',),
    'gekte': ('gekken',),
    'gekuifd': ('kuiven',),
    'gekuifde': ('kuiven',),
    'gekuist': ('kuisen',),
    'gekuiste': ('kuisen',),
    'gekunsteld': ('kunstelen',),
    'gekwalificeerd': ('kwalificeren',),
    'gekwalificeerde': ('kwalificeren',),
    'gekwalificeerden': ('kwalificeren',),
    'gekwartierd': ('kwartieren',),
    'gekweld': ('kwellen',),
    'gekwelde': ('kwellen',),
    'gekwetst': ('kwetsen',),
    'gekwetste': ('kwetsen',),
    'gekwetsten': ('gekwetste',),
    'gelaagd': ('lagen',),
    'geladen': ('laden',),
    'gelakt': ('lakken',),
    'gelakte': ('lakken',),
    'gelambriseerd': ('lambriseren',),
    'gelambriseerde': ('lambriseren',),
    'gelamelleerd': ('lamelleren',),
    'gelanceerde': ('lanceren',),
    'gelande': ('landen',),
    'gelardeerd': ('larderen',),
    'gelardeerde': ('larderen',),
    'gelaste': ('gelasten',),
    'gelaten': ('laten',),
    'gelatiniseerd': ('latiniseren',),
    'gelauwerd': ('lauweren',),
    'gelauwerde': ('lauweren',),
    'geld': ('gelden',),
    'geldend': ('gelden',),
    'geldende': ('gelden',),
    'gelede': ('leden',),
    'geleden': ('lijden',),
    'geleed': ('leden',),
    'geleend': ('lenen',),
    'geleende': ('lenen',),
    'geleerd': ('leren',),
    'geleerde': ('leren',),
    'gelegen': ('liggen',),
    'gelegerde': ('legeren',),
    'geleid': ('geleiden',),
    'geleide': ('geleiden',),
    'geleidend': ('geleiden',),
    'geleidende': ('geleiden',),
    'gelekte': ('lekken',),
    'geletterd': ('letteren',),
    'geletterde': ('letteren',),
    'gelezen': ('lezen',),
    'gelieerd': ('liëren',),
    'gelieerde': ('liëren',),
    'geliefd': ('gelieven',),
    'geliefde': ('gelieven',),
    'geliefden': ('gelieven',),
    'geliefkoosd': ('liefkozen',),
    'geliefkoosde': ('liefkozen',),
    'gelijk': ('gelijken',),
    'gelijkblijvende': ('gelijkblijven',),
    'gelijkend': ('gelijken',),
    'gelijkende': ('gelijken',),
    'gelijkgericht': ('gelijkrichten',),
    'gelijkgerichte': ('gelijkrichten',),
    'gelijkgestemd': ('gelijkstemmen',),
    'gelijkgestemde': ('gelijkstemmen',),
    'gelijklopende': ('gelijklopen',),
    'gelijkmakende': ('gelijkmaken',),
    'gelijnd': ('lijnen',),
    'gelijnde': ('lijnen',),
    'gelijst': ('lijsten',),
    'gelijste': ('lijsten',),
    'gelikt': ('likken',),
    'gelikte': ('likken',),
    'gelinieerd': ('liniëren',),
    'gelinieerde': ('liniëren',),
    'gelobd': ('lobben',),
    'gelobde': ('lobben',),
    'geloken': ('luiken',),
    'gelokt': ('lokken',),
    'gelokte': ('lokken',),
    'geloof': ('geloven',),
    'gelubd': ('lubben',),
    'gelubde': ('lubben',),
    'geluid': ('luiden',),
    'geluimd': ('luimen',),
    'geluk': ('gelukken',),
    'gelukt': ('lukken',),
    'gelukwens': ('gelukwensen',),
    'geluwd': ('luwen',),
    'gemaakt': ('maken',),
    'gemaakte': ('maken',),
    'gemachtigde': ('machtigen',),
    'gemaild': ('mailen',),
    'gemalen': ('malen',),
    'gemarineerd': ('marineren',),
    'gemarineerde': ('marineren',),
    'gemarmerd': ('marmeren',),
    'gemarmerde': ('marmeren',),
    'gemaskeerd': ('maskeren',),
    'gemaskeerde': ('maskeren',),
    'gemaskerd': ('maskeren',),
    'gemaskerde': ('maskeren',),
    'gematigd': ('matigen',),
    'gematigde': ('matigen',),
    'gematigden': ('matigen',),
    'gematteerd': ('matteren',),
    'gematteerde': ('matteren',),
    'gemechaniseerd': ('mechaniseren',),
    'gemeend': ('menen',),
    'gemeende': ('menen',),
    'gemeld': ('melden',),
    'gemelde': ('melden',),
    'gemengd': ('mengen',),
    'gemengde': ('mengen',),
    'gemerkt': ('merken',),
    'gemerkte': ('merken',),
    'gemeten': ('meten',),
    'gemeubeld': ('meubelen',),
    'gemeubileerd': ('meubileren',),
    'gemeubileerde': ('meubileren',),
    'gemiddeld': ('middelen',),
    'gemiddelde': ('middelen',),
    'gemijterd': ('mijteren',),
    'gemijterde': ('mijteren',),
    'gemodereerd': ('modereren',),
    'gemodereerde': ('modereren',),
    'gemoeid': ('moeien',),
    'gemoeide': ('moeien',),
    'gemonitord': ('monitoren',),
    'gemotiveerd': ('motiveren',),
    'gemotiveerde': ('motiveren',),
    'gemotiveerden': ('motiveren',),
    'gemotoriseerd': ('motoriseren',),
    'gemotoriseerde': ('motoriseren',),
    'gemuilband': ('muilbanden',),
    'gemunt': ('munten',),
    'gemêleerd': ('mêleren',),
    'gemêleerde': ('mêleren',),
    'genaamd': ('namen',),
    'genaast': ('naasten',),
    'genageld': ('nagelen',),
    'genagelde': ('nagelen',),
    'genegen': ('nijgen',),
    'geneigd': ('neigen',),
    'geneigde': ('neigen',),
    'genet': ('netten',),
    'genodigden': ('nodigen',),
    'genoeg': ('genoegen',),
    'genoegt': ('genoegen',),
    'genoemd': ('noemen',),
    'genoemde': ('noemen',),
    'genomen': ('nemen',),
    'genoodzaakt': ('noodzaken',),
    'genoot': ('genieten',),
    'genopt': ('noppen',),
    'genopte': ('noppen',),
    'genoten': ('genieten',),
    'genuanceerd': ('nuanceren',),
    'genuanceerde': ('nuanceren',),
    'geobsedeerd': ('obsederen',),
    'geoccupeerd': ('occuperen',),
    'geoccupeerde': ('occuperen',),
    'geoefend': ('oefenen',),
    'geoefende': ('oefenen',),
    'geolied': ('oliën',),
    'geoliede': ('oliën',),
    'geoogd': ('ogen',),
    'geoogste': ('oogsten',),
    'geoorloofd': ('oorloven',),
    'geopend': ('openen',),
    'geopende': ('openen',),
    'geordend': ('ordenen',),
    'geordende': ('ordenen',),
    'georganiseerd': ('organiseren',),
    'georganiseerde': ('organiseren',),
    'georiënteerd': ('oriënteren',),
    'georiënteerde': ('oriënteren',),
    'geoutilleerd': ('outilleren',),
    'geoutilleerde': ('outilleren',),
    'gepaard': ('paren',),
    'gepaarde': ('paren',),
    'gepakt': ('pakken',),
    'gepalmd': ('palmen',),
    'gepalmde': ('palmen',),
    'gepantserd': ('pantseren',),
    'gepantserde': ('pantseren',),
    'geparafeerd': ('paraferen',),
    'geparafeerde': ('paraferen',),
    'geparaffineerd': ('paraffineren',),
    'geparaffineerde': ('paraffineren',),
    'gepareld': ('parelen',),
    'geparelde': ('parelen',),
    'geparfumeerd': ('parfumeren',),
    'geparfumeerde': ('parfumeren',),
    'gepassioneerd': ('passioneren',),
    'gepassioneerde': ('passioneren',),
    'gepast': ('passen',),
    'gepaste': ('passen',),
    'gepatenteerd': ('patenteren',),
    'gepatenteerde': ('patenteren',),
    'gepavoiseerd': ('pavoiseren',),
    'gepavoiseerde': ('pavoiseren',),
    'gepeesd': ('pezen',),
    'gepekeld': ('pekelen',),
    'gepekelde': ('pekelen',),
    'gepeld': ('pellen',),
    'gepelde': ('pellen',),
    'gepend': ('pennen',),
    'gepende': ('pennen',),
    'gepensioneerde': ('pensioneren',),
    'gepensioneerden': ('pensioneren',),
    'gepeperd': ('peperen',),
    'gepeperde': ('peperen',),
    'geperforeerd': ('perforeren',),
    'geperforeerde': ('perforeren',),
    'gepermitteerd': ('permitteren',),
    'gepermitteerde': ('permitteren',),
    'gepersonifieerd': ('personifiëren',),
    'gepersonifieerde': ('personifiëren',),
    'gepikeerd': ('pikeren',),
    'gepikeerde': ('pikeren',),
    'gepikt': ('pikken',),
    'gepikte': ('pikken',),
    'geplaatst': ('plaatsen',),
    'geplaatste': ('plaatsen',),
    'geplante': ('planten',),
    'geplaveid': ('plaveien',),
    'geplaveide': ('plaveien',),
    'gepleisterd': ('pleisteren',),
    'geplekt': ('plekken',),
    'geplisseerd': ('plisseren',),
    'geplisseerde': ('plisseren',),
    'gepluimd': ('pluimen',),
    'gepluimde': ('pluimen',),
    'gepocheerd': ('pocheren',),
    'gepocheerde': ('pocheren',),
    'gepoft': ('poffen',),
    'gepofte': ('poffen',),
    'gepolariseerd': ('polariseren',),
    'gepolariseerde': ('polariseren',),
    'gepolitoerd': ('politoeren',),
    'gepolitoerde': ('politoeren',),
    'gepolychromeerd': ('polychromeren',),
    'gepoot': ('poten',),
    'geporteerd': ('porteren',),
    'geportretteerden': ('portretteren',),
    'geposeerd': ('poseren',),
    'gepote': ('poten',),
    'gepraat': ('praten',),
    'gepredisponeerd': ('predisponeren',),
    'gepredisponeerde': ('predisponeren',),
    'geprefabriceerd': ('prefabriceren',),
    'geprefabriceerde': ('prefabriceren',),
    'gepreoccupeerd': ('preoccuperen',),
    'gepreoccupeerde': ('preoccuperen',),
    'gepresseerd': ('presseren',),
    'gepresseerde': ('presseren',),
    'geprikkeld': ('prikkelen',),
    'geprikkelde': ('prikkelen',),
    'geprint': ('printen',),
    'geprivatiseerde': ('privatiseren',),
    'geprivilegieerd': ('privilegiëren',),
    'geprivilegieerde': ('privilegiëren',),
    'geprofest': ('professen',),
    'geprofeste': ('professen',),
    'geprogrammeerd': ('programmeren',),
    'geprogrammeerde': ('programmeren',),
    'geproportioneerd': ('proportioneren',),
    'geproportioneerde': ('proportioneren',),
    'gepropt': ('proppen',),
    'gepropte': ('proppen',),
    'geprotesteerd': ('protesteren',),
    'geprotesteerde': ('protesteren',),
    'gepulveriseerd': ('pulveriseren',),
    'gepulveriseerde': ('pulveriseren',),
    'gepunt': ('punten',),
    'gepunte': ('punten',),
    'gepunteerd': ('punteren',),
    'gepunteerde': ('punteren',),
    'gepurperd': ('purperen',),
    'gepurperde': ('purperen',),
    'geraakt': ('geraken',),
    'geraakte': ('geraken',),
    'geradbraakt': ('radbraken',),
    'geradbraakte': ('radbraken',),
    'geraden': ('raden',),
    'gerafeld': ('rafelen',),
    'geraffineerd': ('raffineren',),
    'geraffineerde': ('raffineren',),
    'gerand': ('randen',),
    'gerande': ('randen',),
    'gerangschikte': ('rangschikken',),
    'geraspt': ('raspen',),
    'geraspte': ('raspen',),
    'gerecht': ('rechten',),
    'gerechte': ('rechten',),
    'gerechtigd': ('rechtigen',),
    'gerechtigde': ('rechtigen',),
    'gerechtvaardigd': ('rechtvaardigen',),
    'gerechtvaardigde': ('rechtvaardigen',),
    'gerede': ('reden',),
    'gereed': ('reden',),
    'gereedkwam': ('gereedkomen',),
    'gereformeerd': ('reformeren',),
    'gereformeerde': ('reformeren',),
    'geregeld': ('regelen',),
    'geregelde': ('regelen',),
    'geregistreerde': ('registreren',),
    'gereglementeerd': ('reglementeren',),
    'gereglementeerde': ('reglementeren',),
    'gerekt': ('rekken',),
    'gerekte': ('rekken',),
    'geremd': ('remmen',),
    'geremde': ('remmen',),
    'geremixt': ('remixen',),
    'gerepatrieerden': ('repatriëren',),
    'gereserveerd': ('reserveren',),
    'gereserveerde': ('reserveren',),
    'geresigneerd': ('resigneren',),
    'geresigneerde': ('resigneren',),
    'gerespecteerd': ('respecteren',),
    'gerespecteerde': ('respecteren',),
    'geribbeld': ('ribbelen',),
    'geribbelde': ('ribbelen',),
    'geribd': ('ribben',),
    'geribde': ('ribben',),
    'gericht': ('richten',),
    'gerichte': ('richten',),
    'geridderd': ('ridderen',),
    'geridderde': ('ridderen',),
    'gerief': ('gerieven',),
    'gerijpt': ('rijpen',),
    'gerijpte': ('rijpen',),
    'gerild': ('rillen',),
    'gerilde': ('rillen',),
    'gerimpeld': ('rimpelen',),
    'gerimpelde': ('rimpelen',),
    'geringd': ('ringen',),
    'geringde': ('ringen',),
    'geringschattend': ('geringschatten',),
    'geringschattende': ('geringschatten',),
    'gerist': ('rissen',),
    'geriste': ('rissen',),
    'gerokt': ('rokken',),
    'gerokte': ('rokken',),
    'gerond': ('ronden',),
    'gerookt': ('roken',),
    'gerookte': ('roken',),
    'geruggensteund': ('ruggensteunen',),
    'geruggensteunde': ('ruggensteunen',),
    'gerugsteund': ('rugsteunen',),
    'gerugsteunde': ('rugsteunen',),
    'geruimde': ('ruimen',),
    'geruit': ('ruiten',),
    'geruite': ('ruiten',),
    'gerussificeerde': ('russificeren',),
    'gerust': ('rusten',),
    'geruste': ('rusten',),
    'geruststellend': ('geruststellen',),
    'geruststellende': ('geruststellen',),
    'geruïneerd': ('ruïneren',),
    'gesalarieerd': ('salariëren',),
    'gesalarieerde': ('salariëren',),
    'gesatineerd': ('satineren',),
    'gesatineerde': ('satineren',),
    'gesausd': ('sauzen',),
    'gesausde': ('sauzen',),
    'gesaust': ('sausen',),
    'gesauste': ('sausen',),
    'geschaard': ('scharen',),
    'geschaarde': ('schaarden',),
    'geschakeerd': ('schakeren',),
    'geschakeerde': ('schakeren',),
    'gescheept': ('schepen',),
    'gescheepte': ('schepen',),
    'gescheiden': ('scheiden',),
    'gescheld': ('schellen',),
    'geschept': ('scheppen',),
    'geschepte': ('scheppen',),
    'geschift': ('schiften',),
    'geschifte': ('schiften',),
    'geschikt': ('schikken',),
    'geschikte': ('schikken',),
    'geschimmeld': ('schimmelen',),
    'geschimmelde': ('schimmelen',),
    'geschoeid': ('schoeien',),
    'geschoeide': ('schoeien',),
    'geschoft': ('schoften',),
    'geschokt': ('schokken',),
    'geschokte': ('schokken',),
    'geschonden': ('schenden',),
    'geschoold': ('scholen',),
    'geschoolde': ('scholen',),
    'geschoolden': ('scholen',),
    'geschoren': ('scheren',),
    'geschorste': ('schorsen',),
    'geschouderd': ('schouderen',),
    'geschouderde': ('schouderen',),
    'geschreven': ('schrijven',),
    'geschubd': ('schubben',),
    'geschubde': ('schubben',),
    'geschud': ('schudden',),
    'geschuif': ('schuiven',),
    'geschuind': ('schuinen',),
    'geschuinde': ('schuinen',),
    'geschulpt': ('schulpen',),
    'geschulpte': ('schulpen',),
    'geschut': ('schutten',),
    'gesel': ('geselen',),
    'gesepareerd': ('separeren',),
    'gesepareerde': ('separeren',),
    'geserreerd': ('serreren',),
    'geserreerde': ('serreren',),
    'gesetteld': ('settelen',),
    'gesettelde': ('settelen',),
    'gesignaleerd': ('signaleren',),
    'gesignaleerde': ('signaleren',),
    'gesitueerd': ('situeren',),
    'gesitueerde': ('situeren',),
    'gesjeesde': ('sjezen',),
    'geslaagd': ('slagen',),
    'geslaagde': ('slagen',),
    'geslaagden': ('slagen',),
    'geslacht': ('slachten',),
    'geslagen': ('slaan',),
    'geslepen': ('slijpen',),
    'gesloten': ('sluiten',),
    'gesluierd': ('sluieren',),
    'gesluierde': ('sluieren',),
    'gesmaakt': ('smaken',),
    'gesmaakte': ('smaken',),
    'gesmeerd': ('smeren',),
    'gesmeerde': ('smeren',),
    'gesmokt': ('smokken',),
    'gesmokte': ('smokken',),
    'gesmoord': ('smoren',),
    'gesmoorde': ('smoren',),
    'gesnedene': ('snijden',),
    'gesneuvelden': ('sneuvelen',),
    'gesnopen': ('snappen',),
    'gesoebat': ('soebatten',),
    'gesoigneerd': ('soigneren',),
    'gesoigneerde': ('soigneren',),
    'gesorteerd': ('sorteren',),
    'gesorteerde': ('sorteren',),
    'gesp': ('gespen',),
    'gespannen': ('spannen',),
    'gespecialiseerd': ('specialiseren',),
    'gespecialiseerde': ('specialiseren',),
    'gespecificeerde': ('specificeren',),
    'gespeend': ('spenen',),
    'gespeende': ('spenen',),
    'gespekt': ('spekken',),
    'gespekte': ('spekken',),
    'gespierd': ('spieren',),
    'gespiesd': ('spiezen',),
    'gespikkeld': ('spikkelen',),
    'gespikkelde': ('spikkelen',),
    'gespitst': ('spitsen',),
    'gespitste': ('spitsen',),
    'gespleten': ('splijten',),
    'gesplitste': ('splitsen',),
    'gesponsord': ('sponsoren',),
    'gespoord': ('sporen',),
    'gespoorde': ('sporen',),
    'gesproken': ('spreken',),
    'gesproten': ('spruiten',),
    'gestampt': ('stampen',),
    'gestampte': ('stampen',),
    'gestampvoet': ('stampvoeten',),
    'gestapelde': ('stapelen',),
    'gestationeerd': ('stationeren',),
    'gestationeerde': ('stationeren',),
    'gesteeld': ('stelen',),
    'gesteelde': ('stelen',),
    'gesteld': ('stellen',),
    'gestelde': ('stellen',),
    'gestemd': ('stemmen',),
    'gestemde': ('stemmen',),
    'gestencild': ('stencilen',),
    'gestencilde': ('stencilen',),
    'gesteriliseerd': ('steriliseren',),
    'gesteriliseerde': ('steriliseren',),
    'gesteven': ('stijven',),
    'gesticht': ('stichten',),
    'gestichte': ('stichten',),
    'gestikt': ('stikken',),
    'gestikte': ('stikken',),
    'gestileerd': ('stileren',),
    'gestileerde': ('stileren',),
    'gestippeld': ('stippelen',),
    'gestippelde': ('stippelen',),
    'gestoelde': ('stoelen',),
    'gestoffeerd': ('stofferen',),
    'gestoffeerde': ('stofferen',),
    'gestoofde': ('stoven',),
    'gestookte': ('stoken',),
    'gestoomd': ('stomen',),
    'gestoomde': ('stomen',),
    'gestoord': ('storen',),
    'gestoorde': ('storen',),
    'gestoorden': ('storen',),
    'gestopt': ('stoppen',),
    'gestopte': ('stoppen',),
    'gestreept': ('strepen',),
    'gestreepte': ('strepen',),
    'gestrekt': ('strekken',),
    'gestrekte': ('strekken',),
    'gestresst': ('stressen',),
    'gestrest': ('stressen',),
    'gestroomlijnd': ('stroomlijnen',),
    'gestroomlijnde': ('stroomlijnen',),
    'gestructureerd': ('structureren',),
    'gestructureerde': ('structureren',),
    'gestudeerd': ('studeren',),
    'gestudeerde': ('studeren',),
    'gestuikt': ('stuiken',),
    'gestuikte': ('stuiken',),
    'gesubordineerd': ('subordineren',),
    'gesubordineerde': ('subordineren',),
    'gesubsidieerd': ('subsidiëren',),
    'gesubstitueerd': ('substitueren',),
    'gesubstitueerde': ('substitueren',),
    'gesuikerd': ('suikeren',),
    'gesuikerde': ('suikeren',),
    'gesynchroniseerd': ('synchroniseren',),
    'getaand': ('tanen',),
    'getaande': ('tanen',),
    'getailleerd': ('tailleren',),
    'getailleerde': ('tailleren',),
    'getakt': ('takken',),
    'getakte': ('takken',),
    'getand': ('tanden',),
    'getande': ('tanden',),
    'getapt': ('tappen',),
    'getapte': ('tappen',),
    'geteerd': ('teren',),
    'geteerde': ('teren',),
    'geteisterde': ('teisteren',),
    'getekend': ('tekenen',),
    'getekende': ('tekenen',),
    'getekenden': ('tekenen',),
    'getelefoneerd': ('telefoneren',),
    'getelefoneerde': ('telefoneren',),
    'getemperd': ('temperen',),
    'getemperde': ('temperen',),
    'getergde': ('tergen',),
    'geteut': ('teuten',),
    'getijgerd': ('tijgeren',),
    'getikt': ('tikken',),
    'getikte': ('tikken',),
    'getint': ('tinten',),
    'getinte': ('tinten',),
    'getiteld': ('titelen',),
    'getitelde': ('titelen',),
    'getogen': ('tijgen',),
    'getoogd': ('togen',),
    'getraind': ('trainen',),
    'getrainde': ('trainen',),
    'getralied': ('traliën',),
    'getraliede': ('traliën',),
    'getransponeerde': ('transponeren',),
    'getrapt': ('trappen',),
    'getrapte': ('trappen',),
    'getroebleerd': ('troebleren',),
    'getroebleerde': ('troebleren',),
    'getroffen': ('treffen',),
    'getroffene': ('treffen',),
    'getroffenen': ('treffen',),
    'getrokken': ('trekken',),
    'getroost': ('getroosten',),
    'getrooste': ('getroosten',),
    'getrouwd': ('trouwen',),
    'getrouwde': ('trouwen',),
    'getuig': ('getuigen',),
    'getuigd': ('getuigen',),
    'getuigde': ('getuigen',),
    'getuige': ('getuigen',),
    'getuit': ('tuiten',),
    'getuite': ('tuiten',),
    'getut': ('tutten',),
    'getypt': ('typen',),
    'getypte': ('typen',),
    'geur': ('geuren',),
    'gevaccineerd': ('vaccineren',),
    'gevaccineerde': ('vaccineren',),
    'geval': ('gevallen',),
    'gevallen': ('vallen',),
    'gevallenen': ('vallen',),
    'gevangen': ('vangen',),
    'gevangene': ('vangen',),
    'gevangenen': ('vangen',),
    'gevangengezeten': ('gevangenzitten',),
    'gevangennamen': ('gevangennemen',),
    'gevaren': ('varen',),
    'gevarieerd': ('variëren',),
    'gevarieerde': ('variëren',),
    'gevat': ('vatten',),
    'gevatte': ('vatten',),
    'geveerd': ('veren',),
    'geveinsd': ('veinzen',),
    'geveinsde': ('veinzen',),
    'geverfd': ('verven',),
    'gevest': ('vesten',),
    'gevestigd': ('vestigen',),
    'gevestigde': ('vestigen',),
    'gevierd': ('vieren',),
    'gevierde': ('vieren',),
    'gevierendeeld': ('vierendelen',),
    'gevierendeelde': ('vierendelen',),
    'gevingerd': ('vingeren',),
    'gevingerde': ('vingeren',),
    'gevitaminiseerd': ('vitaminiseren',),
    'gevitaminiseerde': ('vitaminiseren',),
    'gevlamd': ('vlammen',),
    'gevlamde': ('vlammen',),
    'gevleesd': ('vlezen',),
    'gevleesde': ('vlezen',),
    'gevleid': ('vleien',),
    'gevlekt': ('vlekken',),
    'gevlochten': ('vlechten',),
    'gevlogen': ('vliegen',),
    'gevlokt': ('vlokken',),
    'gevlokte': ('vlokken',),
    'gevoegd': ('voegen',),
    'gevoegde': ('voegen',),
    'gevoel': ('gevoelen',),
    'gevoerd': ('voeren',),
    'gevoerde': ('voeren',),
    'gevolmachtigd': ('volmachtigen',),
    'gevolmachtigde': ('volmachtigen',),
    'gevonden': ('vinden',),
    'gevorderd': ('vorderen',),
    'gevorderde': ('vorderen',),
    'gevorderden': ('vorderen',),
    'gevormd': ('vormen',),
    'gevormde': ('vormen',),
    'gevraagd': ('vragen',),
    'gevraagde': ('vragen',),
    'gevreesd': ('vrezen',),
    'gevreesde': ('vrezen',),
    'gevuld': ('vullen',),
    'gevulde': ('vullen',),
    'gewaad': ('waden',),
    'gewaagd': ('gewagen',),
    'gewaagde': ('gewagen',),
    'gewaand': ('wanen',),
    'gewaande': ('wanen',),
    'gewaardeerd': ('waarderen',),
    'gewaardeerde': ('waarderen',),
    'gewapend': ('wapenen',),
    'gewapende': ('wapenen',),
    'gewassen': ('wassen',),
    'gewast': ('wassen',),
    'gewaste': ('wassen',),
    'gewaterd': ('wateren',),
    'gewaterde': ('wateren',),
    'gewatteerd': ('watteren',),
    'gewatteerde': ('watteren',),
    'geween': ('wenen',),
    'geweide': ('weiden',),
    'geweld': ('wellen',),
    'gewelfd': ('welven',),
    'gewelfde': ('welven',),
    'gewen': ('gewennen',),
    'gewend': ('wennen',),
    'gewenst': ('wensen',),
    'gewenste': ('wensen',),
    'gewerveld': ('wervelen',),
    'geweten': ('weten',),
    'gewettigd': ('wettigen',),
    'gewettigde': ('wettigen',),
    'gewezen': ('wijzen',),
    'gewiekt': ('wieken',),
    'gewiekte': ('wieken',),
    'gewijd': ('wijden',),
    'gewijde': ('wijden',),
    'gewijzigd': ('wijzigen',),
    'gewijzigde': ('wijzigen',),
    'gewild': ('willen',),
    'gewilde': ('willen',),
    'gewimpeld': ('wimpelen',),
    'gewin': ('gewinnen',),
    'gewist': ('wissen',),
    'gewiste': ('wissen',),
    'gewit': ('witten',),
    'gewitte': ('witten',),
    'gewogen': ('wegen',),
    'gewon': ('gewinnen',),
    'gewond': ('wonden',),
    'gewonde': ('wonden',),
    'gewonden': ('winden',),
    'gewonnen': ('winnen',),
    'geworteld': ('wortelen',),
    'gewortelde': ('wortelen',),
    'geworven': ('werven',),
    'gewrocht': ('werken',),
    'gewroet': ('wroeten',),
    'gewrongen': ('wringen',),
    'gezaagd': ('zagen',),
    'gezaagde': ('zagen',),
    'gezaaide': ('zaaien',),
    'gezakt': ('zakken',),
    'gezakte': ('zakken',),
    'gezalfde': ('zalven',),
    'gezant': ('zanten',),
    'gezante': ('zanten',),
    'gezegd': ('zeggen',),
    'gezegde': ('zeggen',),
    'gezegeld': ('zegelen',),
    'gezegelde': ('zegelen',),
    'gezegend': ('zegenen',),
    'gezegende': ('zegenen',),
    'gezet': ('zetten',),
    'gezeten': ('zitten',),
    'gezette': ('zetten',),
    'gezicht': ('zichten',),
    'gezien': ('zien',),
    'gezind': ('zinnen',),
    'gezocht': ('zoeken',),
    'gezochte': ('zoeken',),
    'gezond': ('zonnen',),
    'gezonde': ('zonnen',),
    'gezonken': ('zinken',),
    'gezorgd': ('zorgen',),
    'gezouten': ('zouten',),
    'gezucht': ('zuchten',),
    'gezwenkt': ('zwenken',),
    'gezwollen': ('zwellen',),
    'gezworen': ('zweren',),
    'gezworene': ('zweren',),
    'geëerd': ('eren',),
    'geëerde': ('eren',),
    'geëigend': ('eigenen',),
    'geëigende': ('eigenen',),
    'geëlektrificeerd': ('elektrificeren',),
    'geëlektriseerd': ('elektriseren',),
    'geëlektriseerde': ('elektriseren',),
    'geëmailleerd': ('emailleren',),
    'geëmancipeerd': ('emanciperen',),
    'geëmancipeerde': ('emanciperen',),
    'geëmotioneerd': ('emotioneren',),
    'geënerveerd': ('enerveren',),
    'geënerveerde': ('enerveren',),
    'geëngageerd': ('engageren',),
    'geëngageerde': ('engageren',),
    'geënquêteerde': ('enquêteren',),
    'geërfde': ('erven',),
    'geëxalteerd': ('exalteren',),
    'geëxalteerde': ('exalteren',),
    'geëxecuteerden': ('executeren',),
    'geëxpireerd': ('expireren',),
    'geëxpireerde': ('expireren',),
    'geëxponeerd': ('exponeren',),
    'geëxponeerde': ('exponeren',),
    'geïllustreerd': ('illustreren',),
    'geïllustreerde': ('illustreren',),
    'geïmpliceerd': ('impliceren',),
    'geïmpliceerde': ('impliceren',),
    'geïmponeerd': ('imponeren',),
    'geïmponeerde': ('imponeren',),
    'geïmproviseerd': ('improviseren',),
    'geïmproviseerde': ('improviseren',),
    'geïncrimineerd': ('incrimineren',),
    'geïncrimineerde': ('incrimineren',),
    'geïndustrialiseerd': ('industrialiseren',),
    'geïnspireerd': ('inspireren',),
    'geïnspireerde': ('inspireren',),
    'geïntegreerd': ('integreren',),
    'geïntegreerde': ('integreren',),
    'geïnteresseerd': ('interesseren',),
    'geïnteresseerde': ('interesseren',),
    'geïnterneerde': ('interneren',),
    'geïnterviewden': ('ïnterviewen',),
    'geïrriteerd': ('irriteren',),
    'geïrriteerde': ('irriteren',),
    'geïsoleerd': ('isoleren',),
    'geünieerd': ('uniëren',),
    'geünieerde': ('uniëren',),
    'geüniformeerd': ('uniformeren',),
    'geüniformeerde': ('uniformeren',),
    'geüpdatete': ('updaten',),
    'geürbaniseerd': ('urbaniseren',),
    'geürbaniseerde': ('urbaniseren',),
    'gids': ('gidsen',),
    'giebel': ('giebelen',),
    'giechel': ('giechelen',),
    'gier': ('gieren',),
    'gijl': ('gijlen',),
    'gijn': ('gijnen',),
    'gijp': ('gijpen',),
    'gijzel': ('gijzelen',),
    'gil': ('gillen',),
    'gilde': ('gillen',),
    'gilden': ('gillen',),
    'gillende': ('gillen',),
    'gips': ('gipsen',),
    'gis': ('gissen',),
    'gisp': ('gispen',),
    'gist': ('gissen',),
    'gitariste': ('gitarissen',),
    'glad': ('gladden',),
    'gladde': ('gladden',),
    'gladgeschoren': ('gladscheren',),
    'gladschaaf': ('gladschaven',),
    'gladvijl': ('gladvijlen',),
    'glans': ('glanzen',),
    'glanzende': ('glanzen',),
    'glazuur': ('glazuren',),
    'glibber': ('glibberen',),
    'glijdend': ('glijden',),
    'glijdende': ('glijden',),
    'glimlach': ('glimlachen',),
    'glimmend': ('glimmen',),
    'glimmende': ('glimmen',),
    'glinster': ('glinsteren',),
    'glinsterend': ('glinsteren',),
    'glinsterende': ('glinsteren',),
    'glip': ('glippen',),
    'glipper': ('glipperen',),
    'gloeiend': ('gloeien',),
    'gloeiende': ('gloeien',),
    'glooiend': ('glooien',),
    'glooiende': ('glooien',),
    'gloor': ('gloren',),
    'gluipend': ('gluipen',),
    'gluipende': ('gluipen',),
    'glunder': ('glunderen',),
    'gniffel': ('gniffelen',),
    'goedkeurend': ('goedkeuren',),
    'goedkeurende': ('goedkeuren',),
    'gok': ('gokken',),
    'gold': ('gelden',),
    'golden': ('gelden',),
    'golf': ('golfen',),
    'golfspelende': ('golfspelen',),
    'golfte': ('golfen',),
    'golvend': ('golven',),
    'golvende': ('golven',),
    'gom': ('gommen',),
    'gon': ('gaan',),
    'gondel': ('gondelen',),
    'gons': ('gonzen',),
    'gooi': ('gooien',),
    'goot': ('gieten',),
    'gorgel': ('gorgelen',),
    'gort': ('gorren',),
    'goten': ('gieten',),
    'gourmet': ('gourmetten',),
    'graaf': ('graven',),
    'graai': ('graaien',),
    'graan': ('granen',),
    'graast': ('grazen',),
    'grabbel': ('grabbelen',),
    'grap': ('grappen',),
    'grapjas': ('grapjassen',),
    'grauw': ('grauwen',),
    'grave': ('graven',),
    'greep': ('grijpen',),
    'grein': ('greinen',),
    'grendel': ('grendelen',),
    'grens': ('grenzen',),
    'grenst': ('grenzen',),
    'grepen': ('grijpen',),
    'greppel': ('greppelen',),
    'grief': ('grieven',),
    'grienden': ('grienen',),
    'grievend': ('grieven',),
    'grievende': ('grieven',),
    'griezel': ('griezelen',),
    'grif': ('griffen',),
    'griffel': ('griffelen',),
    'grift': ('griffen',),
    'griften': ('griffen',),
    'grijns': ('grijnzen',),
    'grijnslach': ('grijnslachen',),
    'grijnzend': ('grijnzen',),
    'grijnzende': ('grijnzen',),
    'grijp': ('grijpen',),
    'grijs': ('grijzen',),
    'grijst': ('grijzen',),
    'gril': ('grillen',),
    'grim': ('grimmen',),
    'grimas': ('grimassen',),
    'grimlach': ('grimlachen',),
    'grind': ('grinden',),
    'gris': ('grissen',),
    'groef': ('graven',),
    'groei': ('groeien',),
    'groen': ('groenen',),
    'groep': ('groepen',),
    'groet': ('groeten',),
    'groeven': ('graven',),
    'grol': ('grollen',),
    'grom': ('grommen',),
    'grond': ('gronden',),
    'grondverf': ('grondverven',),
    'grondvest': ('grondvesten',),
    'grossier': ('grossieren',),
    'gruis': ('gruizen',),
    'gruizel': ('gruizelen',),
    'grut': ('grutten',),
    'gruwel': ('gruwelen',),
    'gulp': ('gulpen',),
    'gum': ('gummen',),
    'gun': ('gunnen',),
    'guts': ('gutsen',),
    'gym': ('gymmen',),
    'haag': ('hagen',),
    'haai': ('haaien',),
    'haak': ('haken',),
    'haal': ('halen',),
    'haar': ('haren',),
    'haarden': ('haren',),
    'haast': ('haasten',),
    'haat': ('haten',),
    'hack': ('hacken',),
    'hagel': ('hagelen',),
    'hak': ('hakken',),
    'hakkel': ('hakkelen',),
    'haksel': ('hakselen',),
    'hal': ('hallen',),
    'hals': ('halzen',),
    'halst': ('halzen',),
    'halster': ('halsteren',),
    'halt': ('hallen',),
    'halvezool': ('halvezolen',),
    'hamer': ('hameren',),
    'hamster': ('hamsteren',),
    'hand': ('handen',),
    'handbal': ('handballen',),
    'handel': ('handelen',),
    'handeldrijvend': ('handeldrijven',),
    'handeldrijvende': ('handeldrijven',),
    'handenwringend': ('handenwringen',),
    'handgift': ('handgiften',),
    'handicap': ('handicappen',),
    'handwerk': ('handwerken',),
    'hang': ('hangen',),
    'hangend': ('hangen',),
    'hangende': ('hangen',),
    'hannes': ('hannesen',),
    'hap': ('happen',),
    'hapert': ('haperen',),
    'hard': ('harden',),
    'hardebol': ('hardebollen',),
    'hark': ('harken',),
    'harnas': ('harnassen',),
    'harp': ('harpen',),
    'harpuis': ('harpuizen',),
    'haspel': ('haspelen',),
    'haven': ('havenen',),
    'heb': ('hebben',),
    'hecht': ('hechten',),
    'heeft': ('hebben',),
    'heel': ('helen',),
    'heelde': ('helen',),
    'heers': ('heersen',),
    'heerst': ('heersen',),
    'hees': ('hijsen',),
    'heet': ('heten',),
    'hef': ('heffen',),
    'heft': ('heffen',),
    'hei': ('heien',),
    'heide': ('heien',),
    'heiden': ('heien',),
    'heilig': ('heiligen',),
    'hein': ('heinen',),
    'heinde': ('heinen',),
    'heister': ('heisteren',),
    'heit': ('heien',),
    'hek': ('hekken',),
    'hekel': ('hekelen',),
    'heks': ('heksen',),
    'hel': ('hellen',),
    'helden': ('hellen',),
    'helder': ('helderen',),
    'hellend': ('hellen',),
    'help': ('helpen',),
    'hem': ('hebben',),
    'hemden': ('hemmen',),
    'hemel': ('hemelen',),
    'hen': ('hennen',),
    'hengel': ('hengelen',),
    'hengst': ('hengsten',),
    'herberg': ('herbergen',),
    'herbouw': ('herbouwen',),
    'herbouwde': ('herbouwen',),
    'herbouwden': ('herbouwen',),
    'herdoop': ('herdopen',),
    'herdruk': ('herdrukken',),
    'hergebruik': ('hergebruiken',),
    'hergebruikte': ('hergebruiken',),
    'herhaald': ('herhalen',),
    'herhaalde': ('herhalen',),
    'herijk': ('herijken',),
    'heringericht': ('herinrichten',),
    'herkreeg': ('herkrijgen',),
    'hernamen': ('hernemen',),
    'hernoemden': ('hernoemen',),
    'heropbouw': ('heropbouwen',),
    'heropende': ('heropenen',),
    'heropgebouwde': ('heropbouwen',),
    'herrees': ('herrijzen',),
    'herrijst': ('herrijzen',),
    'herschapen': ('herscheppen',),
    'herschreef': ('herschrijven',),
    'herstel': ('herstellen',),
    'herstelde': ('herstellen',),
    'herstellenden': ('herstellen',),
    'hertrouw': ('hertrouwen',),
    'heruitgaven': ('heruitgeven',),
    'hervormd': ('hervormen',),
    'hervormde': ('hervormen',),
    'hervormden': ('hervormen',),
    'herwonnen': ('herwinnen',),
    'het': ('hebben',),
    'heug': ('heugen',),
    'heul': ('heulen',),
    'hevel': ('hevelen',),
    'hiel': ('hielen',),
    'hijs': ('hijsen',),
    'hik': ('hikken',),
    'hinder': ('hinderen',),
    'hinkepink': ('hinkepinken',),
    'hint': ('hinten',),
    'hip': ('hippen',),
    'hippel': ('hippelen',),
    'historiserende': ('historiseren',),
    'hits': ('hitsen',),
    'hobbel': ('hobbelen',),
    'hockey': ('hockeyen',),
    'hoe': ('hoeven',),
    'hoed': ('hoeden',),
    'hoef': ('hoeven',),
    'hoek': ('hoeken',),
    'hoepel': ('hoepelen',),
    'hoer': ('hoeren',),
    'hoest': ('hoesten',),
    'hok': ('hokken',),
    'hokt': ('hokken',),
    'hol': ('hollen',),
    'holden': ('hollen',),
    'hollend': ('hollen',),
    'hollende': ('hollen',),
    'holt': ('hollen',),
    'honend': ('honen',),
    'honende': ('honen',),
    'honger': ('hongeren',),
    'hongerenden': ('hongeren',),
    'hongerstakende': ('hongerstaken',),
    'honk': ('honken',),
    'honkbal': ('honkballen',),
    'hoof': ('hoven',),
    'hoofde': ('hoven',),
    'hoofden': ('hoven',),
    'hooft': ('hoven',),
    'hoog': ('hogen',),
    'hooggeacht': ('hoogachten',),
    'hooggeachte': ('hoogachten',),
    'hooggeschat': ('hoogschatten',),
    'hooggeschatte': ('hoogschatten',),
    'hooi': ('hooien',),
    'hoon': ('honen',),
    'hoop': ('hopen',),
    'hoor': ('horen',),
    'hoos': ('hozen',),
    'hop': ('hoppen',),
    'hops': ('hopsen',),
    'horens': ('horen',),
    'horst': ('horsten',),
    'hort': ('horten',),
    'hos': ('hossen',),
    'host': ('hossen',),
    'hoste': ('hossen',),
    'hot': ('hotten',),
    'hou': ('houden',),
    'houdend': ('houden',),
    'houdende': ('houden',),
    'houdt': ('houden',),
    'houw': ('houwen',),
    'hovenier': ('hovenieren',),
    'huid': ('huiden',),
    'huif': ('huiven',),
    'huilebalk': ('huilebalken',),
    'huilende': ('huilen',),
    'huis': ('huizen',),
    'huiver': ('huiveren',),
    'hul': ('hullen',),
    'hulde': ('hullen',),
    'hulpverlenende': ('hulpverlenen',),
    'hum': ('hummen',),
    'hup': ('huppen',),
    'huppel': ('huppelen',),
    'huppelende': ('huppelen',),
    'huur': ('huren',),
    'huwelijk': ('huwelijken',),
    'ijk': ('ijken',),
    'ijl': ('ijlen',),
    'ijs': ('ijzen',),
    'ijsbeer': ('ijsberen',),
    'ijver': ('ijveren',),
    'ijzel': ('ijzelen',),
    'imker': ('imkeren',),
    'immigreerden': ('immigreren',),
    'in': ('innen',),
    'inbegrepen': ('inbegrijpen',),
    'inbel': ('inbellen',),
    'inblies': ('inblazen',),
    'inbouw': ('inbouwen',),
    'inbraken': ('inbreken',),
    'inbreng': ('inbrengen',),
    'inde': ('innen',),
    'inden': ('innen',),
    'indien': ('indienen',),
    'indijk': ('indijken',),
    'indringend': ('indringen',),
    'indringende': ('indringen',),
    'indruk': ('indrukken',),
    'inga': ('ingaan',),
    'ingaand': ('ingaan',),
    'ingaande': ('ingaan',),
    'ingeademde': ('inademen',),
    'ingebeeld': ('inbeelden',),
    'ingebeelde': ('inbeelden',),
    'ingebonden': ('inbinden',),
    'ingebrand': ('inbranden',),
    'ingebrande': ('inbranden',),
    'ingeburgerd': ('inburgeren',),
    'ingeburgerde': ('inburgeren',),
    'ingedaan': ('indoen',),
    'ingedrukte': ('indrukken',),
    'ingehuurde': ('inhuren',),
    'ingekankerd': ('inkankeren',),
    'ingekankerde': ('inkankeren',),
    'ingekeerd': ('inkeren',),
    'ingekeerde': ('inkeren',),
    'ingekleurd': ('inkleuren',),
    'ingekleurde': ('inkleuren',),
    'ingekochte': ('inkopen',),
    'ingekorven': ('inkerven',),
    'ingelaste': ('inlassen',),
    'ingelegd': ('inleggen',),
    'ingelegde': ('inleggen',),
    'ingelichte': ('inlichten',),
    'ingelijfd': ('inlijven',),
    'ingeloot': ('inloten',),
    'ingemaakt': ('inmaken',),
    'ingemaakte': ('inmaken',),
    'ingemetselde': ('inmetselen',),
    'ingenaaid': ('innaaien',),
    'ingenaaide': ('innaaien',),
    'ingenomen': ('innemen',),
    'ingeroest': ('inroesten',),
    'ingeroeste': ('inroesten',),
    'ingeschapen': ('inschapen',),
    'ingeschreven': ('inschrijven',),
    'ingesloten': ('insluiten',),
    'ingesneden': ('insnijden',),
    'ingesnoerd': ('insnoeren',),
    'ingesnoerde': ('insnoeren',),
    'ingespannen': ('inspannen',),
    'ingesteld': ('instellen',),
    'ingestelde': ('instellen',),
    'ingevangen': ('invangen',),
    'ingevoerd': ('invoeren',),
    'ingevoerde': ('invoeren',),
    'ingevroren': ('invriezen',),
    'ingeweven': ('inweven',),
    'ingewijden': ('inwijden',),
    'ingewikkeld': ('inwikkelen',),
    'ingewikkelde': ('inwikkelen',),
    'ingeworteld': ('inwortelen',),
    'ingewortelde': ('inwortelen',),
    'ingezet': ('inzetten',),
    'ingezetene': ('inzitten',),
    'ingezetenen': ('inzitten',),
    'ingezette': ('inzetten',),
    'ingezonden': ('inzenden',),
    'ingezonken': ('inzinken',),
    'ingeënt': ('inenten',),
    'ingeënte': ('inenten',),
    'ingooi': ('ingooien',),
    'ingreep': ('ingrijpen',),
    'ingrepen': ('ingrijpen',),
    'ingrijp': ('ingrijpen',),
    'ingrijpend': ('ingrijpen',),
    'ingrijpende': ('ingrijpen',),
    'inhoud': ('inhouden',),
    'inhoudende': ('inhouden',),
    'inkeep': ('inkepen',),
    'inkeer': ('inkeren',),
    'inkijk': ('inkijken',),
    'inkom': ('inkomen',),
    'inkomende': ('inkomen',),
    'inkoop': ('inkopen',),
    'inlaat': ('inlaten',),
    'inlas': ('inlassen',),
    'inleg': ('inleggen',),
    'inleidend': ('inleiden',),
    'inleidende': ('inleiden',),
    'inloop': ('inlopen',),
    'inmaak': ('inmaken',),
    'innemend': ('innemen',),
    'innemende': ('innemen',),
    'innoverend': ('innoveren',),
    'inperkende': ('inperken',),
    'inpik': ('inpikken',),
    'inplant': ('inplannen',),
    'inrij': ('inrijden',),
    'inruil': ('inruilen',),
    'inschreef': ('inschrijven',),
    'inschuif': ('inschuiven',),
    'inslapend': ('inslapen',),
    'inslapende': ('inslapen',),
    'inslik': ('inslikken',),
    'insloegen': ('inslaan',),
    'insmeer': ('insmeren',),
    'inspannend': ('inspannen',),
    'inspannende': ('inspannen',),
    'inspringend': ('inspringen',),
    'inspringende': ('inspringen',),
    'insprong': ('inspringen',),
    'insprongen': ('inspringen',),
    'instap': ('instappen',),
    'insteek': ('insteken',),
    'instel': ('instellen',),
    'instemmend': ('instemmen',),
    'instemmende': ('instemmen',),
    'instroom': ('instromen',),
    'instuif': ('instuiven',),
    'integrerend': ('integreren',),
    'integrerende': ('integreren',),
    'interveniërend': ('interveniëren',),
    'interveniërende': ('interveniëren',),
    'interview': ('interviewen',),
    'intrek': ('intrekken',),
    'intrigerend': ('intrigeren',),
    'introkken': ('intrekken',),
    'invaart': ('invaren',),
    'inval': ('invallen',),
    'invallend': ('invallen',),
    'invallende': ('invallen',),
    'invoer': ('invaren',),
    'inwerkt': ('inwerken',),
    'inwonend': ('inwonen',),
    'inwonende': ('inwonen',),
    'inwoon': ('inwonen',),
    'inwoont': ('inwonen',),
    'inzet': ('inzetten',),
    'inzittende': ('inzitten',),
    'inzittenden': ('inzitten',),
    'ioniserende': ('ioniseren',),
    'iriserende': ('iriseren',),
    'irriterende': ('irriteren',),
    'is': ('zijn',),
    'jaap': ('japen',),
    'jacht': ('jachten',),
    'jakhals': ('jakhalzen',),
    'jam': ('jammen',),
    'jammer': ('jammeren',),
    'jas': ('jassen',),
    'jat': ('jatten',),
    'jein': ('jeinen',),
    'jen': ('jennen',),
    'jengel': ('jengelen',),
    'jens': ('jenzen',),
    'jeuk': ('jeuken',),
    'jeukte': ('jeuken',),
    'joel': ('joelen',),
    'joep': ('joepen',),
    'jok': ('jokken',),
    'joker': ('jokeren',),
    'jol': ('jollen',),
    'jonas': ('jonassen',),
    'jong': ('jongen',),
    'jool': ('jolen',),
    'jou': ('jouen',),
    'jouw': ('jouwen',),
    'jubel': ('jubelen',),
    'judas': ('judassen',),
    'judo': ('judoën',),
    'juffer': ('jufferen',),
    'juichend': ('juichen',),
    'juk': ('jukken',),
    'jut': ('jutten',),
    'kaai': ('kaaien',),
    'kaak': ('kaken',),
    'kaal': ('kalen',),
    'kaam': ('kamen',),
    'kaan': ('kanen',),
    'kaap': ('kapen',),
    'kaard': ('kaarden',),
    'kaart': ('kaarten',),
    'kaas': ('kazen',),
    'kaats': ('kaatsen',),
    'kabel': ('kabelen',),
    'kachel': ('kachelen',),
    'kader': ('kaderen',),
    'kadraai': ('kadraaien',),
    'kaffer': ('kafferen',),
    'kaft': ('kaften',),
    'kak': ('kakken',),
    'kakel': ('kakelen',),
    'kal': ('kallen',),
    'kalander': ('kalanderen',),
    'kalende': ('kalen',),
    'kalender': ('kalenderen',),
    'kalf': ('kalven',),
    'kalk': ('kalken',),
    'kam': ('kammen',),
    'kamenier': ('kamenieren',),
    'kamp': ('kampen',),
    'kampende': ('kampen',),
    'kan': ('kunnen',),
    'kandelaar': ('kandelaren',),
    'kandelaber': ('kandelaberen',),
    'kanker': ('kankeren',),
    'kano': ('kanoën',),
    'kant': ('kunnen',),
    'kantwerk': ('kantwerken',),
    'kap': ('kappen',),
    'kapend': ('kapen',),
    'kapittel': ('kapittelen',),
    'kapsel': ('kapselen',),
    'kar': ('karren',),
    'karn': ('karnen',),
    'kart': ('karren',),
    'kartel': ('kartelen',),
    'karwei': ('karweien',),
    'kas': ('kassen',),
    'kassei': ('kasseien',),
    'kast': ('kassen',),
    'kaste': ('kassen',),
    'kasten': ('kassen',),
    'kat': ('katten',),
    'katte': ('katten',),
    'kauw': ('kauwen',),
    'kavel': ('kavelen',),
    'keel': ('kelen',),
    'keen': ('kenen',),
    'keep': ('keepen',),
    'keer': ('keren',),
    'kees': ('kezen',),
    'keest': ('keesten',),
    'keet': ('keten',),
    'keg': ('keggen',),
    'kegel': ('kegelen',),
    'keil': ('keilen',),
    'kelder': ('kelderen',),
    'ken': ('kennen',),
    'kenmerk': ('kenmerken',),
    'kenmerkend': ('kenmerken',),
    'kenmerkende': ('kenmerken',),
    'kennisgenomen': ('kennisnemen',),
    'kenschets': ('kenschetsen',),
    'kenschetsend': ('kenschetsen',),
    'kenschetsende': ('kenschetsen',),
    'kent': ('kennen',),
    'kenteken': ('kentekenen',),
    'keper': ('keperen',),
    'kerf': ('kerven',),
    'kerk': ('kerken',),
    'kerker': ('kerkeren',),
    'kerkten': ('kerken',),
    'kermis': ('kermissen',),
    'kermt': ('kermen',),
    'kern': ('kernen',),
    'kersten': ('kerstenen',),
    'kets': ('ketsen',),
    'ketter': ('ketteren',),
    'keu': ('keuen',),
    'keur': ('keuren',),
    'keut': ('keuen',),
    'keutel': ('keutelen',),
    'keuter': ('keuteren',),
    'keuvel': ('keuvelen',),
    'kever': ('keveren',),
    'kick': ('kicken',),
    'kicker': ('kickeren',),
    'kiek': ('kieken',),
    'kiel': ('kielen',),
    'kiem': ('kiemen',),
    'kien': ('kienen',),
    'kiep': ('kiepen',),
    'kieper': ('kieperen',),
    'kier': ('kieren',),
    'kies': ('kiezen',),
    'kieskauw': ('kieskauwen',),
    'kiest': ('kiezen',),
    'kift': ('kiften',),
    'kijf': ('kijven',),
    'kijk': ('kijken',),
    'kik': ('kikken',),
    'kikker': ('kikkeren',),
    'kil': ('killen',),
    'kilt': ('killen',),
    'kim': ('kimmen',),
    'kink': ('kinken',),
    'kinkel': ('kinkelen',),
    'kip': ('kippen',),
    'kir': ('kirren',),
    'kis': ('kissen',),
    'kist': ('kissen',),
    'kit': ('kitten',),
    'kits': ('kitsen',),
    'klaar': ('klaren',),
    'klaarmaak': ('klaarmaken',),
    'klaarstaande': ('klaarstaan',),
    'klad': ('kladden',),
    'kladder': ('kladderen',),
    'kladschilder': ('kladschilderen',),
    'klagend': ('klagen',),
    'klagende': ('klagen',),
    'klak': ('klakken',),
    'klamaai': ('klamaaien',),
    'klamp': ('klampen',),
    'klap': ('klappen',),
    'klappei': ('klappeien',),
    'klapper': ('klapperen',),
    'klauter': ('klauteren',),
    'klauw': ('klauwen',),
    'kledder': ('kledderen',),
    'kleed': ('kleden',),
    'kleef': ('kleven',),
    'klei': ('kleien',),
    'kleins': ('kleinzen',),
    'kleinst': ('kleinzen',),
    'klem': ('klemmen',),
    'klemmend': ('klemmen',),
    'klemmende': ('klemmen',),
    'klep': ('kleppen',),
    'klepel': ('klepelen',),
    'klepper': ('klepperen',),
    'klessebes': ('klessebessen',),
    'klets': ('kletsen',),
    'kletsmeier': ('kletsmeieren',),
    'kleun': ('kleunen',),
    'kleur': ('kleuren',),
    'kleuter': ('kleuteren',),
    'klieder': ('kliederen',),
    'kliek': ('klieken',),
    'klier': ('klieren',),
    'klik': ('klikken',),
    'klim': ('klimmen',),
    'klimmend': ('klimmen',),
    'klimmende': ('klimmen',),
    'klingel': ('klingelen',),
    'klink': ('klinken',),
    'klis': ('klissen',),
    'klit': ('klitten',),
    'klodder': ('klodderen',),
    'kloet': ('kloeten',),
    'klok': ('klokken',),
    'klonter': ('klonteren',),
    'kloof': ('kluiven',),
    'klooi': ('klooien',),
    'kloon': ('klonen',),
    'kloot': ('kloten',),
    'klop': ('kloppen',),
    'klos': ('klossen',),
    'klots': ('klotsen',),
    'kloven': ('kluiven',),
    'kluif': ('kluiven',),
    'kluis': ('kluizen',),
    'kluister': ('kluisteren',),
    'klungel': ('klungelen',),
    'kluns': ('klunzen',),
    'kluppel': ('kluppelen',),
    'klus': ('klussen',),
    'kluts': ('klutsen',),
    'knabbel': ('knabbelen',),
    'knak': ('knakken',),
    'knal': ('knallen',),
    'knap': ('knappen',),
    'knapper': ('knapperen',),
    'knapten': ('knappen',),
    'knauw': ('knauwen',),
    'knecht': ('knechten',),
    'kneep': ('knijpen',),
    'knel': ('knellen',),
    'knepen': ('knijpen',),
    'knetter': ('knetteren',),
    'kneukel': ('kneukelen',),
    'kneus': ('kneuzen',),
    'kneuter': ('kneuteren',),
    'knevel': ('knevelen',),
    'knieband': ('kniebanden',),
    'knijp': ('knijpen',),
    'knik': ('knikken',),
    'knikker': ('knikkeren',),
    'knip': ('knippen',),
    'knipoog': ('knipogen',),
    'knipper': ('knipperen',),
    'knipperende': ('knipperen',),
    'knippert': ('knipperen',),
    'knobbel': ('knobbelen',),
    'knoei': ('knoeien',),
    'knok': ('knokken',),
    'knokte': ('knokken',),
    'knoop': ('knopen',),
    'knop': ('knoppen',),
    'knor': ('knorren',),
    'knot': ('knotten',),
    'knuffel': ('knuffelen',),
    'knuppel': ('knuppelen',),
    'knutsel': ('knutselen',),
    'koek': ('koeken',),
    'koel': ('koelen',),
    'koelden': ('koelen',),
    'koer': ('koeren',),
    'koerden': ('koeren',),
    'koers': ('koersen',),
    'koert': ('koeren',),
    'koesterden': ('koesteren',),
    'koeterwaal': ('koeterwalen',),
    'koets': ('koetsen',),
    'koffer': ('kofferen',),
    'koffietafel': ('koffietafelen',),
    'kogel': ('kogelen',),
    'kohier': ('kohieren',),
    'kokend': ('koken',),
    'kokende': ('koken',),
    'kokkel': ('kokkelen',),
    'kokker': ('kokkeren',),
    'kol': ('kollen',),
    'kolder': ('kolderen',),
    'kolf': ('kolven',),
    'kolk': ('kolken',),
    'kolonievormende': ('kolonievormen',),
    'koloniseerden': ('koloniseren',),
    'kom': ('komen',),
    'komend': ('komen',),
    'komende': ('komen',),
    'kondschap': ('kondschappen',),
    'konkel': ('konkelen',),
    'konkelfoes': ('konkelfoezen',),
    'kont': ('kunnen',),
    'kooi': ('kooien',),
    'kook': ('koken',),
    'kool': ('kolen',),
    'koop': ('kopen',),
    'koos': ('kiezen',),
    'koot': ('koten',),
    'kop': ('koppen',),
    'koper': ('koperen',),
    'koppel': ('koppelen',),
    'koprol': ('koprollen',),
    'kopten': ('koppen',),
    'kor': ('korren',),
    'korf': ('kerven',),
    'korfbal': ('korfballen',),
    'korrel': ('korrelen',),
    'korst': ('korsten',),
    'kort': ('korten',),
    'kortlevende': ('kortleven',),
    'kortlopende': ('kortlopen',),
    'kortstaart': ('kortstaarten',),
    'kortswijl': ('kortswijlen',),
    'korven': ('kerven',),
    'kost': ('kosten',),
    'koste': ('kosten',),
    'koter': ('koteren',),
    'kots': ('kotsen',),
    'kotst': ('kotsen',),
    'kotter': ('kotteren',),
    'kout': ('kouten',),
    'kozen': ('kiezen',),
    'kraag': ('kragen',),
    'kraai': ('kraaien',),
    'kraak': ('kraken',),
    'kraal': ('kralen',),
    'kraam': ('kramen',),
    'krab': ('krabben',),
    'krabbel': ('krabbelen',),
    'krag': ('kraggen',),
    'krak': ('krakken',),
    'krakeel': ('krakelen',),
    'kram': ('krammen',),
    'krans': ('kransen',),
    'kras': ('krassen',),
    'krast': ('krassen',),
    'kraste': ('krassen',),
    'krauw': ('krauwen',),
    'kreet': ('krijten',),
    'kreng': ('krengen',),
    'krent': ('krenten',),
    'kreten': ('krijten',),
    'kreuk': ('kreuken',),
    'kreukel': ('kreukelen',),
    'kreun': ('kreunen',),
    'kreupel': ('kreupelen',),
    'krevel': ('krevelen',),
    'krib': ('kribben',),
    'kriebel': ('kriebelen',),
    'kriek': ('krieken',),
    'kriel': ('krielen',),
    'krieuwel': ('krieuwelen',),
    'krijg': ('krijgen',),
    'krijgt': ('krijgen',),
    'krijs': ('krijsen',),
    'krijsende': ('krijsen',),
    'krijt': ('krijten',),
    'krik': ('krikken',),
    'krimp': ('krimpen',),
    'krinkel': ('krinkelen',),
    'kris': ('krissen',),
    'kriskras': ('kriskrassen',),
    'krist': ('krissen',),
    'kroes': ('kroezen',),
    'kroest': ('kroezen',),
    'krol': ('krollen',),
    'krom': ('krommen',),
    'krompraat': ('krompraten',),
    'kromt': ('krommen',),
    'kronkel': ('kronkelen',),
    'krook': ('kroken',),
    'kroon': ('kronen',),
    'kroonde': ('kronen',),
    'kroont': ('kronen',),
    'kroos': ('krozen',),
    'kroost': ('krozen',),
    'krop': ('kroppen',),
    'kruid': ('kruiden',),
    'kruiden': ('kruien',),
    'kruim': ('kruimen',),
    'kruimel': ('kruimelen',),
    'kruin': ('kruinen',),
    'kruipend': ('kruipen',),
    'kruipende': ('kruipen',),
    'kruis': ('kruisen',),
    'kruisjas': ('kruisjassen',),
    'kruit': ('kruien',),
    'kruk': ('krukken',),
    'krul': ('krullen',),
    'krullende': ('krullen',),
    'kuch': ('kuchen',),
    'kuier': ('kuieren',),
    'kuif': ('kuiven',),
    'kuil': ('kuilen',),
    'kuip': ('kuipen',),
    'kuis': ('kuisen',),
    'kuist': ('kuisen',),
    'kuiste': ('kuisen',),
    'kukel': ('kukelen',),
    'kul': ('kullen',),
    'kun': ('kunnen',),
    'kunstschaats': ('kunstschaatsen',),
    'kurk': ('kurken',),
    'kus': ('kussen',),
    'kust': ('kussen',),
    'kusten': ('kussen',),
    'kuur': ('kuren',),
    'kwaadsprekend': ('kwaadspreken',),
    'kwaadsprekende': ('kwaadspreken',),
    'kwak': ('kwakken',),
    'kwakkel': ('kwakkelen',),
    'kwakkelt': ('kwakkelen',),
    'kwalm': ('kwalmen',),
    'kwalster': ('kwalsteren',),
    'kwam': ('komen',),
    'kwartel': ('kwartelen',),
    'kwartet': ('kwartetten',),
    'kwartier': ('kwartieren',),
    'kwats': ('kwatsen',),
    'kwebbel': ('kwebbelen',),
    'kweek': ('kweken',),
    'kwek': ('kwekken',),
    'kwel': ('kwellen',),
    'kwelm': ('kwelmen',),
    'kwets': ('kwetsen',),
    'kwezel': ('kwezelen',),
    'kwijl': ('kwijlen',),
    'kwijnend': ('kwijnen',),
    'kwijnende': ('kwijnen',),
    'kwijt': ('kwijten',),
    'kwijtgeraakte': ('kwijtraken',),
    'kwijtraak': ('kwijtraken',),
    'kwik': ('kwikken',),
    'kwispel': ('kwispelen',),
    'laaf': ('laven',),
    'laag': ('lagen',),
    'laagblijvende': ('laagblijven',),
    'laaghangende': ('laaghangen',),
    'laagvliegende': ('laagvliegen',),
    'laai': ('laaien',),
    'laaiend': ('laaien',),
    'laaiende': ('laaien',),
    'laak': ('laken',),
    'laat': ('laten',),
    'label': ('labelen',),
    'labeur': ('labeuren',),
    'lach': ('lachen',),
    'lachend': ('lachen',),
    'lachende': ('lachen',),
    'lacht': ('lachen',),
    'ladder': ('ladderen',),
    'lag': ('liggen',),
    'lagen': ('liggen',),
    'lak': ('lakken',),
    'lam': ('lammen',),
    'lammer': ('lammeren',),
    'lammert': ('lammeren',),
    'lampet': ('lampetten',),
    'land': ('landen',),
    'lang': ('langen',),
    'lanterfant': ('lanterfanten',),
    'lap': ('lappen',),
    'lapper': ('lapperen',),
    'lapzalf': ('lapzalven',),
    'las': ('lezen',),
    'last': ('lassen',),
    'laste': ('lassen',),
    'lasten': ('lassen',),
    'laster': ('lasteren',),
    'lastiggevallen': ('lastigvallen',),
    'lat': ('latten',),
    'lauwer': ('lauweren',),
    'lavei': ('laveien',),
    'lawaai': ('lawaaien',),
    'lay-out': ('lay-outen',),
    'lazer': ('lazeren',),
    'lazerstraal': ('lazerstralen',),
    'least': ('leasen',),
    'leden': ('lijden',),
    'ledig': ('ledigen',),
    'leed': ('lijden',),
    'leeg': ('legen',),
    'leeggekomen': ('leegkomen',),
    'leeggepompt': ('leegpompen',),
    'leegloop': ('leeglopen',),
    'leegstaande': ('leegstaan',),
    'leek': ('lijken',),
    'leem': ('lemen',),
    'leen': ('lenen',),
    'leende': ('lenen',),
    'leer': ('leren',),
    'lees': ('lezen',),
    'leest': ('lezen',),
    'leg': ('leggen',),
    'legend': ('legen',),
    'legende': ('legen',),
    'leger': ('legeren',),
    'lei': ('liggen',),
    'leid': ('leiden',),
    'leidend': ('leiden',),
    'leidende': ('leiden',),
    'leidinggevende': ('leidinggeven',),
    'leidinggevenden': ('leidinggeven',),
    'lek': ('lekken',),
    'leken': ('lijken',),
    'lekenabt': ('lekenabben',),
    'lekkende': ('lekken',),
    'lekkerbek': ('lekkerbekken',),
    'lel': ('lellen',),
    'leng': ('lengen',),
    'lenig': ('lenigen',),
    'lens': ('lenzen',),
    'lenst': ('lenzen',),
    'lepel': ('lepelen',),
    'leraar': ('leraren',),
    'lerende': ('leren',),
    'les': ('lessen',),
    'lest': ('lessen',),
    'leste': ('lessen',),
    'let': ('letten',),
    'letter': ('letteren',),
    'leuk': ('leuken',),
    'leuker': ('leukeren',),
    'leur': ('leuren',),
    'leuter': ('leuteren',),
    'leve': ('leven',),
    'levend': ('leven',),
    'levende': ('leven',),
    'levenden': ('levend',),
    'lever': ('leveren',),
    'licht': ('lichten',),
    'lichtend': ('lichten',),
    'lichtende': ('lichten',),
    'lichtmis': ('lichtmissen',),
    'liefhebber': ('liefhebberen',),
    'liflaf': ('liflaffen',),
    'lift': ('liften',),
    'liggend': ('liggen',),
    'liggende': ('liggen',),
    'lijdend': ('lijden',),
    'lijdende': ('lijden',),
    'lijf': ('lijven',),
    'lijfden': ('lijven',),
    'lijk': ('lijken',),
    'lijm': ('lijmen',),
    'lijn': ('lijnen',),
    'lijnden': ('lijnen',),
    'lijs': ('lijzen',),
    'lijst': ('lijsten',),
    'lik': ('likken',),
    'lil': ('lillen',),
    'link': ('linken',),
    'lip': ('lippen',),
    'lob': ('lobben',),
    'lobby': ('lobbyen',),
    'lodder': ('lodderen',),
    'lodderoog': ('lodderogen',),
    'loef': ('loeven',),
    'loei': ('loeien',),
    'loeiende': ('loeien',),
    'loens': ('loensen',),
    'loenst': ('loensen',),
    'loenste': ('loensen',),
    'loer': ('loeren',),
    'log': ('loggen',),
    'logeer': ('logeren',),
    'logen': ('liegen',),
    'lok': ('lokken',),
    'lol': ('lollen',),
    'lonend': ('lonen',),
    'lonende': ('lonen',),
    'lonk': ('lonken',),
    'lood': ('loden',),
    'loods': ('loodsen',),
    'loof': ('loven',),
    'loog': ('liegen',),
    'looi': ('looien',),
    'look': ('luiken',),
    'loon': ('lonen',),
    'loop': ('lopen',),
    'loos': ('lozen',),
    'loost': ('lozen',),
    'loot': ('loten',),
    'lopend': ('lopen',),
    'lopende': ('lopen',),
    'lor': ('lorren',),
    'los': ('lossen',),
    'losgebroken': ('losbreken',),
    'losgeraakte': ('losraken',),
    'losgezongen': ('loszingen',),
    'loslopend': ('loslopen',),
    'loslopende': ('loslopen',),
    'losstaand': ('losstaan',),
    'losstaande': ('losstaan',),
    'lost': ('lossen',),
    'loste': ('lossen',),
    'louter': ('louteren',),
    'lub': ('lubben',),
    'lucht': ('luchten',),
    'lui': ('luien',),
    'luid': ('luiden',),
    'luide': ('luien',),
    'luier': ('luieren',),
    'luierik': ('luieriken',),
    'luik': ('luiken',),
    'luilak': ('luilakken',),
    'luim': ('luimen',),
    'luis': ('luizen',),
    'luist': ('luizen',),
    'luister': ('luisteren',),
    'luistervink': ('luistervinken',),
    'luit': ('luien',),
    'luiwammes': ('luiwammesen',),
    'luk': ('lukken',),
    'lul': ('lullen',),
    'lummel': ('lummelen',),
    'lunch': ('lunchen',),
    'luns': ('lunzen',),
    'lurk': ('lurken',),
    'lust': ('lusten',),
    'luw': ('luwen',),
    'lux': ('luxen',),
    'lynch': ('lynchen',),
    'maai': ('maaien',),
    'maaivoet': ('maaivoeten',),
    'maak': ('maken',),
    'maakte': ('maken',),
    'maal': ('malen',),
    'maan': ('manen',),
    'maanden': ('manen',),
    'maas': ('mazen',),
    'maathoudend': ('maathouden',),
    'maathoudende': ('maathouden',),
    'machtig': ('machtigen',),
    'maf': ('maffen',),
    'mag': ('mogen',),
    'magneet': ('magneten',),
    'magt': ('mogen',),
    'mail': ('mailen',),
    'mal': ('mallen',),
    'malden': ('mallen',),
    'malt': ('mallen',),
    'man': ('mannen',),
    'manage': ('managen',),
    'manden': ('mannen',),
    'mangel': ('mangelen',),
    'mank': ('manken',),
    'markeerden': ('markeren',),
    'markt': ('markten',),
    'marmel': ('marmelen',),
    'marmer': ('marmeren',),
    'martel': ('martelen',),
    'masker': ('maskeren',),
    'mast': ('masten',),
    'mastiek': ('mastieken',),
    'mat': ('meten',),
    'maten': ('meten',),
    'matig': ('matigen',),
    'mats': ('matsen',),
    'matst': ('matsen',),
    'matste': ('matsen',),
    'matte': ('matten',),
    'mauw': ('mauwen',),
    'mazzel': ('mazzelen',),
    'meander': ('meanderen',),
    'medegefinancierd': ('medefinancieren',),
    'medeleden': ('medelijden',),
    'medelevend': ('medeleven',),
    'medelijdend': ('medelijden',),
    'medelijdende': ('medelijden',),
    'meden': ('mijden',),
    'meegaand': ('meegaan',),
    'meegaande': ('meegaan',),
    'meegedragen': ('meedragen',),
    'meegeef': ('meegeven',),
    'meegegeten': ('mee-eten',),
    'meegeleverde': ('meeleveren',),
    'meegestreden': ('meestrijden',),
    'meegingen': ('meegaan',),
    'meehielpen': ('meehelpen',),
    'meekregen': ('meekrijgen',),
    'meel': ('melen',),
    'meelevend': ('meeleven',),
    'meeluister': ('meeluisteren',),
    'meen': ('menen',),
    'meeneem': ('meenemen',),
    'meent': ('menen',),
    'meer': ('meren',),
    'meerder': ('meerderen',),
    'meert': ('meren',),
    'meeschreef': ('meeschrijven',),
    'meeslepend': ('meeslepen',),
    'meeslepende': ('meeslepen',),
    'meester': ('meesteren',),
    'meet': ('meten',),
    'meetelden': ('meetellen',),
    'meevoer': ('meevaren',),
    'meewerkend': ('meewerken',),
    'meier': ('meieren',),
    'meld': ('melden',),
    'melk': ('melken',),
    'men': ('mennen',),
    'mendel': ('mendelen',),
    'meneer': ('meneren',),
    'mengel': ('mengelen',),
    'menie': ('meniën',),
    'mep': ('meppen',),
    'mergel': ('mergelen',),
    'merk': ('merken',),
    'mest': ('mesten',),
    'mets': ('metsen',),
    'metsel': ('metselen',),
    'meubel': ('meubelen',),
    'meug': ('mogen',),
    'meuk': ('meuken',),
    'mevrouw': ('mevrouwen',),
    'miauw': ('miauwen',),
    'microfilm': ('microfilmen',),
    'middagmaal': ('middagmalen',),
    'middel': ('middelen',),
    'miek': ('maken',),
    'mier': ('mieren',),
    'mierde': ('mieren',),
    'mierden': ('mieren',),
    'miert': ('mieren',),
    'mieter': ('mieteren',),
    'miezel': ('miezelen',),
    'miezer': ('miezeren',),
    'migreerden': ('migreren',),
    'migrerende': ('migreren',),
    'mijmerende': ('mijmeren',),
    'mijn': ('mijnen',),
    'mijnheer': ('mijnheren',),
    'mijt': ('mijten',),
    'mijter': ('mijteren',),
    'mik': ('mikken',),
    'milder': ('milderen',),
    'millimeter': ('millimeteren',),
    'mime': ('mimen',),
    'min': ('minnen',),
    'minachtend': ('minachten',),
    'minachtende': ('minachten',),
    'minder': ('minderen',),
    'mint': ('minnen',),
    'mis': ('missen',),
    'misbruik': ('misbruiken',),
    'misdeeld': ('misdelen',),
    'misdrijf': ('misdrijven',),
    'misging': ('misgaan',),
    'misgreep': ('misgrijpen',),
    'misgrepen': ('misgrijpen',),
    'mishandelden': ('mishandelen',),
    'miskleun': ('miskleunen',),
    'miskoop': ('miskopen',),
    'misliep': ('mislopen',),
    'mislukte': ('mislukken',),
    'mismaakt': ('mismaken',),
    'mismaakte': ('mismaken',),
    'misnoegd': ('misnoegen',),
    'misnoegde': ('misnoegen',),
    'misprijzende': ('misprijzen',),
    'misschoten': ('misschieten',),
    'missprong': ('misspringen',),
    'missprongen': ('misspringen',),
    'misstap': ('misstappen',),
    'mist': ('missen',),
    'miste': ('missen',),
    'mistel': ('mistellen',),
    'misten': ('missen',),
    'misval': ('misvallen',),
    'misvormden': ('misvormen',),
    'mits': ('mitsen',),
    'mix': ('mixen',),
    'modder': ('modderen',),
    'modem': ('modemen',),
    'moeder': ('moederen',),
    'moedig': ('moedigen',),
    'moei': ('moeien',),
    'moer': ('moeren',),
    'moest': ('moeten',),
    'moeste': ('moeten',),
    'moet': ('moeten',),
    'moffel': ('moffelen',),
    'mok': ('mokken',),
    'moker': ('mokeren',),
    'mokkel': ('mokkelen',),
    'mol': ('mollen',),
    'molm': ('molmen',),
    'mom': ('mommen',),
    'mond': ('monden',),
    'mondden': ('monden',),
    'monk': ('monken',),
    'monopolie': ('monopoliën',),
    'monster': ('monsteren',),
    'monter': ('monteren',),
    'moord': ('moorden',),
    'moordden': ('moorden',),
    'moordend': ('moorden',),
    'moordende': ('moorden',),
    'mort': ('morren',),
    'mortel': ('mortelen',),
    'morzel': ('morzelen',),
    'most': ('motten',),
    'mot': ('moeten',),
    'motiverend': ('motiveren',),
    'motor': ('motorren',),
    'motregen': ('motregenen',),
    'mots': ('motsen',),
    'motte': ('motten',),
    'mout': ('mouten',),
    'muf': ('muffen',),
    'muilband': ('muilbanden',),
    'muilkorf': ('muilkorven',),
    'muis': ('muizen',),
    'muit': ('muiten',),
    'muitende': ('muiten',),
    'munt': ('munten',),
    'murw': ('murwen',),
    'musicerende': ('musiceren',),
    'muur': ('muren',),
    'naai': ('naaien',),
    'naakt': ('naken',),
    'naakte': ('naken',),
    'naakten': ('naken',),
    'naast': ('naasten',),
    'naastliggende': ('naastliggen',),
    'nababbel': ('nababbelen',),
    'nabloei': ('nabloeien',),
    'nablus': ('nablussen',),
    'nabouw': ('nabouwen',),
    'nadenkend': ('nadenken',),
    'nadenkende': ('nadenken',),
    'nader': ('naderen',),
    'naderend': ('naderen',),
    'naderende': ('naderen',),
    'nadruk': ('nadrukken',),
    'nagalm': ('nagalmen',),
    'nagedaan': ('nadoen',),
    'nagel': ('nagelen',),
    'nagemaakte': ('namaken',),
    'nagepraat': ('napraten',),
    'nakend': ('naken',),
    'nakende': ('naken',),
    'naklonk': ('naklinken',),
    'nakwam': ('nakomen',),
    'nalieten': ('nalaten',),
    'naloop': ('nalopen',),
    'nam': ('nemen',),
    'namaak': ('namaken',),
    'namen': ('nemen',),
    'napraat': ('napraten',),
    'nar': ('narren',),
    'nart': ('narren',),
    'nat': ('natten',),
    'natrap': ('natrappen',),
    'natte': ('natten',),
    'natuur': ('naturen',),
    'navel': ('navelen',),
    'navolgde': ('navolgen',),
    'navolgend': ('navolgen',),
    'navolgende': ('navolgen',),
    'navraag': ('navragen',),
    'nawerk': ('nawerken',),
    'nazaten': ('nazitten',),
    'nazit': ('nazitten',),
    'neep': ('nijpen',),
    'neerbuigend': ('neerbuigen',),
    'neerbuigende': ('neerbuigen',),
    'neerdalende': ('neerdalen',),
    'neergaand': ('neergaan',),
    'neergaande': ('neergaan',),
    'neergekrabbeld': ('neerkrabbelen',),
    'neerhaal': ('neerhalen',),
    'neerkwamen': ('neerkomen',),
    'neerschoten': ('neerschieten',),
    'neerschreef': ('neerschrijven',),
    'neerzette': ('neerzetten',),
    'negen': ('nijgen',),
    'neger': ('negeren',),
    'neig': ('neigen',),
    'nek': ('nekken',),
    'nep': ('neppen',),
    'nepen': ('nijpen',),
    'nestel': ('nestelen',),
    'net': ('netten',),
    'netel': ('netelen',),
    'nette': ('netten',),
    'netwerk': ('netwerken',),
    'neuriet': ('neuriën',),
    'neus': ('neuzen',),
    'neutel': ('neutelen',),
    'nevel': ('nevelen',),
    'nies': ('niezen',),
    'niet': ('nieten',),
    'niet-begrijpend': ('niet-begrijpen',),
    'niet-erkende': ('niet-erken',),
    'niet-geëlektrificeerde': ('niet-elektrificeren',),
    'niet-overlappende': ('niet-overlappen',),
    'niet-vliegende': ('niet-vliegen',),
    'nijdas': ('nijdassen',),
    'nijg': ('nijgen',),
    'nijpend': ('nijpen',),
    'nijpende': ('nijpen',),
    'nipt': ('nippen',),
    'nipte': ('nippen',),
    'nodig': ('nodigen',),
    'noem': ('noemen',),
    'nok': ('nokken',),
    'nood': ('noden',),
    'noodzaak': ('noodzaken',),
    'noordelijk': ('noordelijken',),
    'noordooster': ('noordoosteren',),
    'noordwester': ('noordwesteren',),
    'nop': ('noppen',),
    'nummer': ('nummeren',),
    'nut': ('nutten',),
    'nutte': ('nutten',),
    'nuttig': ('nuttigen',),
    'offer': ('offeren',),
    'olie': ('oliën',),
    'omber': ('omberen',),
    'ombouw': ('ombouwen',),
    'omdoopte': ('omdopen',),
    'omdraai': ('omdraaien',),
    'omfloerst': ('omfloersen',),
    'omfloerste': ('omfloersen',),
    'omgaand': ('omgaan',),
    'omgaande': ('omgaan',),
    'omgedraaide': ('omdraaien',),
    'omgekeerd': ('omkeren',),
    'omgekeerde': ('omkeren',),
    'omgekruld': ('omkrullen',),
    'omgekrulde': ('omkrullen',),
    'omgelegen': ('omliggen',),
    'omgesmolten': ('omsmelten',),
    'omgewerkte': ('omwerken',),
    'omgezette': ('omzetten',),
    'omgrachte': ('omgraengen',),
    'omhaal': ('omhalen',),
    'omhels': ('omhelzen',),
    'omhooggerichte': ('omhoogrichten',),
    'omhullende': ('omhullen',),
    'omkeer': ('omkeren',),
    'omliggend': ('omliggen',),
    'omliggende': ('omliggen',),
    'omlijstten': ('omlijsten',),
    'omloop': ('omlopen',),
    'ommuurde': ('ommuren',),
    'omring': ('omringen',),
    'omringend': ('omringen',),
    'omringende': ('omringen',),
    'omroep': ('omroepen',),
    'omruil': ('omruilen',),
    'omsprong': ('omspringen',),
    'omstaand': ('omstaan',),
    'omstaande': ('omstaan',),
    'omtogen': ('omtijgen',),
    'omtrek': ('omtrekken',),
    'omvaart': ('omvaren',),
    'omvang': ('omvangen',),
    'omvattend': ('omvatten',),
    'omvraag': ('omvragen',),
    'omwalde': ('omwallen',),
    'omwolkt': ('omwolken',),
    'omwolkte': ('omwolken',),
    'omwonden': ('omwinden',),
    'omzet': ('omzetten',),
    'omzwaai': ('omzwaaien',),
    'onderbelicht': ('onderbelichten',),
    'onderbelichte': ('onderbelichten',),
    'onderbond': ('onderbinden',),
    'onderbouw': ('onderbouwen',),
    'onderbracht': ('onderbrengen',),
    'onderbroken': ('onderbreken',),
    'onderdek': ('onderdekken',),
    'onderdook': ('onderduiken',),
    'onderdruk': ('onderdrukken',),
    'onderdrukt': ('onderdrukken',),
    'onderdrukte': ('onderdrukken',),
    'onderdrukten': ('onderdrukken',),
    'onderduik': ('onderduiken',),
    'ondergaande': ('ondergaan',),
    'ondergelegen': ('onderliggen',),
    'ondergeschikt': ('onderschikken',),
    'ondergeschoven': ('onderschuiven',),
    'ondergetekende': ('ondertekenen',),
    'ondergewaardeerd': ('onderwaarderen',),
    'ondergewaardeerde': ('onderwaarderen',),
    'onderhandel': ('onderhandelen',),
    'onderhoud': ('onderhouden',),
    'onderhoudend': ('onderhouden',),
    'onderhoudende': ('onderhouden',),
    'onderhuur': ('onderhuren',),
    'onderkoeld': ('onderkoelen',),
    'onderkoelde': ('onderkoelen',),
    'onderlagen': ('onderliggen',),
    'onderlegd': ('onderleggen',),
    'onderlegde': ('onderleggen',),
    'onderliggend': ('onderliggen',),
    'onderliggende': ('onderliggen',),
    'onderlijn': ('onderlijnen',),
    'ondernemend': ('ondernemen',),
    'ondernemende': ('ondernemen',),
    'onderricht': ('onderrichten',),
    'onderscheid': ('onderscheiden',),
    'onderscheidend': ('onderscheiden',),
    'onderscheidende': ('onderscheiden',),
    'onderschepten': ('onderscheppen',),
    'onderschikkend': ('onderschikken',),
    'onderschikkende': ('onderschikken',),
    'onderspit': ('onderspitten',),
    'onderstaand': ('onderstaan',),
    'onderstaande': ('onderstaan',),
    'ondersteek': ('ondersteken',),
    'onderstel': ('onderstellen',),
    'onderstelde': ('onderstellen',),
    'onderstelden': ('onderstellen',),
    'onderstroom': ('onderstromen',),
    'onderstuurd': ('ondersturen',),
    'ondertitel': ('ondertitelen',),
    'ondertrouw': ('ondertrouwen',),
    'ondervertegenwoordigd': ('ondervertegenwoordigen',),
    'ondervraagden': ('ondervragen',),
    'onderwerp': ('onderwerpen',),
    'onderwierpen': ('onderwerpen',),
    'onderwijs': ('onderwijzen',),
    'onderwind': ('onderwinden',),
    'onderworpen': ('onderwerpen',),
    'onderzoek': ('onderzoeken',),
    'ongecontroleerd': ('oncontroleren',),
    'ongeplaatste': ('onplaatsen',),
    'ongepubliceerd': ('onpubliceren',),
    'ongetitelde': ('ontitelen',),
    'ongeïdentificeerde': ('onidentificeren',),
    'ontaard': ('ontaarden',),
    'ontaarde': ('ontaarden',),
    'ontbijt': ('ontbijten',),
    'ontbloot': ('ontbloten',),
    'ontblote': ('ontbloten',),
    'ontdaan': ('ontdoen',),
    'ontdane': ('ontdoen',),
    'ontdooi': ('ontdooien',),
    'onterend': ('onteren',),
    'onterende': ('onteren',),
    'onterfde': ('onterven',),
    'ontferm': ('ontfermen',),
    'ontgoocheld': ('ontgoochelen',),
    'ontgoochelde': ('ontgoochelen',),
    'onthaal': ('onthalen',),
    'onthutst': ('onthutsen',),
    'onthutste': ('onthutsen',),
    'ontkennend': ('ontkennen',),
    'ontkennende': ('ontkennen',),
    'ontklede': ('ontkleden',),
    'ontkleed': ('ontkleden',),
    'ontkwamen': ('ontkomen',),
    'ontliep': ('ontlopen',),
    'ontnamen': ('ontnemen',),
    'ontploffende': ('ontploffen',),
    'ontregeld': ('ontregelen',),
    'ontregelde': ('ontregelen',),
    'ontroerd': ('ontroeren',),
    'ontroerde': ('ontroeren',),
    'ontroerend': ('ontroeren',),
    'ontroerende': ('ontroeren',),
    'ontslagen': ('ontslaan',),
    'ontsloegen': ('ontslaan',),
    'ontsmettend': ('ontsmetten',),
    'ontsmettende': ('ontsmetten',),
    'ontspannend': ('ontspannen',),
    'ontspannende': ('ontspannen',),
    'ontspruit': ('ontspruiten',),
    'ontsteld': ('ontstellen',),
    'ontstelde': ('ontstellen',),
    'ontstellend': ('ontstellen',),
    'ontstellende': ('ontstellen',),
    'ontstemd': ('ontstemmen',),
    'ontstemde': ('ontstemmen',),
    'ontstoken': ('ontsteken',),
    'ontvang': ('ontvangen',),
    'ontvet': ('ontvetten',),
    'ontvette': ('ontvetten',),
    'ontvleesd': ('ontvlezen',),
    'ontvleesde': ('ontvlezen',),
    'ontvolkte': ('ontvolken',),
    'ontwerp': ('ontwerpen',),
    'ontwijkend': ('ontwijken',),
    'ontwijkende': ('ontwijken',),
    'ontwikkeld': ('ontwikkelen',),
    'ontwikkelde': ('ontwikkelen',),
    'ontworpen': ('ontwerpen',),
    'ontworteld': ('ontwortelen',),
    'ontwortelde': ('ontwortelen',),
    'ontzag': ('ontzien',),
    'ontzet': ('ontzetten',),
    'ontzette': ('ontzetten',),
    'ontzettend': ('ontzetten',),
    'ontzettende': ('ontzetten',),
    'ontzield': ('ontzielen',),
    'ontzielde': ('ontzielen',),
    'ontzind': ('ontzinnen',),
    'ontzinde': ('ontzinnen',),
    'oog': ('ogen',),
    'oogst': ('oogsten',),
    'oordeel': ('oordelen',),
    'oormerk': ('oormerken',),
    'oosterend': ('oosteren',),
    'opbeurend': ('opbeuren',),
    'opbeurende': ('opbeuren',),
    'opbiecht': ('opbiechten',),
    'opbloei': ('opbloeien',),
    'opbouw': ('opbouwen',),
    'opbouwend': ('opbouwen',),
    'opbouwende': ('opbouwen',),
    'opbrachten': ('opbrengen',),
    'opbruisend': ('opbruisen',),
    'opbruisende': ('opbruisen',),
    'opdikkend': ('opdikken',),
    'opdonder': ('opdonderen',),
    'opdraai': ('opdraaien',),
    'opdruk': ('opdrukken',),
    'opduvel': ('opduvelen',),
    'opeengepakt': ('opeenpakken',),
    'opeengepakte': ('opeenpakken',),
    'opeenstaande': ('opeenstaan',),
    'opeenvolgende': ('opeenvolgen',),
    'open': ('openen',),
    'openbaar': ('openbaren',),
    'opende': ('openen',),
    'opendeden': ('opendoen',),
    'opengewerkt': ('openwerken',),
    'opengewerkte': ('openwerken',),
    'openhangend': ('openhangen',),
    'openslaand': ('openslaan',),
    'openslaande': ('openslaan',),
    'openstaand': ('openstaan',),
    'openstaande': ('openstaan',),
    'opflikker': ('opflikkeren',),
    'opgaand': ('opgaan',),
    'opgaande': ('opgaan',),
    'opgangen': ('ophangen',),
    'opgaven': ('opgeven',),
    'opgeblazen': ('opblazen',),
    'opgeboorde': ('opboren',),
    'opgedeelde': ('opdelen',),
    'opgehesen': ('ophijsen',),
    'opgeheven': ('opheffen',),
    'opgehoopt': ('ophopen',),
    'opgehoopte': ('ophopen',),
    'opgeklopt': ('opkloppen',),
    'opgeklopte': ('opkloppen',),
    'opgekropt': ('opkroppen',),
    'opgekropte': ('opkroppen',),
    'opgelaten': ('oplaten',),
    'opgelegd': ('opleggen',),
    'opgelegde': ('opleggen',),
    'opgelicht': ('oplichten',),
    'opgelucht': ('opluchten',),
    'opgemaakt': ('opmaken',),
    'opgemaakte': ('opmaken',),
    'opgenomen': ('opnemen',),
    'opgepakte': ('oppakken',),
    'opgepoetste': ('oppoetsen',),
    'opgeprikt': ('opprikken',),
    'opgeprikte': ('opprikken',),
    'opgepropt': ('opproppen',),
    'opgepropte': ('opproppen',),
    'opgeruimd': ('opruimen',),
    'opgeruimde': ('opruimen',),
    'opgescheept': ('opschepen',),
    'opgescheepte': ('opschepen',),
    'opgeschoten': ('opschieten',),
    'opgeschroefd': ('opschroeven',),
    'opgeschroefde': ('opschroeven',),
    'opgesloten': ('opsluiten',),
    'opgesmukt': ('opsmukken',),
    'opgesmukte': ('opsmukken',),
    'opgestane': ('opstaan',),
    'opgestegen': ('opstijgen',),
    'opgetrommelde': ('optrommelen',),
    'opgevoede': ('opvoeden',),
    'opgewassen': ('opwassen',),
    'opgewekt': ('opwekken',),
    'opgewekte': ('opwekken',),
    'opgewonden': ('opwinden',),
    'opgezet': ('opzetten',),
    'opgezette': ('opzetten',),
    'opgezwollen': ('opzwellen',),
    'opgeëiste': ('opeisen',),
    'opgingen': ('opgaan',),
    'opgooi': ('opgooien',),
    'ophaal': ('ophalen',),
    'ophef': ('opheffen',),
    'opklimmend': ('opklimmen',),
    'opklimmende': ('opklimmen',),
    'opkocht': ('opkopen',),
    'opkoop': ('opkopen',),
    'opkringelde': ('opkringelen',),
    'opkuis': ('opkuisen',),
    'oplaat': ('oplaten',),
    'oplazer': ('oplazeren',),
    'opleg': ('opleggen',),
    'oplettend': ('opletten',),
    'oplettende': ('opletten',),
    'oplichtende': ('oplichten',),
    'oploop': ('oplopen',),
    'oplopend': ('oplopen',),
    'oplopende': ('oplopen',),
    'oplossend': ('oplossen',),
    'oplossende': ('oplossen',),
    'opmaak': ('opmaken',),
    'opmaten': ('opmeten',),
    'opmerkten': ('opmerken',),
    'opmieter': ('opmieteren',),
    'opnamen': ('opnemen',),
    'oppas': ('oppassen',),
    'oppassend': ('oppassen',),
    'oppassende': ('oppassen',),
    'opper': ('opperen',),
    'oppers': ('oppersen',),
    'opperst': ('oppersen',),
    'opperste': ('oppersen',),
    'opplakten': ('opplakken',),
    'opraapt': ('oprapen',),
    'oprees': ('oprijzen',),
    'oprij': ('oprijden',),
    'oproep': ('oproepen',),
    'oproer': ('oproeren',),
    'opruiend': ('opruien',),
    'opruiende': ('opruien',),
    'opruim': ('opruimen',),
    'oprukten': ('oprukken',),
    'opscheppend': ('opscheppen',),
    'opschik': ('opschikken',),
    'opslorpend': ('opslorpen',),
    'opslorpende': ('opslorpen',),
    'opsmuk': ('opsmukken',),
    'opsodemieter': ('opsodemieteren',),
    'opstaand': ('opstaan',),
    'opstaande': ('opstaan',),
    'opstap': ('opstappen',),
    'opstart': ('opstarten',),
    'opstel': ('opstellen',),
    'opstijgend': ('opstijgen',),
    'opstijgende': ('opstijgen',),
    'opstoot': ('opstoten',),
    'opstreek': ('opstrijken',),
    'opstreken': ('opstrijken',),
    'optel': ('optellen',),
    'optrek': ('optrekken',),
    'opvaart': ('opvaren',),
    'opvallend': ('opvallen',),
    'opvallende': ('opvallen',),
    'opvang': ('opvangen',),
    'opvarende': ('opvaren',),
    'opvliegend': ('opvliegen',),
    'opvliegende': ('opvliegen',),
    'opvoer': ('opvaren',),
    'opvolgend': ('opvolgen',),
    'opwarmend': ('opwarmen',),
    'opwekkend': ('opwekken',),
    'opwekkende': ('opwekken',),
    'opwervelend': ('opwervelen',),
    'opwindend': ('opwinden',),
    'opwindende': ('opwinden',),
    'opzeg': ('opzeggen',),
    'opzet': ('opzetten',),
    'opzoek': ('opzoeken',),
    'orakel': ('orakelen',),
    'orden': ('ordenen',),
    'orgel': ('orgelen',),
    'oriënterend': ('oriënteren',),
    'otter': ('otteren',),
    'ouwehoer': ('ouwehoeren',),
    'overbeet': ('overbijten',),
    'overbelast': ('overbelasten',),
    'overbelaste': ('overbelasten',),
    'overbeschermend': ('overbeschermen',),
    'overbeten': ('overbijten',),
    'overbevraagd': ('overbevragen',),
    'overbleven': ('overblijven',),
    'overblijvend': ('overblijven',),
    'overblijvende': ('overblijven',),
    'overbloezende': ('overbloezen',),
    'overbrachten': ('overbrengen',),
    'overdeel': ('overdelen',),
    'overdek': ('overdekken',),
    'overdekt': ('overdekken',),
    'overdekte': ('overdekken',),
    'overdreven': ('overdrijven',),
    'overdruk': ('overdrukken',),
    'overeenkomend': ('overeenkomen',),
    'overeenkomende': ('overeenkomen',),
    'overeenstemmend': ('overeenstemmen',),
    'overeenstemmende': ('overeenstemmen',),
    'overgaand': ('overgaan',),
    'overgaven': ('overgeven',),
    'overgebleven': ('overblijven',),
    'overgegeven': ('overgeven',),
    'overgehaald': ('overhalen',),
    'overgehaalde': ('overhalen',),
    'overgroeit': ('overgroeien',),
    'overhaal': ('overhalen',),
    'overhaast': ('overhaasten',),
    'overhaaste': ('overhaasten',),
    'overhang': ('overhangen',),
    'overhangend': ('overhangen',),
    'overhellend': ('overhellen',),
    'overhellende': ('overhellen',),
    'overhevel': ('overhevelen',),
    'overhuifde': ('overhuiven',),
    'overijld': ('overijlen',),
    'overijlde': ('overijlen',),
    'overkapte': ('overkappen',),
    'overkleed': ('overkleden',),
    'overlaat': ('overlaten',),
    'overlap': ('overlappen',),
    'overlast': ('overlasten',),
    'overleden': ('overlijden',),
    'overledene': ('overlijden',),
    'overledenen': ('overledene',),
    'overleg': ('overleggen',),
    'overlevende': ('overleven',),
    'overlevenden': ('overleven',),
    'overlever': ('overleveren',),
    'overliepen': ('overlopen',),
    'overloop': ('overlopen',),
    'overluid': ('overluiden',),
    'overman': ('overmannen',),
    'overmocht': ('overmogen',),
    'overnachtten': ('overnachten',),
    'overnamen': ('overnemen',),
    'overredend': ('overreden',),
    'overredende': ('overreden',),
    'overrompelende': ('overrompelen',),
    'overschaduwde': ('overschaduwen',),
    'overschreven': ('overschrijven',),
    'overspant': ('overspannen',),
    'overspel': ('overspellen',),
    'oversprong': ('overspringen',),
    'oversprongen': ('overspringen',),
    'overstaand': ('overstaan',),
    'overstaande': ('overstaan',),
    'overstap': ('overstappen',),
    'overstapten': ('overstappen',),
    'oversteeg': ('overstijgen',),
    'oversteek': ('oversteken',),
    'overstelpend': ('overstelpen',),
    'overstelpende': ('overstelpen',),
    'overstort': ('overstorten',),
    'overstroomden': ('overstromen',),
    'overstuur': ('oversturen',),
    'overstuurd': ('oversturen',),
    'overstuurde': ('oversturen',),
    'overtraind': ('overtrainen',),
    'overtreffend': ('overtreffen',),
    'overtreffende': ('overtreffen',),
    'overtrek': ('overtrekken',),
    'overtrokken': ('overtrekken',),
    'overtuigd': ('overtuigen',),
    'overtuigde': ('overtuigen',),
    'overtuigend': ('overtuigen',),
    'overtuigende': ('overtuigen',),
    'overvaart': ('overvaren',),
    'overval': ('overvallen',),
    'overvallen': ('overvallen',),
    'oververhit': ('oververhitten',),
    'oververhitte': ('oververhitten',),
    'overvloei': ('overvloeien',),
    'overwegend': ('overwegen',),
    'overwegende': ('overwegen',),
    'overweldigend': ('overweldigen',),
    'overweldigende': ('overweldigen',),
    'overwelfd': ('overwelven',),
    'overwelfde': ('overwelven',),
    'overwerk': ('overwerken',),
    'overwerkt': ('overwerken',),
    'overwerkte': ('overwerken',),
    'overwinterende': ('overwinteren',),
    'overwintert': ('overwinteren',),
    'overwonnen': ('overwinnen',),
    'overzet': ('overzetten',),
    'oxiderende': ('oxideren',),
    'paai': ('paaien',),
    'paal': ('palen',),
    'paar': ('paren',),
    'paarden': ('paren',),
    'paart': ('paren',),
    'pacht': ('pachten',),
    'paddel': ('paddelen',),
    'paf': ('paffen',),
    'pagaai': ('pagaaien',),
    'pak': ('pakken',),
    'pakkende': ('pakken',),
    'palaver': ('palaveren',),
    'palet': ('paletten',),
    'palm': ('palmen',),
    'pand': ('panden',),
    'pandoer': ('pandoeren',),
    'pantser': ('pantseren',),
    'pap': ('pappen',),
    'parasiteert': ('parasiteren',),
    'parel': ('parelen',),
    'parlement': ('parlementen',),
    'parlevink': ('parlevinken',),
    'part': ('parten',),
    'pas': ('passen',),
    'pass': ('passen',),
    'passagier': ('passagieren',),
    'passend': ('passen',),
    'passende': ('passen',),
    'past': ('passen',),
    'paternoster': ('paternosteren',),
    'pats': ('patsen',),
    'pauk': ('pauken',),
    'peddel': ('peddelen',),
    'peel': ('pelen',),
    'peer': ('peren',),
    'pees': ('pezen',),
    'peest': ('pezen',),
    'pegel': ('pegelen',),
    'peil': ('peilen',),
    'peins': ('peinzen',),
    'peis': ('peizen',),
    'peize': ('peinzen',),
    'pek': ('pekken',),
    'pekel': ('pekelen',),
    'pel': ('pellen',),
    'pen': ('pennen',),
    'pendel': ('pendelen',),
    'pens': ('penzen',),
    'penseel': ('penselen',),
    'penter': ('penteren',),
    'pep': ('peppen',),
    'peper': ('peperen',),
    'perk': ('perken',),
    'permanent': ('permanenten',),
    'pers': ('persen',),
    'pest': ('pesten',),
    'pets': ('petsen',),
    'peul': ('peulen',),
    'peur': ('peuren',),
    'peuter': ('peuteren',),
    'peuzel': ('peuzelen',),
    'picknick': ('picknicken',),
    'piek': ('pieken',),
    'piekte': ('pieken',),
    'piel': ('pielen',),
    'piemel': ('piemelen',),
    'piep': ('piepen',),
    'pier': ('pieren',),
    'pies': ('piesen',),
    'pieter': ('pieteren',),
    'pijn': ('pijnen',),
    'pijp': ('pijpen',),
    'pik': ('pikken',),
    'piket': ('piketten',),
    'pikkel': ('pikkelen',),
    'pil': ('pillen',),
    'pimpel': ('pimpelen',),
    'pin': ('pinnen',),
    'ping': ('pingen',),
    'pingel': ('pingelen',),
    'pingpong': ('pingpongen',),
    'pink': ('pinken',),
    'pinkel': ('pinkelen',),
    'pinker': ('pinkeren',),
    'pint': ('pinnen',),
    'pionier': ('pionieren',),
    'pis': ('pissen',),
    'pist': ('pissen',),
    'piste': ('pissen',),
    'pisten': ('pissen',),
    'pit': ('pitten',),
    'pits': ('pitsen',),
    'plaag': ('plagen',),
    'plaan': ('planen',),
    'plaaster': ('plaasteren',),
    'plaats': ('plaatsen',),
    'plaatsgreep': ('plaatsgrijpen',),
    'plaatsnamen': ('plaatsnemen',),
    'plaatsvervangend': ('plaatsvervangen',),
    'plag': ('plaggen',),
    'plak': ('plakken',),
    'plamuur': ('plamuren',),
    'plan': ('plannen',),
    'plant': ('planten',),
    'plas': ('plassen',),
    'plasregen': ('plasregenen',),
    'plastiek': ('plastieken',),
    'plat': ('platten',),
    'platgewalst': ('platwalsen',),
    'platte': ('platten',),
    'platvoet': ('platvoeten',),
    'plavei': ('plaveien',),
    'playback': ('playbacken',),
    'pleister': ('pleisteren',),
    'pleit': ('pleiten',),
    'plek': ('plekken',),
    'plemp': ('plempen',),
    'plens': ('plenzen',),
    'plensregen': ('plensregenen',),
    'plets': ('pletsen',),
    'pletter': ('pletteren',),
    'plezier': ('plezieren',),
    'ploeg': ('ploegen',),
    'plof': ('ploffen',),
    'plomp': ('plompen',),
    'plons': ('plonzen',),
    'plooi': ('plooien',),
    'ploos': ('pluizen',),
    'ploot': ('ploten',),
    'plot': ('plotten',),
    'plug': ('pluggen',),
    'pluim': ('pluimen',),
    'pluis': ('pluizen',),
    'pluk': ('plukken',),
    'plukhaar': ('plukharen',),
    'plus': ('plussen',),
    'poedel': ('poedelen',),
    'poeder': ('poederen',),
    'poeier': ('poeieren',),
    'poel': ('poelen',),
    'poep': ('poepen',),
    'poer': ('poeren',),
    'poets': ('poetsen',),
    'pof': ('poffen',),
    'pok': ('pokken',),
    'poker': ('pokeren',),
    'polder': ('polderen',),
    'polijst': ('polijsten',),
    'politoer': ('politoeren',),
    'polo': ('poloën',),
    'pols': ('polsen',),
    'pomp': ('pompen',),
    'pond': ('ponden',),
    'pons': ('ponsen',),
    'pook': ('poken',),
    'pool': ('polen',),
    'poos': ('pozen',),
    'poot': ('poten',),
    'pop': ('poppen',),
    'popel': ('popelen',),
    'por': ('porren',),
    'port': ('porren',),
    'portel': ('portelen',),
    'post': ('posten',),
    'pot': ('potten',),
    'potlood': ('potloden',),
    'praal': ('pralen',),
    'praam': ('pramen',),
    'praat': ('praten',),
    'pracht': ('prachen',),
    'prak': ('prakken',),
    'praktiserend': ('praktiseren',),
    'prang': ('prangen',),
    'predikten': ('prediken',),
    'preek': ('preken',),
    'prent': ('prenten',),
    'pres': ('pressen',),
    'priem': ('priemen',),
    'prijk': ('prijken',),
    'prijs': ('prijzen',),
    'prik': ('prikken',),
    'prikkel': ('prikkelen',),
    'print': ('printen',),
    'proef': ('proeven',),
    'profes': ('professen',),
    'promoveerden': ('promoveren',),
    'pronk': ('pronken',),
    'prop': ('proppen',),
    'propageerden': ('propageren',),
    'prost': ('prossen',),
    'provocerend': ('provoceren',),
    'provocerende': ('provoceren',),
    'pruim': ('pruimen',),
    'prut': ('prutten',),
    'pruts': ('prutsen',),
    'puber': ('puberen',),
    'puf': ('puffen',),
    'puim': ('puimen',),
    'puls': ('pulsen',),
    'pulver': ('pulveren',),
    'punt': ('punten',),
    'punter': ('punteren',),
    'purper': ('purperen',),
    'pus': ('pussen',),
    'push': ('pushen',),
    'put': ('putten',),
    'puts': ('putsen',),
    'putte': ('putten',),
    'puur': ('puren',),
    'puzzel': ('puzzelen',),
    'raad': ('raden',),
    'raadgevend': ('raadgeven',),
    'raai': ('raaien',),
    'raak': ('raken',),
    'raam': ('ramen',),
    'raap': ('rapen',),
    'raas': ('razen',),
    'rabat': ('rabatten',),
    'race': ('racen',),
    'rachel': ('rachelen',),
    'raclette': ('racletten',),
    'rafel': ('rafelen',),
    'rag': ('raggen',),
    'rak': ('rakken',),
    'rakel': ('rakelen',),
    'raket': ('raketten',),
    'rakker': ('rakkeren',),
    'ram': ('rammen',),
    'rammei': ('rammeien',),
    'rammel': ('rammelen',),
    'rampok': ('rampokken',),
    'ramsj': ('ramsjen',),
    'rand': ('randen',),
    'rangschikkend': ('rangschikken',),
    'rangschikkende': ('rangschikken',),
    'rank': ('ranken',),
    'ransel': ('ranselen',),
    'rap': ('rappen',),
    'rapte': ('rappen',),
    'rasp': ('raspen',),
    'raster': ('rasteren',),
    'rat': ('ratten',),
    'ratel': ('ratelen',),
    'rats': ('ratsen',),
    'razend': ('razen',),
    'razende': ('razen',),
    'rebelleerden': ('rebelleren',),
    'recht': ('rechten',),
    'rechtopgaande': ('rechtopgaan',),
    'rechtstaat': ('rechtstaan',),
    'rechtvaardig': ('rechtvaardigen',),
    'red': ('redden',),
    'redder': ('redderen',),
    'reden': ('rijden',),
    'redetwist': ('redetwisten',),
    'reducerende': ('reduceren',),
    'ree': ('rijden',),
    'reed': ('rijden',),
    'reef': ('reven',),
    'reen': ('renen',),
    'reep': ('repen',),
    'rees': ('rijzen',),
    'reet': ('rijten',),
    'reeuw': ('reeuwen',),
    'refereerden': ('refereren',),
    'reg': ('reggen',),
    'regel': ('regelen',),
    'regen': ('rijgen',),
    'regent': ('regenen',),
    'regerend': ('regeren',),
    'regering-de': ('regering-',),
    'register': ('registeren',),
    'rei': ('reien',),
    'reidans': ('reidansen',),
    'reikhalzend': ('reikhalzen',),
    'reis': ('reizen',),
    'reizend': ('reizen',),
    'reizende': ('reizen',),
    'rek': ('rekken',),
    'reken': ('rekenen',),
    'rel': ('rellen',),
    'relativerende': ('relativeren',),
    'relax': ('relaxen',),
    'relaxed': ('relaxen',),
    'relaxte': ('relaxen',),
    'rem': ('remmen',),
    'ren': ('rennen',),
    'rent': ('rennen',),
    'rentenier': ('rentenieren',),
    'rep': ('reppen',),
    'repareer': ('repareren',),
    'repel': ('repelen',),
    'repeterende': ('repeteren',),
    'resideerden': ('resideren',),
    'rest': ('resten',),
    'reten': ('rijten',),
    'reutel': ('reutelen',),
    'reuzel': ('reuzelen',),
    'revier': ('revieren',),
    'rib': ('ribben',),
    'ribbel': ('ribbelen',),
    'richtten': ('richten',),
    'ridder': ('ridderen',),
    'ried': ('raden',),
    'riedel': ('riedelen',),
    'riek': ('rieken',),
    'riekte': ('ruiken',),
    'riem': ('riemen',),
    'rietgedekte': ('rietdekken',),
    'riffel': ('riffelen',),
    'rij': ('rijden',),
    'rijdend': ('rijden',),
    'rijdende': ('rijden',),
    'rijf': ('rijven',),
    'rijk': ('rijken',),
    'rijm': ('rijmen',),
    'rijp': ('rijpen',),
    'rijs': ('rijzen',),
    'rijst': ('rijzen',),
    'rijsttafel': ('rijsttafelen',),
    'rik': ('rikken',),
    'rikketik': ('rikketikken',),
    'ril': ('rillen',),
    'rilde': ('rillen',),
    'rimpel': ('rimpelen',),
    'ring': ('ringen',),
    'rinkel': ('rinkelen',),
    'ris': ('rissen',),
    'risk': ('risken',),
    'rist': ('rissen',),
    'risten': ('rissen',),
    'rit': ('ritten',),
    'rits': ('ritsen',),
    'robbedoes': ('robbedoezen',),
    'robber': ('robberen',),
    'robbert': ('robberen',),
    'rochel': ('rochelen',),
    'rock': ('rocken',),
    'roddel': ('roddelen',),
    'rodel': ('rodelen',),
    'roem': ('roemen',),
    'roep': ('roepen',),
    'roer': ('roeren',),
    'roerend': ('roeren',),
    'roerende': ('roeren',),
    'roes': ('roezen',),
    'roest': ('roesten',),
    'roet': ('roeten',),
    'roetsj': ('roetsjen',),
    'roezemoes': ('roezemoezen',),
    'roffel': ('roffelen',),
    'rok': ('rokken',),
    'roken': ('ruiken',),
    'rokend': ('roken',),
    'rokende': ('roken',),
    'rol': ('rollen',),
    'rolde': ('rollen',),
    'rollebollend': ('rollebollen',),
    'rollende': ('rollen',),
    'rolschaats': ('rolschaatsen',),
    'rommel': ('rommelen',),
    'rond': ('ronden',),
    'rondgedragen': ('ronddragen',),
    'rondreis': ('rondreizen',),
    'rondvaart': ('rondvaren',),
    'rondvraag': ('rondvragen',),
    'rondzagen': ('rondzien',),
    'ronkende': ('ronken',),
    'rood': ('roden',),
    'roof': ('roven',),
    'rooi': ('rooien',),
    'rook': ('ruiken',),
    'room': ('romen',),
    'roos': ('rozen',),
    'roost': ('roosten',),
    'rooster': ('roosteren',),
    'roostert': ('roosteren',),
    'root': ('roten',),
    'ros': ('rossen',),
    'roskam': ('roskammen',),
    'rost': ('rossen',),
    'roste': ('rossen',),
    'rosten': ('rossen',),
    'rot': ('rotten',),
    'rots': ('rotsen',),
    'rotst': ('rotsen',),
    'rotste': ('rotsen',),
    'rotte': ('rotten',),
    'rottende': ('rotten',),
    'rotzooi': ('rotzooien',),
    'rouw': ('rouwen',),
    'rouwenden': ('rouwen',),
    'rovende': ('roven',),
    'ruft': ('ruften',),
    'rugby': ('rugbyen',),
    'ruggensteun': ('ruggensteunen',),
    'rugsteun': ('rugsteunen',),
    'rui': ('ruien',),
    'ruif': ('ruiven',),
    'ruil': ('ruilen',),
    'ruim': ('ruimen',),
    'ruis': ('ruisen',),
    'ruisende': ('ruisen',),
    'ruit': ('ruien',),
    'ruk': ('rukken',),
    'rumoer': ('rumoeren',),
    'run': ('runnen',),
    'rust': ('rusten',),
    'rustend': ('rusten',),
    'rustende': ('rusten',),
    'rustgevend': ('rustgeven',),
    'ruw': ('ruwen',),
    'ruzie': ('ruziën',),
    'ruziemakende': ('ruziemaken',),
    'röntgen': ('röntgenen',),
    'sabel': ('sabelen',),
    'salamander': ('salamanderen',),
    'samengegroeid': ('samengroeien',),
    'samengeperst': ('samenpersen',),
    'samengesmolten': ('samensmelten',),
    'samengesteld': ('samenstellen',),
    'samengestelde': ('samenstellen',),
    'samengevouwen': ('samenvouwen',),
    'samenging': ('samengaan',),
    'samengingen': ('samengaan',),
    'samenhang': ('samenhangen',),
    'samenhangend': ('samenhangen',),
    'samenhangende': ('samenhangen',),
    'samenloop': ('samenlopen',),
    'samensmolten': ('samensmelten',),
    'samenstel': ('samenstellen',),
    'samenstellend': ('samenstellen',),
    'samenstellende': ('samenstellen',),
    'samentref': ('samentreffen',),
    'samentrekkend': ('samentrekken',),
    'samentrekkende': ('samentrekken',),
    'samenvloeit': ('samenvloeien',),
    'sappel': ('sappelen',),
    'sar': ('sarren',),
    'sarden': ('sarren',),
    'sas': ('sassen',),
    'saus': ('sausen',),
    'save': ('saven',),
    'scan': ('scannen',),
    'scenariste': ('scenarissen',),
    'schaaf': ('schaven',),
    'schaak': ('schaken',),
    'schaal': ('schalen',),
    'schaam': ('schamen',),
    'schaar': ('scharen',),
    'schaard': ('schaarden',),
    'schaarde': ('scharen',),
    'schaarden': ('scharen',),
    'schaats': ('schaatsen',),
    'schaduw': ('schaduwen',),
    'schaft': ('schaffen',),
    'schakel': ('schakelen',),
    'schal': ('schallen',),
    'schalm': ('schalmen',),
    'schamp': ('schampen',),
    'schamper': ('schamperen',),
    'schandmerk': ('schandmerken',),
    'schandvlek': ('schandvlekken',),
    'schans': ('schansen',),
    'schar': ('scharren',),
    'scharend': ('scharen',),
    'scharende': ('scharen',),
    'scharnier': ('scharnieren',),
    'scharnierend': ('scharnieren',),
    'scharnierende': ('scharnieren',),
    'scharrel': ('scharrelen',),
    'schat': ('schatten',),
    'schater': ('schateren',),
    'schaterlach': ('schaterlachen',),
    'schaverdijn': ('schaverdijnen',),
    'scheden': ('scheiden',),
    'scheel': ('schelen',),
    'scheeloog': ('scheelogen',),
    'scheen': ('schijnen',),
    'scheep': ('schepen',),
    'scheer': ('scheren',),
    'scheet': ('schijten',),
    'scheidsrechter': ('scheidsrechteren',),
    'schel': ('schellen',),
    'schelde': ('schellen',),
    'schemer': ('schemeren',),
    'schenen': ('schijnen',),
    'schenk': ('schenken',),
    'schep': ('scheppen',),
    'scheppend': ('scheppen',),
    'scheppende': ('scheppen',),
    'scherf': ('scherven',),
    'scherm': ('schermen',),
    'scherp': ('scherpen',),
    'scherpte': ('scherpen',),
    'scherpten': ('scherpen',),
    'scherts': ('schertsen',),
    'schertsend': ('schertsen',),
    'schertsende': ('schertsen',),
    'scheten': ('schijten',),
    'schets': ('schetsen',),
    'scheur': ('scheuren',),
    'schieman': ('schiemannen',),
    'schift': ('schiften',),
    'schijf': ('schijven',),
    'schijn': ('schijnen',),
    'schijt': ('schijten',),
    'schik': ('schikken',),
    'schil': ('schillen',),
    'schilde': ('schillen',),
    'schilden': ('schillen',),
    'schilder': ('schilderen',),
    'schilfer': ('schilferen',),
    'schimmel': ('schimmelen',),
    'schimp': ('schimpen',),
    'schipper': ('schipperen',),
    'schitterend': ('schitteren',),
    'schitterende': ('schitteren',),
    'schmink': ('schminken',),
    'schnabbel': ('schnabbelen',),
    'schoep': ('schoepen',),
    'schoffel': ('schoffelen',),
    'schoft': ('schoften',),
    'schok': ('schokken',),
    'schokkend': ('schokken',),
    'schokkende': ('schokken',),
    'schol': ('schelen',),
    'scholen': ('schuilen',),
    'schommel': ('schommelen',),
    'schonden': ('schenden',),
    'schonk': ('schenken',),
    'schonken': ('schenken',),
    'schoof': ('schuiven',),
    'schooi': ('schooien',),
    'schooier': ('schooieren',),
    'school': ('schuilen',),
    'schoolgaand': ('schoolgaan',),
    'schoolgaande': ('schoolgaan',),
    'schoolmeester': ('schoolmeesteren',),
    'schoon': ('schonen',),
    'schoonmaak': ('schoonmaken',),
    'schoor': ('scheren',),
    'schoot': ('schieten',),
    'schop': ('schoppen',),
    'schoren': ('scheren',),
    'schors': ('schorsen',),
    'schorst': ('schorsen',),
    'schorste': ('schorsen',),
    'schort': ('schorten',),
    'schotel': ('schotelen',),
    'schoten': ('schieten',),
    'schouder': ('schouderen',),
    'schouw': ('schouwen',),
    'schouwend': ('schouwen',),
    'schouwende': ('schouwen',),
    'schoven': ('schuiven',),
    'schraag': ('schragen',),
    'schraal': ('schralen',),
    'schraap': ('schrapen',),
    'schrab': ('schrabben',),
    'schram': ('schrammen',),
    'schrank': ('schranken',),
    'schrap': ('schrappen',),
    'schreden': ('schrijden',),
    'schreef': ('schrijven',),
    'schreeuw': ('schreeuwen',),
    'schreeuwend': ('schreeuwen',),
    'schreeuwende': ('schreeuwen',),
    'schreven': ('schrijven',),
    'schrijft': ('schrijven',),
    'schrijn': ('schrijnen',),
    'schrijnend': ('schrijnen',),
    'schrijnende': ('schrijnen',),
    'schrik': ('schrikken',),
    'schrob': ('schrobben',),
    'schroef': ('schroeven',),
    'schrok': ('schrikken',),
    'schrokken': ('schrikken',),
    'schroom': ('schromen',),
    'schroot': ('schroten',),
    'schub': ('schubben',),
    'schuddebol': ('schuddebollen',),
    'schuddekop': ('schuddekoppen',),
    'schuier': ('schuieren',),
    'schuif': ('schuiven',),
    'schuil': ('schuilen',),
    'schuim': ('schuimen',),
    'schuimend': ('schuimen',),
    'schuimende': ('schuimen',),
    'schuin': ('schuinen',),
    'schulp': ('schulpen',),
    'schurend': ('schuren',),
    'schurende': ('schuren',),
    'schurk': ('schurken',),
    'schut': ('schutten',),
    'schutte': ('schutten',),
    'schutter': ('schutteren',),
    'schuur': ('schuren',),
    'schuw': ('schuwen',),
    'scratch': ('scratchen',),
    'screen': ('screenen',),
    'seal': ('sealen',),
    'sein': ('seinen',),
    'seks': ('seksen',),
    'serve': ('serven',),
    'servet': ('serven',),
    'shampoo': ('shampooën',),
    'shock': ('shocken',),
    'shot': ('shotten',),
    'show': ('showen',),
    'shunt': ('shunten',),
    'sier': ('sieren',),
    'silt': ('silen',),
    'sim': ('simmen',),
    'singel': ('singelen',),
    'sinter': ('sinteren',),
    'sis': ('sissen',),
    'sjans': ('sjansen',),
    'sjap': ('sjappen',),
    'sjees': ('sjezen',),
    'sjiek': ('sjieken',),
    'sjoel': ('sjoelen',),
    'sjoelbak': ('sjoelbakken',),
    'sjoemel': ('sjoemelen',),
    'sjor': ('sjorren',),
    'sjouw': ('sjouwen',),
    'skeeler': ('skeeleren',),
    'skelter': ('skelteren',),
    'ski': ('skiën',),
    'sla': ('slaan',),
    'slaaf': ('slaven',),
    'slaag': ('slagen',),
    'slaak': ('slaken',),
    'slaand': ('slaan',),
    'slaande': ('slaan',),
    'slaap': ('slapen',),
    'slab': ('slabben',),
    'slabak': ('slabakken',),
    'slacht': ('slachten',),
    'slachtoffer': ('slachtofferen',),
    'slagregen': ('slagregenen',),
    'slak': ('slakken',),
    'slank': ('slanken',),
    'slap': ('slappen',),
    'slapend': ('slapen',),
    'slapende': ('slapen',),
    'slapte': ('slappen',),
    'slat': ('slatten',),
    'slecht': ('slechten',),
    'slee': ('sleeën',),
    'sleep': ('slijpen',),
    'sleet': ('slijten',),
    'slemp': ('slempen',),
    'slenter': ('slenteren',),
    'slepen': ('slijpen',),
    'slepend': ('slepen',),
    'slepende': ('slepen',),
    'sleur': ('sleuren',),
    'sleutel': ('sleutelen',),
    'slib': ('slibben',),
    'slibber': ('slibberen',),
    'slier': ('slieren',),
    'sliert': ('slieren',),
    'slijk': ('slijken',),
    'slijm': ('slijmen',),
    'slijp': ('slijpen',),
    'slik': ('slikken',),
    'slinger': ('slingeren',),
    'slip': ('slippen',),
    'slippende': ('slippen',),
    'slobber': ('slobberen',),
    'slodder': ('slodderen',),
    'slof': ('sloffen',),
    'slok': ('slokken',),
    'slons': ('slonzen',),
    'sloof': ('sloven',),
    'sloop': ('sluipen',),
    'sloot': ('sluiten',),
    'slopen': ('sluipen',),
    'slorp': ('slorpen',),
    'sloten': ('sluiten',),
    'sluier': ('sluieren',),
    'sluik': ('sluiken',),
    'sluikstort': ('sluikstorten',),
    'sluimer': ('sluimeren',),
    'sluip': ('sluipen',),
    'sluipend': ('sluipen',),
    'sluipende': ('sluipen',),
    'sluis': ('sluizen',),
    'sluitende': ('sluiten',),
    'slungel': ('slungelen',),
    'slurp': ('slurpen',),
    'smaad': ('smaden',),
    'smaak': ('smaken',),
    'smacht': ('smachten',),
    'smachtend': ('smachten',),
    'smachtende': ('smachten',),
    'smadend': ('smaden',),
    'smadende': ('smaden',),
    'smak': ('smakken',),
    'smakt': ('smakken',),
    'smal': ('smallen',),
    'smalend': ('smalen',),
    'smalende': ('smalen',),
    'smalt': ('smallen',),
    'smart': ('smarten',),
    'smash': ('smashen',),
    'smeer': ('smeren',),
    'smeet': ('smijten',),
    'smekend': ('smeken',),
    'smekende': ('smeken',),
    'smergel': ('smergelen',),
    'smet': ('smetten',),
    'smeten': ('smijten',),
    'smijdig': ('smijdigen',),
    'smikkel': ('smikkelen',),
    'smoes': ('smoezen',),
    'smokkel': ('smokkelen',),
    'smook': ('smoken',),
    'smoor': ('smoren',),
    'smots': ('smotsen',),
    'smous': ('smousen',),
    'smout': ('smouten',),
    'sms': ("sms'en",),
    'smuk': ('smukken',),
    'smul': ('smullen',),
    'smulpaap': ('smulpapen',),
    'snaai': ('snaaien',),
    'snack': ('snacken',),
    'snak': ('snakken',),
    'snap': ('snappen',),
    'snater': ('snateren',),
    'snauw': ('snauwen',),
    'sneak': ('sneaken',),
    'sneden': ('snijden',),
    'snee': ('snijden',),
    'sneep': ('snepen',),
    'sneer': ('sneren',),
    'snees': ('snezen',),
    'sneeuw': ('sneeuwen',),
    'sneeuwbal': ('sneeuwballen',),
    'snel': ('snellen',),
    'snelgroeiend': ('snelgroeien',),
    'snelgroeiende': ('snelgroeien',),
    'snelstgroeiende': ('snelstgroeien',),
    'snerp': ('snerpen',),
    'snib': ('snibben',),
    'snif': ('sniffen',),
    'snijdend': ('snijden',),
    'snijdende': ('snijden',),
    'snik': ('snikken',),
    'snipper': ('snipperen',),
    'snoei': ('snoeien',),
    'snoeit': ('snoeien',),
    'snoek': ('snoeken',),
    'snoep': ('snoepen',),
    'snoer': ('snoeren',),
    'snok': ('snokken',),
    'snol': ('snollen',),
    'snor': ('snorren',),
    'snork': ('snorken',),
    'snorkel': ('snorkelen',),
    'snotter': ('snotteren',),
    'snuf': ('snuffen',),
    'snuif': ('snuiven',),
    'snurk': ('snurken',),
    'sodemieter': ('sodemieteren',),
    'soes': ('soezen',),
    'soest': ('soezen',),
    'soeverein': ('soevereinen',),
    'softbal': ('softballen',),
    'sol': ('sollen',),
    'solde': ('sollen',),
    'soldeer': ('solderen',),
    'solden': ('sollen',),
    'solfer': ('solferen',),
    'som': ('sommen',),
    'sop': ('soppen',),
    'spaak': ('spaken',),
    'spaan': ('spanen',),
    'spaar': ('sparen',),
    'spalk': ('spalken',),
    'span': ('spannen',),
    'spanker': ('spankeren',),
    'spannend': ('spannen',),
    'spannende': ('spannen',),
    'spant': ('spannen',),
    'spar': ('sparren',),
    'spat': ('spatten',),
    'speculeerden': ('speculeren',),
    'speech': ('speechen',),
    'speek': ('speken',),
    'speelde': ('spelen',),
    'speelt': ('spelen',),
    'speen': ('spenen',),
    'speet': ('spijten',),
    'spek': ('spekken',),
    'spel': ('spellen',),
    'speld': ('spelden',),
    'speldenwerk': ('speldenwerken',),
    'spelevaart': ('spelevaren',),
    'spelt': ('spellen',),
    'spet': ('spetten',),
    'spetter': ('spetteren',),
    'spetterend': ('spetteren',),
    'spie': ('spieën',),
    'spiegel': ('spiegelen',),
    'spiek': ('spieken',),
    'spier': ('spieren',),
    'spiets': ('spietsen',),
    'spijker': ('spijkeren',),
    'spijl': ('spijlen',),
    'spijs': ('spijzen',),
    'spijt': ('spijten',),
    'spikkel': ('spikkelen',),
    'spil': ('spillen',),
    'spin': ('spinnen',),
    'spinde': ('spinnen',),
    'spinden': ('spinnen',),
    'spins': ('spinzen',),
    'spint': ('spinnen',),
    'spiraal': ('spiralen',),
    'spit': ('spitten',),
    'spits': ('spitsen',),
    'spitst': ('spitsen',),
    'spitste': ('spitsen',),
    'spleet': ('splijten',),
    'spleten': ('splijten',),
    'splinter': ('splinteren',),
    'split': ('splitten',),
    'splits': ('splitsen',),
    'splitsten': ('splitsen',),
    'spoed': ('spoeden',),
    'spoel': ('spoelen',),
    'spon': ('spinnen',),
    'sponde': ('sponnen',),
    'sponnen': ('spinnen',),
    'spons': ('sponsen',),
    'sponsor': ('sponsoren',),
    'spook': ('spoken',),
    'spoor': ('sporen',),
    'spoot': ('spuiten',),
    'sport': ('sporten',),
    'spot': ('spotten',),
    'spotlach': ('spotlachen',),
    'spouw': ('spouwen',),
    'sprankel': ('sprankelen',),
    'sprankelend': ('sprankelen',),
    'sprankelende': ('sprankelen',),
    'spray': ('sprayen',),
    'sprekend': ('spreken',),
    'sprekende': ('spreken',),
    'spreng': ('sprengen',),
    'sprenkel': ('sprenkelen',),
    'spriet': ('sprieten',),
    'spring': ('springen',),
    'sprint': ('sprinten',),
    'sprits': ('spritsen',),
    'sproei': ('sproeien',),
    'sprokkel': ('sprokkelen',),
    'sprong': ('springen',),
    'sprongen': ('springen',),
    'spruit': ('spruiten',),
    'spui': ('spuien',),
    'spuit': ('spuiten',),
    'spurt': ('spurten',),
    'spuug': ('spugen',),
    'squash': ('squashen',),
    'sta': ('staan',),
    'staaf': ('staven',),
    'staag': ('stagen',),
    'staak': ('staken',),
    'staal': ('stalen',),
    'staand': ('staan',),
    'staande': ('staan',),
    'staar': ('staren',),
    'staart': ('staren',),
    'staat': ('staan',),
    'stabiliserende': ('stabiliseren',),
    'staffel': ('staffelen',),
    'staken': ('steken',),
    'stal': ('stelen',),
    'stalen': ('stelen',),
    'stam': ('stammen',),
    'stamelend': ('stamelen',),
    'stammende': ('stammen',),
    'stamp': ('stampen',),
    'stang': ('stangen',),
    'stap': ('stappen',),
    'stapel': ('stapelen',),
    'start': ('starten',),
    'stat': ('statten',),
    'status': ('statussen',),
    'steef': ('stijven',),
    'steeg': ('stijgen',),
    'steek': ('steken',),
    'steekhoudend': ('steekhouden',),
    'steekhoudende': ('steekhouden',),
    'steel': ('stelen',),
    'steen': ('stenen',),
    'steendruk': ('steendrukken',),
    'stegen': ('stijgen',),
    'steiger': ('steigeren',),
    'stek': ('stekken',),
    'stekend': ('steken',),
    'stekende': ('steken',),
    'stel': ('stellen',),
    'stellend': ('stellen',),
    'stellende': ('stellen',),
    'stelp': ('stelpen',),
    'stelt': ('stellen',),
    'stem': ('stemmen',),
    'stemmende': ('stemmen',),
    'stempel': ('stempelen',),
    'stencil': ('stencilen',),
    'stenig': ('stenigen',),
    'step': ('steppen',),
    'sterf': ('sterven',),
    'sterk': ('sterken',),
    'sterkte': ('sterken',),
    'sterkten': ('sterken',),
    'stervend': ('sterven',),
    'stervende': ('sterven',),
    'stervenden': ('sterven',),
    'steun': ('steunen',),
    'steur': ('steuren',),
    'steven': ('stijven',),
    'sticht': ('stichten',),
    'stichtten': ('stichten',),
    'stier': ('stieren',),
    'stift': ('stiften',),
    'stijf': ('stijven',),
    'stijfsel': ('stijfselen',),
    'stikkend': ('stikken',),
    'stikt': ('stikken',),
    'stil': ('stillen',),
    'stilstaand': ('stilstaan',),
    'stilstaande': ('stilstaan',),
    'stilviel': ('stilvallen',),
    'stilzwijgend': ('stilzwijgen',),
    'stilzwijgende': ('stilzwijgen',),
    'stink': ('stinken',),
    'stinkend': ('stinken',),
    'stinkende': ('stinken',),
    'stip': ('stippen',),
    'stippel': ('stippelen',),
    'stipt': ('stippen',),
    'stipte': ('stippen',),
    'stoef': ('stoefen',),
    'stoel': ('stoelen',),
    'stoep': ('stoepen',),
    'stof': ('stoffen',),
    'stofhagel': ('stofhagelen',),
    'stofregen': ('stofregenen',),
    'stofzuiger': ('stofzuigeren',),
    'stok': ('stokken',),
    'stol': ('stollen',),
    'stolp': ('stolpen',),
    'stomend': ('stomen',),
    'stomende': ('stomen',),
    'stommel': ('stommelen',),
    'stomp': ('stampen',),
    'stond': ('staan',),
    'stonden': ('staan',),
    'stoof': ('stuiven',),
    'stoom': ('stomen',),
    'stoot': ('stoten',),
    'stop': ('stoppen',),
    'stopgezet': ('stopzetten',),
    'stoppel': ('stoppelen',),
    'stoppend': ('stoppen',),
    'stoppende': ('stoppen',),
    'storend': ('storen',),
    'storende': ('storen',),
    'storm': ('stormen',),
    'stormloop': ('stormlopen',),
    'stort': ('storten',),
    'stortregen': ('stortregenen',),
    'stotend': ('stoten',),
    'stotende': ('stoten',),
    'stotterend': ('stotteren',),
    'stoven': ('stuiven',),
    'straal': ('stralen',),
    'straat': ('straten',),
    'straf': ('straffen',),
    'strakzittend': ('strakzitten',),
    'stralend': ('stralen',),
    'stralende': ('stralen',),
    'strand': ('stranden',),
    'streek': ('strijken',),
    'streep': ('strepen',),
    'strek': ('strekken',),
    'streken': ('strijken',),
    'strekkend': ('strekken',),
    'strekkende': ('strekken',),
    'strelend': ('strelen',),
    'strelende': ('strelen',),
    'streng': ('strengen',),
    'strengel': ('strengelen',),
    'stresserend': ('stresseren',),
    'stresserende': ('stresseren',),
    'stretch': ('stretchen',),
    'striem': ('striemen',),
    'strijd': ('strijden',),
    'strijk': ('strijken',),
    'strik': ('strikken',),
    'strikt': ('strikken',),
    'strikte': ('strikken',),
    'strip': ('strippen',),
    'stromend': ('stromen',),
    'stromende': ('stromen',),
    'strooi': ('strooien',),
    'strook': ('stroken',),
    'stroom': ('stromen',),
    'stroomden': ('stromen',),
    'stroomlijn': ('stroomlijnen',),
    'stroop': ('stropen',),
    'strop': ('stroppen',),
    'stuf': ('stuffen',),
    'stuik': ('stuiken',),
    'stuit': ('stuiten',),
    'stuitend': ('stuiten',),
    'stuitende': ('stuiten',),
    'stuiter': ('stuiteren',),
    'stuk': ('stukken',),
    'stukadoor': ('stukadoren',),
    'stukliep': ('stuklopen',),
    'stukliepen': ('stuklopen',),
    'stulp': ('stulpen',),
    'stumper': ('stumperen',),
    'stuntel': ('stuntelen',),
    'stut': ('stutten',),
    'stuur': ('sturen',),
    'stuw': ('stuwen',),
    'suf': ('suffen',),
    'suiker': ('suikeren',),
    'suis': ('suizen',),
    'sukkel': ('sukkelen',),
    'sul': ('sullen',),
    'supergeleidende': ('supergeleiden',),
    'supporter': ('supporteren',),
    'sus': ('sussen',),
    'swing': ('swingen',),
    'swingend': ('swingen',),
    'switch': ('switchen',),
    'taai': ('taaien',),
    'taak': ('taken',),
    'taal': ('talen',),
    'taan': ('tanen',),
    'tabernakel': ('tabernakelen',),
    'tafel': ('tafelen',),
    'tafeltennis': ('tafeltennissen',),
    'tak': ('takken',),
    'takel': ('takelen',),
    'takt': ('takken',),
    'talie': ('taliën',),
    'talm': ('talmen',),
    'tamboer': ('tamboeren',),
    'tamp': ('tampen',),
    'tand': ('tanden',),
    'tank': ('tanken',),
    'tap': ('tappen',),
    'tapdans': ('tapdansen',),
    'tape': ('tapen',),
    'tarn': ('tarnen',),
    'tart': ('tarren',),
    'tas': ('tassen',),
    'tast': ('tasten',),
    'taste': ('tassen',),
    'tater': ('tateren',),
    'tea': ('teaën',),
    'teelt': ('telen',),
    'teem': ('temen',),
    'teems': ('teemsen',),
    'teer': ('teren',),
    'teerling': ('teerlingen',),
    'tees': ('tezen',),
    'tegel': ('tegelen',),
    'tegemoetkomend': ('tegemoetkomen',),
    'tegemoetkomende': ('tegemoetkomen',),
    'tegen': ('tijgen',),
    'tegenging': ('tegengaan',),
    'tegenliggend': ('tegenliggen',),
    'tegenovergesteld': ('tegenoverstellen',),
    'tegenovergestelde': ('tegenoverstellen',),
    'tegenspraken': ('tegenspreken',),
    'tegenstaande': ('tegenstaan',),
    'tegenstem': ('tegenstemmen',),
    'tegenstribbelende': ('tegenstribbelen',),
    'tegenstrijd': ('tegenstrijden',),
    'tegenstuur': ('tegensturen',),
    'teil': ('teilen',),
    'teken': ('tekenen',),
    'tekenend': ('tekenen',),
    'tekenende': ('tekenen',),
    'tel': ('tellen',),
    'telde': ('tellen',),
    'telefax': ('telefaxen',),
    'teleurgesteld': ('teleurstellen',),
    'teleurgestelde': ('teleurstellen',),
    'teleurstellend': ('teleurstellen',),
    'teleurstellende': ('teleurstellen',),
    'telex': ('telexen',),
    'temp': ('tempen',),
    'tempeest': ('tempeesten',),
    'tempel': ('tempelen',),
    'temper': ('temperen',),
    'temperatuur': ('temperaturen',),
    'tendeert': ('tenderen',),
    'tender': ('tenderen',),
    'tenen-bij-elkaar-knijpend': ('tenen-bij-elkaar-knijpen',),
    'tengel': ('tengelen',),
    'tennis': ('tennissen',),
    'tergend': ('tergen',),
    'tergende': ('tergen',),
    'ternedergedrukt': ('ternederdrukken',),
    'ternedergedrukte': ('ternederdrukken',),
    'ternedergeslagen': ('ternederslaan',),
    'terneerdrukkend': ('terneerdrukken',),
    'terneerdrukkende': ('terneerdrukken',),
    'terneergedrukt': ('terneerdrukken',),
    'terneergedrukte': ('terneerdrukken',),
    'terneergeslagen': ('terneerslaan',),
    'terreinbeherende': ('terreinbeheren',),
    'terugblik': ('terugblikken',),
    'teruggaf': ('teruggeven',),
    'teruggekeerde': ('terugkeren',),
    'teruggeslagen': ('terugslaan',),
    'teruggetrokken': ('terugtrekken',),
    'teruggewonnen': ('terugwinnen',),
    'teruggezonden': ('terugzenden',),
    'teruggingen': ('teruggaan',),
    'terughoudend': ('terughouden',),
    'terughoudende': ('terughouden',),
    'terugkeer': ('terugkeren',),
    'terugkijkt': ('terugkijken',),
    'terugkom': ('terugkomen',),
    'terugkoop': ('terugkopen',),
    'terugkreeg': ('terugkrijgen',),
    'terugloop': ('teruglopen',),
    'teruglopend': ('teruglopen',),
    'teruglopende': ('teruglopen',),
    'terugreis': ('terugreizen',),
    'terugsluis': ('terugsluizen',),
    'terugstotend': ('terugstoten',),
    'terugstotende': ('terugstoten',),
    'terugstuur': ('terugsturen',),
    'terugtrok': ('terugtrekken',),
    'terugval': ('terugvallen',),
    'terugvielen': ('terugvallen',),
    'terugwerkend': ('terugwerken',),
    'terugwerkende': ('terugwerken',),
    'terugzet': ('terugzetten',),
    'test': ('testen',),
    'teugel': ('teugelen',),
    'teut': ('teuten',),
    'tewerkgestelden': ('tewerkstellen',),
    'thee': ('theeën',),
    'thuisbankier': ('thuisbankieren',),
    'thuisspelende': ('thuisspelen',),
    'thuiswonende': ('thuiswonen',),
    'tichel': ('tichelen',),
    'tier': ('tieren',),
    'tierelier': ('tierelieren',),
    'tijger': ('tijgeren',),
    'tik': ('tikken',),
    'tiktak': ('tiktakken',),
    'til': ('tillen',),
    'tilde': ('tillen',),
    'tilt': ('tillen',),
    'time': ('timen',),
    'timmer': ('timmeren',),
    'tingel': ('tingelen',),
    'tint': ('tinten',),
    'tintel': ('tintelen',),
    'tinteloog': ('tintelogen',),
    'tip': ('tippen',),
    'tippel': ('tippelen',),
    'titel': ('titelen',),
    'toast': ('toasten',),
    'tocht': ('tochten',),
    'toddik': ('toddiken',),
    'toe': ('doen',),
    'toebrachten': ('toebrengen',),
    'toef': ('toeven',),
    'toegebrachte': ('toebrengen',),
    'toegedaan': ('toedoen',),
    'toegedane': ('toedoen',),
    'toegeknepen': ('toeknijpen',),
    'toegepast': ('toepassen',),
    'toegepaste': ('toepassen',),
    'toegerust': ('toerusten',),
    'toegesnelde': ('toesnellen',),
    'toegespitst': ('toespitsen',),
    'toegespitste': ('toespitsen',),
    'toegevallen': ('toevallen',),
    'toegevend': ('toegeven',),
    'toegevende': ('toegeven',),
    'toegevoegd': ('toevoegen',),
    'toegevoegde': ('toevoegen',),
    'toegevoerde': ('toevoeren',),
    'toegewend': ('toewenden',),
    'toegewende': ('toewenden',),
    'toegewijd': ('toewijden',),
    'toegewijde': ('toewijden',),
    'toekan': ('toekunnen',),
    'toekomend': ('toekomen',),
    'toekomende': ('toekomen',),
    'toeleg': ('toeleggen',),
    'toeloop': ('toelopen',),
    'toematen': ('toemeten',),
    'toenamen': ('toenemen',),
    'toenemend': ('toenemen',),
    'toenemende': ('toenemen',),
    'toer': ('toeren',),
    'toereikend': ('toereiken',),
    'toereikende': ('toereiken',),
    'toernooi': ('toernooien',),
    'toeroep': ('toeroepen',),
    'toespeld': ('toespelden',),
    'toespraken': ('toespreken',),
    'toestemmend': ('toestemmen',),
    'toestemmende': ('toestemmen',),
    'toestemt': ('toestemmen',),
    'toestroom': ('toestromen',),
    'toet': ('toeten',),
    'toeter': ('toeteren',),
    'toets': ('toetsen',),
    'toeval': ('toevallen',),
    'toevoegden': ('toevoegen',),
    'toevoer': ('toevoeren',),
    'toewees': ('toewijzen',),
    'toewijst': ('toewijzen',),
    'toezag': ('toezien',),
    'toezichthoudende': ('toezichthouden',),
    'toeziend': ('toezien',),
    'toeziende': ('toezien',),
    'toffel': ('toffelen',),
    'togen': ('tijgen',),
    'tol': ('tollen',),
    'tolk': ('tolken',),
    'ton': ('tonnen',),
    'tonden': ('tonnen',),
    'tong': ('tongen',),
    'tongzoen': ('tongzoenen',),
    'toog': ('tijgen',),
    'tooi': ('tooien',),
    'toom': ('tomen',),
    'toon': ('tonen',),
    'toorn': ('toornen',),
    'toost': ('toosten',),
    'top': ('toppen',),
    'toren': ('torenen',),
    'torende': ('torenen',),
    'torent': ('torenen',),
    'torn': ('tornen',),
    'tornooi': ('tornooien',),
    'tors': ('torsen',),
    'tortel': ('tortelen',),
    'touw': ('touwen',),
    'traan': ('tranen',),
    'traanoog': ('traanogen',),
    'traint': ('trainen',),
    'tralie': ('traliën',),
    'tram': ('trammen',),
    'transcribeer': ('transcriberen',),
    'trap': ('trappen',),
    'tras': ('trassen',),
    'trawl': ('trawlen',),
    'trechter': ('trechteren',),
    'tref': ('treffen',),
    'treffend': ('treffen',),
    'treffende': ('treffen',),
    'treil': ('treilen',),
    'trein': ('treinen',),
    'treiter': ('treiteren',),
    'trek': ('trekken',),
    'trens': ('trenzen',),
    'tres': ('tressen',),
    'treuzel': ('treuzelen',),
    'trijs': ('trijsen',),
    'trijzel': ('trijzelen',),
    'triktrak': ('triktrakken',),
    'tril': ('trillen',),
    'trillende': ('trillen',),
    'trim': ('trimmen',),
    'trip': ('trippen',),
    'trits': ('tritsen',),
    'troef': ('troeven',),
    'troep': ('troepen',),
    'troetel': ('troetelen',),
    'troffel': ('troffelen',),
    'trom': ('trommen',),
    'trommel': ('trommelen',),
    'tromp': ('trompen',),
    'trompet': ('trompetten',),
    'trompetter': ('trompetteren',),
    'troon': ('tronen',),
    'troost': ('troosten',),
    'troostend': ('troosten',),
    'troostende': ('troosten',),
    'tros': ('trossen',),
    'trot': ('trotten',),
    'trouw': ('trouwen',),
    'truut': ('truten',),
    'tuf': ('tuffen',),
    'tui': ('tuien',),
    'tuier': ('tuieren',),
    'tuig': ('tuigen',),
    'tuil': ('tuilen',),
    'tuimel': ('tuimelen',),
    'tuin': ('tuinen',),
    'tuinier': ('tuinieren',),
    'tuit': ('tuiten',),
    'tuk': ('tukken',),
    'tune': ('tunen',),
    'turf': ('turven',),
    'turk': ('turken',),
    'turn': ('turnen',),
    'tussengevoegd': ('tussenvoegen',),
    'tussengevoegde': ('tussenvoegen',),
    'tussenkomend': ('tussenkomen',),
    'tussenkomende': ('tussenkomen',),
    'tut': ('tutten',),
    'tuur': ('turen',),
    'tuut': ('tuten',),
    'tweern': ('tweernen',),
    'twijfel': ('twijfelen',),
    'twijn': ('twijnen',),
    'twist': ('twisten',),
    'typ': ('typen',),
    'type': ('typen',),
    'typerend': ('typeren',),
    'typerende': ('typeren',),
    'uit': ('uiten',),
    'uitblijvende': ('uitblijven',),
    'uitbloei': ('uitbloeien',),
    'uitblonken': ('uitblinken',),
    'uitbouw': ('uitbouwen',),
    'uitbraak': ('uitbraken',),
    'uitbraken': ('uitbreken',),
    'uitbreidden': ('uitbreiden',),
    'uitdagend': ('uitdagen',),
    'uitdagende': ('uitdagen',),
    'uitdraai': ('uitdraaien',),
    'uitdraaide': ('uitdraaien',),
    'uiteengeslagen': ('uiteenslaan',),
    'uiteenlopende': ('uiteenlopen',),
    'uiteenviel': ('uiteenvallen',),
    'uitgaand': ('uitgaan',),
    'uitgaande': ('uitgaan',),
    'uitgaven': ('uitgeven',),
    'uitgebloeid': ('uitbloeien',),
    'uitgebreid': ('uitbreiden',),
    'uitgebreide': ('uitbreiden',),
    'uitgediend': ('uitdienen',),
    'uitgediscussieerd': ('uitdiscussiëren',),
    'uitgedroogde': ('uitdrogen',),
    'uitgedunde': ('uitdunnen',),
    'uitgehongerd': ('uithongeren',),
    'uitgehongerde': ('uithongeren',),
    'uitgekiend': ('uitkienen',),
    'uitgekiende': ('uitkienen',),
    'uitgekookt': ('uitkoken',),
    'uitgekookte': ('uitkoken',),
    'uitgelaten': ('uitlaten',),
    'uitgeleefd': ('uitleven',),
    'uitgeleefde': ('uitleven',),
    'uitgelegd': ('uitleggen',),
    'uitgelegde': ('uitleggen',),
    'uitgeleide': ('uitleiden',),
    'uitgelezen': ('uitlezen',),
    'uitgelokte': ('uitlokken',),
    'uitgeluld': ('uitlullen',),
    'uitgemaakt': ('uitmaken',),
    'uitgemaakte': ('uitmaken',),
    'uitgemergeld': ('uitmergelen',),
    'uitgemergelde': ('uitmergelen',),
    'uitgenomen': ('uitnemen',),
    'uitgepraat': ('uitpraten',),
    'uitgeprocedeerde': ('uitprocederen',),
    'uitgeput': ('uitputten',),
    'uitgeputte': ('uitputten',),
    'uitgerekend': ('uitrekenen',),
    'uitgerekende': ('uitrekenen',),
    'uitgerekt': ('uitrekken',),
    'uitgerekte': ('uitrekken',),
    'uitgerust': ('uitrusten',),
    'uitgescheten': ('uitschijten',),
    'uitgeslagen': ('uitslaan',),
    'uitgeslapen': ('uitslapen',),
    'uitgesloten': ('uitsluiten',),
    'uitgesproken': ('uitspreken',),
    'uitgestalde': ('uitstallen',),
    'uitgestorven': ('uitsterven',),
    'uitgestreken': ('uitstrijken',),
    'uitgestrekt': ('uitstrekken',),
    'uitgestrekte': ('uitstrekken',),
    'uitgestuurde': ('uitsturen',),
    'uitgeteerde': ('uitteren',),
    'uitgeteld': ('uittellen',),
    'uitgetelde': ('uittellen',),
    'uitgetrokken': ('uittrekken',),
    'uitgewerkt': ('uitwerken',),
    'uitgewerkte': ('uitwerken',),
    'uitgewoond': ('uitwonen',),
    'uitgewoonde': ('uitwonen',),
    'uitgezakt': ('uitzakken',),
    'uitgezakte': ('uitzakken',),
    'uitgezocht': ('uitzoeken',),
    'uitgezochte': ('uitzoeken',),
    'uitgezoomd': ('uitzoomen',),
    'uitgooi': ('uitgooien',),
    'uitgroei': ('uitgroeien',),
    'uitgroeit': ('uitgroeien',),
    'uithaal': ('uithalen',),
    'uithangende': ('uithangen',),
    'uitkijk': ('uitkijken',),
    'uitkoop': ('uitkopen',),
    'uitlaat': ('uitlaten',),
    'uitleen': ('uitlenen',),
    'uitleg': ('uitleggen',),
    'uitlijn': ('uitlijnen',),
    'uitloop': ('uitlopen',),
    'uitmuntend': ('uitmunten',),
    'uitmuntende': ('uitmunten',),
    'uitnamen': ('uitnemen',),
    'uitnemend': ('uitnemen',),
    'uitnemende': ('uitnemen',),
    'uitnodigend': ('uitnodigen',),
    'uitpuilde': ('uitpuilen',),
    'uitriep': ('uitroepen',),
    'uitriepen': ('uitroepen',),
    'uitroep': ('uitroepen',),
    'uitrol': ('uitrollen',),
    'uitruk': ('uitrukken',),
    'uitslaande': ('uitslaan',),
    'uitsluitend': ('uitsluiten',),
    'uitsluitende': ('uitsluiten',),
    'uitspraken': ('uitspreken',),
    'uitspringend': ('uitspringen',),
    'uitspringende': ('uitspringen',),
    'uitsprong': ('uitspringen',),
    'uitsprongen': ('uitspringen',),
    'uitstaand': ('uitstaan',),
    'uitstaande': ('uitstaan',),
    'uitstap': ('uitstappen',),
    'uitsteek': ('uitsteken',),
    'uitstekend': ('uitsteken',),
    'uitstekende': ('uitsteken',),
    'uitstel': ('uitstellen',),
    'uitstierf': ('uitsterven',),
    'uitstoot': ('uitstoten',),
    'uitstrijk': ('uitstrijken',),
    'uitstroom': ('uitstromen',),
    'uittrap': ('uittrappen',),
    'uitvaart': ('uitvaren',),
    'uitval': ('uitvallen',),
    'uitvergrote': ('uitvergroten',),
    'uitverkocht': ('uitverkopen',),
    'uitverkochte': ('uitverkopen',),
    'uitverkoop': ('uitverkopen',),
    'uitverkoren': ('uitverkiezen',),
    'uitvocht': ('uitvechten',),
    'uitvoer': ('uitvoeren',),
    'uitvoerend': ('uitvoeren',),
    'uitvoerende': ('uitvoeren',),
    'uitwaaierende': ('uitwaaieren',),
    'uitwas': ('uitwassen',),
    'uitwees': ('uitwijzen',),
    'uitwerkten': ('uitwerken',),
    'uitwijk': ('uitwijken',),
    'uitwonend': ('uitwonen',),
    'uitwonende': ('uitwonen',),
    'uitzaai': ('uitzaaien',),
    'uitzet': ('uitzetten',),
    'vaag': ('vagen',),
    'vaam': ('vamen',),
    'vaar': ('varen',),
    'vaardig': ('vaardigen',),
    'vaart': ('varen',),
    'vaat': ('vaten',),
    'vadem': ('vademen',),
    'vader': ('vaderen',),
    'val': ('vallen',),
    'vallend': ('vallen',),
    'vallende': ('vallen',),
    'vang': ('vangen',),
    'varend': ('varen',),
    'vast': ('vasten',),
    'vastgegroeide': ('vastgroeien',),
    'vastgelijmd': ('vastlijmen',),
    'vasthield': ('vasthouden',),
    'vasthoudend': ('vasthouden',),
    'vasthoudende': ('vasthouden',),
    'vastomlijnd': ('vastomlijnen',),
    'vaststaand': ('vaststaan',),
    'vaststaande': ('vaststaan',),
    'vat': ('vatten',),
    'vecht': ('vechten',),
    'vedel': ('vedelen',),
    'veeg': ('vegen',),
    'veel': ('velen',),
    'veem': ('vemen',),
    'veen': ('venen',),
    'veer': ('veren',),
    'veert': ('veren',),
    'veest': ('veesten',),
    'veil': ('veilen',),
    'veinst': ('veinzen',),
    'vel': ('vellen',),
    'velde': ('vellen',),
    'velden': ('vellen',),
    'velt': ('vellen',),
    'vendel': ('vendelen',),
    'vent': ('venten',),
    'veracht': ('verachten',),
    'verachte': ('verachten',),
    'verachter': ('verachteren',),
    'veralgemeend': ('veralgemenen',),
    'veralgemeende': ('veralgemenen',),
    'verantwoord': ('verantwoorden',),
    'verantwoorde': ('verantwoorden',),
    'verbaasd': ('verbazen',),
    'verbaasde': ('verbazen',),
    'verband': ('verbannen',),
    'verbanden': ('verbannen',),
    'verbant': ('verbannen',),
    'verbazend': ('verbazen',),
    'verbazende': ('verbazen',),
    'verbeend': ('verbenen',),
    'verbeende': ('verbenen',),
    'verbeten': ('verbijten',),
    'verbeter': ('verbeteren',),
    'verbijsterd': ('verbijsteren',),
    'verbijsterde': ('verbijsteren',),
    'verbijsterend': ('verbijsteren',),
    'verbijsterende': ('verbijsteren',),
    'verbitterd': ('verbitteren',),
    'verbitterde': ('verbitteren',),
    'verblijd': ('verblijden',),
    'verblijde': ('verblijden',),
    'verblijf': ('verblijven',),
    'verblind': ('verblinden',),
    'verblindend': ('verblinden',),
    'verbloemd': ('verbloemen',),
    'verbloemde': ('verbloemen',),
    'verbluffend': ('verbluffen',),
    'verbluffende': ('verbluffen',),
    'verbluft': ('verbluffen',),
    'verblufte': ('verbluffen',),
    'verboden': ('verbieden',),
    'verbond': ('verbinden',),
    'verbonden': ('verbinden',),
    'verborgen': ('verbergen',),
    'verbouw': ('verbouwen',),
    'verbouwden': ('verbouwen',),
    'verbreid': ('verbreiden',),
    'verbreide': ('verbreiden',),
    'verbrijzelde': ('verbrijzelen',),
    'verbruid': ('verbruien',),
    'verbruide': ('verbruien',),
    'verbruik': ('verbruiken',),
    'verbruikten': ('verbruiken',),
    'verchroomd': ('verchromen',),
    'verdacht': ('verdenken',),
    'verdachte': ('verdenken',),
    'verdachten': ('verdenken',),
    'verde': ('veren',),
    'verdedigend': ('verdedigen',),
    'verdedigende': ('verdedigen',),
    'verdeeld': ('verdelen',),
    'verdeelde': ('verdelen',),
    'verdekt': ('verdekken',),
    'verderf': ('verderven',),
    'verdergaand': ('verdergaan',),
    'verdergaande': ('verdergaan',),
    'verderging': ('verdergaan',),
    'verdergingen': ('verdergaan',),
    'verdicht': ('verdichten',),
    'verdichte': ('verdichten',),
    'verdiend': ('verdienen',),
    'verdiende': ('verdienen',),
    'verdiep': ('verdiepen',),
    'verdijd': ('verdijen',),
    'verdijde': ('verdijen',),
    'verdikte': ('verdikken',),
    'verdoemd': ('verdoemen',),
    'verdoemde': ('verdoemen',),
    'verdoemden': ('verdoemen',),
    'verdoken': ('verduiken',),
    'verdomd': ('verdommen',),
    'verdomde': ('verdommen',),
    'verdoofd': ('verdoven',),
    'verdoofde': ('verdoven',),
    'verdoold': ('verdolen',),
    'verdoolde': ('verdolen',),
    'verdoolden': ('verdolen',),
    'verdord': ('verdorren',),
    'verdorde': ('verdorren',),
    'verdorven': ('verderven',),
    'verdraaid': ('verdraaien',),
    'verdraaide': ('verdraaien',),
    'verdragend': ('verdragen',),
    'verdragende': ('verdragen',),
    'verdriet': ('verdrieten',),
    'verdronken': ('verdrinken',),
    'verduisterde': ('verduisteren',),
    'verdun': ('verdunnen',),
    'verdwaald': ('verdwalen',),
    'verdwaalde': ('verdwalen',),
    'verdwaasd': ('verdwazen',),
    'verdwaasde': ('verdwazen',),
    'verdwenen': ('verdwijnen',),
    'veredeld': ('veredelen',),
    'vereelt': ('vereelten',),
    'vereelte': ('vereelten',),
    'vereende': ('verenen',),
    'vereeuwigde': ('vereeuwigen',),
    'vereis': ('vereisen',),
    'vereiste': ('vereisen',),
    'vereisten': ('vereisen',),
    'verend': ('veren',),
    'verende': ('veren',),
    'verengelste': ('verengelsen',),
    'verenigd': ('verenigen',),
    'verenigde': ('verenigen',),
    'verergerden': ('verergeren',),
    'verf': ('verven',),
    'verfijnd': ('verfijnen',),
    'verfijnde': ('verfijnen',),
    'verfoven': ('verfuiven',),
    'verfrissend': ('verfrissen',),
    'verfrissende': ('verfrissen',),
    'vergaand': ('vergaan',),
    'vergaande': ('vergaan',),
    'vergaat': ('vergaan',),
    'vergeelde': ('vergelen',),
    'vergelijk': ('vergelijken',),
    'vergelijkend': ('vergelijken',),
    'vergelijkende': ('vergelijken',),
    'vergenoegd': ('vergenoegen',),
    'vergenoegde': ('vergenoegen',),
    'vergiet': ('vergieten',),
    'vergiftig': ('vergiftigen',),
    'vergoddelijkte': ('vergoddelijken',),
    'vergramd': ('vergrammen',),
    'vergramde': ('vergrammen',),
    'vergrijp': ('vergrijpen',),
    'vergrootten': ('vergroten',),
    'vergrotend': ('vergroten',),
    'vergrotende': ('vergroten',),
    'verguld': ('vergulden',),
    'vergulde': ('vergulden',),
    'verhaal': ('verhalen',),
    'verhalende': ('verhalen',),
    'verhang': ('verhangen',),
    'verhangene': ('verhangen',),
    'verhard': ('verharden',),
    'verharde': ('verharden',),
    'verheerlijkte': ('verheerlijken',),
    'verheffend': ('verheffen',),
    'verheffende': ('verheffen',),
    'verheid': ('verheien',),
    'verhelderend': ('verhelderen',),
    'verheugd': ('verheugen',),
    'verheugde': ('verheugen',),
    'verheugend': ('verheugen',),
    'verheugende': ('verheugen',),
    'verheven': ('verheffen',),
    'verhipt': ('verhippen',),
    'verhit': ('verhitten',),
    'verhitte': ('verhitten',),
    'verhittend': ('verhitten',),
    'verhittende': ('verhitten',),
    'verhoog': ('verhogen',),
    'verhoogd': ('verhogen',),
    'verhoogde': ('verhogen',),
    'verhoor': ('verhoren',),
    'verhoornde': ('verhoornen',),
    'verhuis': ('verhuizen',),
    'verhuur': ('verhuren',),
    'verjaard': ('verjaren',),
    'verjaarde': ('verjaren',),
    'verjoeg': ('verjagen',),
    'verkalkte': ('verkalken',),
    'verkapt': ('verkappen',),
    'verkapte': ('verkappen',),
    'verkasten': ('verkassen',),
    'verkeer': ('verkeren',),
    'verkeerd': ('verkeren',),
    'verkeerde': ('verkeren',),
    'verkeerden': ('verkeren',),
    'verklaard': ('verklaren',),
    'verklaarde': ('verklaren',),
    'verklarend': ('verklaren',),
    'verklarende': ('verklaren',),
    'verklede': ('verkleden',),
    'verkleumd': ('verkleumen',),
    'verkleumde': ('verkleumen',),
    'verknald': ('verknallen',),
    'verknipt': ('verknippen',),
    'verknipte': ('verknippen',),
    'verkoelend': ('verkoelen',),
    'verkoelende': ('verkoelen',),
    'verkoolde': ('verkolen',),
    'verkoop': ('verkopen',),
    'verkoper': ('verkoperen',),
    'verkoren': ('verkiezen',),
    'verkort': ('verkorten',),
    'verkorte': ('verkorten',),
    'verkorven': ('verkerven',),
    'verkozen': ('verkiezen',),
    'verkrampt': ('verkrampen',),
    'verkrampte': ('verkrampen',),
    'verkregen': ('verkrijgen',),
    'verkreukelde': ('verkreukelen',),
    'verkreupeld': ('verkreupelen',),
    'verkwikkend': ('verkwikken',),
    'verkwikkende': ('verkwikken',),
    'verkwistend': ('verkwisten',),
    'verkwistende': ('verkwisten',),
    'verlaat': ('verlaten',),
    'verlak': ('verlakken',),
    'verlakt': ('verlakken',),
    'verlamd': ('verlammen',),
    'verlamde': ('verlammen',),
    'verlammend': ('verlammen',),
    'verlammende': ('verlammen',),
    'verlate': ('verlaten',),
    'verlaten': ('verlaten',),
    'verleden': ('verlijden',),
    'verlegen': ('verliggen',),
    'verlei': ('verleien',),
    'verleidend': ('verleiden',),
    'verleidende': ('verleiden',),
    'verlekkerd': ('verlekkeren',),
    'verlekkerde': ('verlekkeren',),
    'verlengde': ('verlengen',),
    'verlept': ('verleppen',),
    'verlepte': ('verleppen',),
    'verlet': ('verletten',),
    'verlicht': ('verlichten',),
    'verlichte': ('verlichten',),
    'verlichtten': ('verlichten',),
    'verliefde': ('verlieven',),
    'verlies': ('verliezen',),
    'verlokkend': ('verlokken',),
    'verlokkende': ('verlokken',),
    'verloofde': ('verloven',),
    'verloofden': ('verloven',),
    'verloop': ('verlopen',),
    'verloren': ('verliezen',),
    'verlos': ('verlossen',),
    'vermaagschapt': ('vermaagschappen',),
    'vermaagschapte': ('vermaagschappen',),
    'vermaak': ('vermaken',),
    'vermaan': ('vermanen',),
    'vermaledijd': ('vermaledijden',),
    'vermaledijde': ('vermaledijden',),
    'vermant': ('vermannen',),
    'vermeend': ('vermenen',),
    'vermeende': ('vermenen',),
    'vermeent': ('vermenen',),
    'vermiljoen': ('vermiljoenen',),
    'verminderd': ('verminderen',),
    'verminderde': ('verminderen',),
    'verminderden': ('verminderen',),
    'verminkt': ('verminken',),
    'verminkte': ('verminken',),
    'verminkten': ('verminken',),
    'vermis': ('vermissen',),
    'vermist': ('vermissen',),
    'vermiste': ('vermissen',),
    'vermisten': ('vermissen',),
    'vermocht': ('vermogen',),
    'vermoedden': ('vermoeden',),
    'vermoede': ('vermoeden',),
    'vermoeid': ('vermoeien',),
    'vermoeide': ('vermoeien',),
    'vermoeiend': ('vermoeien',),
    'vermoeiende': ('vermoeien',),
    'vermogend': ('vermogen',),
    'vermogende': ('vermogen',),
    'vermolmd': ('vermolmen',),
    'vermolmde': ('vermolmen',),
    'vermomde': ('vermommen',),
    'vermomden': ('vermommen',),
    'vermoordde': ('vermoorden',),
    'vernederend': ('vernederen',),
    'vernederende': ('vernederen',),
    'vernielend': ('vernielen',),
    'vernielende': ('vernielen',),
    'vernietigend': ('vernietigen',),
    'vernietigende': ('vernietigen',),
    'vernieuwd': ('vernieuwen',),
    'vernieuwend': ('vernieuwen',),
    'vernis': ('vernissen',),
    'vernoemde': ('vernoemen',),
    'verongelijkt': ('verongelijken',),
    'verongelijkte': ('verongelijken',),
    'verontreinigende': ('verontreinigen',),
    'verontrust': ('verontrusten',),
    'verontruste': ('verontrusten',),
    'verontrustend': ('verontrusten',),
    'verontrustende': ('verontrusten',),
    'verontwaardigd': ('verontwaardigen',),
    'verontwaardigde': ('verontwaardigen',),
    'veroordeelde': ('veroordelen',),
    'veroorloofd': ('veroorloven',),
    'veroorloofde': ('veroorloven',),
    'verouderd': ('verouderen',),
    'verouderde': ('verouderen',),
    'verover': ('veroveren',),
    'verpast': ('verpassen',),
    'verpestend': ('verpesten',),
    'verpestende': ('verpesten',),
    'verpieterd': ('verpieteren',),
    'verpieterde': ('verpieteren',),
    'verpleegden': ('verplegen',),
    'verplegenden': ('verplegen',),
    'verpletterend': ('verpletteren',),
    'verpletterende': ('verpletteren',),
    'verplicht': ('verplichten',),
    'verplichte': ('verplichten',),
    'verplichtend': ('verplichten',),
    'verplichtende': ('verplichten',),
    'verraad': ('verraden',),
    'verrassend': ('verrassen',),
    'verrassende': ('verrassen',),
    'verrast': ('verrassen',),
    'verraste': ('verrassen',),
    'verrasten': ('verrassen',),
    'verreikend': ('verreiken',),
    'verreikende': ('verreiken',),
    'verreisd': ('verreizen',),
    'verreisde': ('verreizen',),
    'verrek': ('verrekken',),
    'verrekt': ('verrekken',),
    'verrekte': ('verrekken',),
    'verrichte': ('verrichten',),
    'verrijkten': ('verrijken',),
    'verroest': ('verroesten',),
    'verroeste': ('verroesten',),
    'verrot': ('verrotten',),
    'verrotte': ('verrotten',),
    'verrukt': ('verrukken',),
    'verrukte': ('verrukken',),
    'verscheepten': ('verschepen',),
    'verscheidende': ('verscheiden',),
    'verscherpte': ('verscherpen',),
    'verscheurend': ('verscheuren',),
    'verscheurende': ('verscheuren',),
    'verschiet': ('verschieten',),
    'verschil': ('verschillen',),
    'verschillend': ('verschillen',),
    'verschillende': ('verschillen',),
    'verscholen': ('verschuilen',),
    'verschoten': ('verschieten',),
    'verschreven': ('verschrijven',),
    'verschrikte': ('verschrikken',),
    'verschroeide': ('verschroeien',),
    'verschroot': ('verschroten',),
    'verschuldigd': ('verschuldigen',),
    'verschut': ('verschutten',),
    'verschutte': ('verschutten',),
    'versierde': ('versieren',),
    'versimpelde': ('versimpelen',),
    'verslaafd': ('verslaven',),
    'verslaafde': ('verslaven',),
    'verslaafden': ('verslaven',),
    'verslagen': ('verslaan',),
    'verslavend': ('verslaven',),
    'verslavende': ('verslaven',),
    'verslechterden': ('verslechteren',),
    'verslechterende': ('verslechteren',),
    'versleten': ('verslijten',),
    'verslingerd': ('verslingeren',),
    'verslingerde': ('verslingeren',),
    'versluis': ('versluizen',),
    'versneld': ('versnellen',),
    'versnelde': ('versnellen',),
    'versnipperd': ('versnipperen',),
    'verspreid': ('verspreiden',),
    'verspreide': ('verspreiden',),
    'verstaald': ('verstalen',),
    'verstaalde': ('verstalen',),
    'versteend': ('verstenen',),
    'versteende': ('verstenen',),
    'versteld': ('verstellen',),
    'verstelde': ('verstellen',),
    'versterf': ('versterven',),
    'versterkend': ('versterken',),
    'versterkende': ('versterken',),
    'versteven': ('verstijven',),
    'verstijfd': ('verstijven',),
    'verstijfde': ('verstijven',),
    'verstoken': ('versteken',),
    'verstokt': ('verstokken',),
    'verstokte': ('verstokken',),
    'verstoord': ('verstoren',),
    'verstoorde': ('verstoren',),
    'verstopt': ('verstoppen',),
    'verstopte': ('verstoppen',),
    'verstorende': ('verstoren',),
    'verstorven': ('versterven',),
    'verstotene': ('verstoten',),
    'verstoven': ('verstuiven',),
    'verstrekkend': ('verstrekken',),
    'verstrekkende': ('verstrekken',),
    'verstrengd': ('verstrengen',),
    'verstrooid': ('verstrooien',),
    'verstrooide': ('verstrooien',),
    'verstuikte': ('verstuiken',),
    'versuft': ('versuffen',),
    'versufte': ('versuffen',),
    'versuikerd': ('versuikeren',),
    'versuikerde': ('versuikeren',),
    'vertaalden': ('vertalen',),
    'vertakt': ('vertakken',),
    'vertakte': ('vertakken',),
    'vertederende': ('vertederen',),
    'vertegenwoordig': ('vertegenwoordigen',),
    'vertekend': ('vertekenen',),
    'vertekende': ('vertekenen',),
    'vertelt': ('vertellen',),
    'vertind': ('vertinnen',),
    'vertoef': ('vertoeven',),
    'vertolkten': ('vertolken',),
    'vertoon': ('vertonen',),
    'vertoornd': ('vertoornen',),
    'vertoornde': ('vertoornen',),
    'vertraagd': ('vertragen',),
    'vertraagde': ('vertragen',),
    'vertrek': ('vertrekken',),
    'vertrekkende': ('vertrekken',),
    'vertrouw': ('vertrouwen',),
    'vertrouwd': ('vertrouwen',),
    'vertrouwde': ('vertrouwen',),
    'vertwijfeld': ('vertwijfelen',),
    'vertwijfelde': ('vertwijfelen',),
    'vervaard': ('vervaren',),
    'vervaarde': ('vervaren',),
    'verval': ('vervallen',),
    'vervalst': ('vervalsen',),
    'vervalste': ('vervalsen',),
    'vervang': ('vervangen',),
    'verveeld': ('vervelen',),
    'verveelde': ('vervelen',),
    'vervelend': ('vervelen',),
    'vervelende': ('vervelen',),
    'ververs': ('verversen',),
    'vervet': ('vervetten',),
    'vervilte': ('vervilten',),
    'vervliet': ('vervlieten',),
    'vervloeit': ('vervloeien',),
    'vervloekt': ('vervloeken',),
    'vervloekte': ('vervloeken',),
    'vervlogen': ('vervliegen',),
    'vervoegde': ('vervoegen',),
    'vervoer': ('vervaren',),
    'vervolg': ('vervolgen',),
    'vervormde': ('vervormen',),
    'vervuild': ('vervuilen',),
    'vervuilde': ('vervuilen',),
    'vervuilend': ('vervuilen',),
    'vervuilende': ('vervuilen',),
    'vervullende': ('vervullen',),
    'verwaaid': ('verwaaien',),
    'verwaaide': ('verwaaien',),
    'verward': ('verwarren',),
    'verwarde': ('verwarren',),
    'verwaterd': ('verwateren',),
    'verwaterde': ('verwateren',),
    'verweer': ('verweren',),
    'verweerd': ('verweren',),
    'verweerde': ('verweren',),
    'verweesd': ('verwezen',),
    'verweesde': ('verwezen',),
    'verwelf': ('verwelven',),
    'verwend': ('verwennen',),
    'verwende': ('verwennen',),
    'verwezen': ('verwijzen',),
    'verwierp': ('verwerpen',),
    'verwijderd': ('verwijderen',),
    'verwijderde': ('verwijderen',),
    'verwijfd': ('verwijven',),
    'verwijfde': ('verwijven',),
    'verwijl': ('verwijlen',),
    'verwijt': ('verwijten',),
    'verwijtend': ('verwijten',),
    'verwijtende': ('verwijten',),
    'verwilderd': ('verwilderen',),
    'verwilderde': ('verwilderen',),
    'verwoest': ('verwoesten',),
    'verwoeste': ('verwoesten',),
    'verwoestend': ('verwoesten',),
    'verwoestende': ('verwoesten',),
    'verwonderd': ('verwonderen',),
    'verwonderde': ('verwonderen',),
    'verworpen': ('verwerpen',),
    'verzachtend': ('verzachten',),
    'verzachtende': ('verzachten',),
    'verzadigd': ('verzadigen',),
    'verzadigde': ('verzadigen',),
    'verzakelijkt': ('verzakelijken',),
    'verzakelijkte': ('verzakelijken',),
    'verzakten': ('verzakken',),
    'verzeker': ('verzekeren',),
    'verzekerden': ('verzekeren',),
    'verzelfstandigde': ('verzelfstandigen',),
    'verzet': ('verzetten',),
    'verziend': ('verzien',),
    'verziende': ('verzien',),
    'verzocht': ('verzoeken',),
    'verzoek': ('verzoeken',),
    'verzoenden': ('verzoenen',),
    'verzoenend': ('verzoenen',),
    'verzoenende': ('verzoenen',),
    'verzopen': ('verzuipen',),
    'verzorgd': ('verzorgen',),
    'verzorgde': ('verzorgen',),
    'verzorgden': ('verzorgen',),
    'verzorgende': ('verzorgen',),
    'verzorgenden': ('verzorgen',),
    'verzot': ('verzotten',),
    'verzotte': ('verzotten',),
    'verzuild': ('verzuilen',),
    'verzuilde': ('verzuilen',),
    'verzuim': ('verzuimen',),
    'verzwakten': ('verzwakken',),
    'verzwarend': ('verzwaren',),
    'verzwarende': ('verzwaren',),
    'vest': ('vesten',),
    'vet': ('vetten',),
    'veter': ('veteren',),
    'vette': ('vetten',),
    'veulen': ('veulenen',),
    'vezel': ('vezelen',),
    'viel': ('vallen',),
    'vier': ('vieren',),
    'vierde': ('vieren',),
    'vierden': ('vieren',),
    'vierendeel': ('vierendelen',),
    'vierkant': ('vierkanten',),
    'vijl': ('vijlen',),
    'vijs': ('vijzen',),
    'vijzel': ('vijzelen',),
    'vilt': ('villen',),
    'vim': ('vimmen',),
    'ving': ('vangen',),
    'vinger': ('vingeren',),
    'vingerknippend': ('vingerknippen',),
    'vink': ('vinken',),
    'vinkt': ('vinken',),
    'vis': ('vissen',),
    'vissende': ('vissen',),
    'vist': ('vissen',),
    'vlaag': ('vlagen',),
    'vlag': ('vlaggen',),
    'vlaggend': ('vlaggen',),
    'vlak': ('vlakken',),
    'vlakte': ('vlakken',),
    'vlakten': ('vlakken',),
    'vlam': ('vlammen',),
    'vlammend': ('vlammen',),
    'vlammende': ('vlammen',),
    'vlas': ('vlassen',),
    'vlecht': ('vlechten',),
    'vlees': ('vlezen',),
    'vlegel': ('vlegelen',),
    'vleiend': ('vleien',),
    'vleiende': ('vleien',),
    'vlek': ('vlekken',),
    'vlet': ('vletten',),
    'vlieg': ('vliegen',),
    'vliegend': ('vliegen',),
    'vliegende': ('vliegen',),
    'vlieger': ('vliegeren',),
    'vlies': ('vliezen',),
    'vliet': ('vlieten',),
    'vlij': ('vlijen',),
    'vlijm': ('vlijmen',),
    'vlijmend': ('vlijmen',),
    'vlijmende': ('vlijmen',),
    'vlijt': ('vlijen',),
    'vlinder': ('vlinderen',),
    'vlinderhaften': ('vlinderhaffen',),
    'vloei': ('vloeien',),
    'vloeiend': ('vloeien',),
    'vloeiende': ('vloeien',),
    'vloeistofgekoelde': ('vloeistofkoelen',),
    'vloek': ('vloeken',),
    'vloer': ('vloeren',),
    'vlok': ('vlokken',),
    'vloot': ('vlieten',),
    'vlot': ('vlotten',),
    'vloten': ('vlieten',),
    'vlotte': ('vlotten',),
    'vlottend': ('vlotten',),
    'vlottende': ('vlotten',),
    'vlucht': ('vluchten',),
    'vlugger': ('vluggeren',),
    'vocht': ('vechten',),
    'vochten': ('vechten',),
    'voedden': ('voeden',),
    'voeder': ('voederen',),
    'voedster': ('voedsteren',),
    'voeg': ('voegen',),
    'voer': ('varen',),
    'voeren': ('varen',),
    'voetbal': ('voetballen',),
    'vogel': ('vogelen',),
    'vol': ('vollen',),
    'voldaan': ('voldoen',),
    'voldane': ('voldoen',),
    'voldingend': ('voldingen',),
    'voldoend': ('voldoen',),
    'voldoende': ('voldoen',),
    'volgeboekt': ('volboeken',),
    'volgegoten': ('volgieten',),
    'volgekletst': ('volkletsen',),
    'volgend': ('volgen',),
    'volgende': ('volgen',),
    'volgenden': ('volgen',),
    'volgroeid': ('volgroeien',),
    'volgroeide': ('volgroeien',),
    'volhardend': ('volharden',),
    'volhardende': ('volharden',),
    'volksdans': ('volksdansen',),
    'volleerde': ('volleren',),
    'volley': ('volleyen',),
    'volleybal': ('volleyballen',),
    'volmaakt': ('volmaken',),
    'volmaakte': ('volmaken',),
    'volprezen': ('volprijzen',),
    'volt': ('vollen',),
    'voltooid': ('voltooien',),
    'voltooide': ('voltooien',),
    'voltooiden': ('voltooien',),
    'vond': ('vinden',),
    'vonden': ('vinden',),
    'vonk': ('vonken',),
    'vonnis': ('vonnissen',),
    'voorafgaand': ('voorafgaan',),
    'voorafgaande': ('voorafgaan',),
    'voorafgegane': ('voorafgaan',),
    'voorbeding': ('voorbedingen',),
    'voorbehoud': ('voorbehouden',),
    'voorbereid': ('voorbereiden',),
    'voorbereidend': ('voorbereiden',),
    'voorbereidende': ('voorbereiden',),
    'voorbijgaand': ('voorbijgaan',),
    'voorbijgaande': ('voorbijgaan',),
    'voorbijgaat': ('voorbijgaan',),
    'voordien': ('voordienen',),
    'voorgaand': ('voorgaan',),
    'voorgaande': ('voorgaan',),
    'voorgebeden': ('voorbidden',),
    'voorgegaard': ('voorgaren',),
    'voorgekookt': ('voorkoken',),
    'voorgekookte': ('voorkoken',),
    'voorgenomen': ('voornemen',),
    'voorgeschreven': ('voorschrijven',),
    'voorgespannen': ('voorspannen',),
    'voorgevallene': ('voorvallen',),
    'voorgewend': ('voorwenden',),
    'voorgewende': ('voorwenden',),
    'voorgooi': ('voorgooien',),
    'voorhang': ('voorhangen',),
    'voorkomend': ('voorkomen',),
    'voorkomende': ('voorkomen',),
    'voorkoop': ('voorkopen',),
    'voorliggend': ('voorliggen',),
    'voorliggende': ('voorliggen',),
    'voorloop': ('voorlopen',),
    'voormelk': ('voormelken',),
    'voornamen': ('voornemen',),
    'voorproef': ('voorproeven',),
    'voorschoot': ('voorschieten',),
    'voorschoten': ('voorschieten',),
    'voorschreven': ('voorschrijven',),
    'voorspan': ('voorspannen',),
    'voorspel': ('voorspellen',),
    'voorspellend': ('voorspellen',),
    'voorspellende': ('voorspellen',),
    'voorspraken': ('voorspreken',),
    'voorstaat': ('voorstaan',),
    'voorsteek': ('voorsteken',),
    'voorstel': ('voorstellen',),
    'voortbouw': ('voortbouwen',),
    'voortdurend': ('voortduren',),
    'voortdurende': ('voortduren',),
    'voorteken': ('voortekenen',),
    'voortgaande': ('voortgaan',),
    'voortgezet': ('voortzetten',),
    'voortgezette': ('voortzetten',),
    'voorthinkte': ('voorthinken',),
    'voortkomende': ('voortkomen',),
    'voortplant': ('voortplanten',),
    'voortvarend': ('voortvaren',),
    'voortvarende': ('voortvaren',),
    'voortvloeide': ('voortvloeien',),
    'vooruitstrevend': ('vooruitstreven',),
    'vooruitstrevende': ('vooruitstreven',),
    'vooruitziend': ('vooruitzien',),
    'vooruitziende': ('vooruitzien',),
    'voorval': ('voorvallen',),
    'voorverkoop': ('voorverkopen',),
    'voorwerk': ('voorwerken',),
    'voorwerp': ('voorwerpen',),
    'voorzagen': ('voorzien',),
    'voorzaten': ('voorzitten',),
    'voorzet': ('voorzetten',),
    'voorzittend': ('voorzitten',),
    'voos': ('vozen',),
    'voost': ('vozen',),
    'vorm': ('vormen',),
    'vormend': ('vormen',),
    'vormende': ('vormen',),
    'vors': ('vorsen',),
    'vorst': ('vorsen',),
    'vorsten': ('vorsen',),
    'vos': ('vossen',),
    'vouw': ('vouwen',),
    'vraag': ('vragen',),
    'vragend': ('vragen',),
    'vragende': ('vragen',),
    'vraten': ('vreten',),
    'vree': ('vrijen',),
    'vreemdgaat': ('vreemdgaan',),
    'vrees': ('vrezen',),
    'vries': ('vriezen',),
    'vriezend': ('vriezen',),
    'vriezende': ('vriezen',),
    'vrij': ('vrijen',),
    'vrijbuiter': ('vrijbuiteren',),
    'vrijgekocht': ('vrijkopen',),
    'vrijgelatene': ('vrijlaten',),
    'vrijgelatenen': ('vrijlaten',),
    'vrijgemaakt': ('vrijmaken',),
    'vrijgemaakte': ('vrijmaken',),
    'vrijgemaakten': ('vrijmaken',),
    'vrijgepleit': ('vrijpleiten',),
    'vrijgevochten': ('vrijvechten',),
    'vrijliggende': ('vrijliggen',),
    'vrijloop': ('vrijlopen',),
    'vrijspraken': ('vrijspreken',),
    'vrijstaand': ('vrijstaan',),
    'vrijstaande': ('vrijstaan',),
    'vrijstaat': ('vrijstaan',),
    'vrijwiel': ('vrijwielen',),
    'vroeg': ('vragen',),
    'vroegen': ('vragen',),
    'vrolijk': ('vrolijken',),
    'vuilbek': ('vuilbekken',),
    'vut': ('vutten',),
    'vuur': ('vuren',),
    'vuurspuwende': ('vuurspuwen',),
    'vuurt': ('vuren',),
    'waag': ('wagen',),
    'waaier': ('waaieren',),
    'waak': ('waken',),
    'waal': ('walen',),
    'waan': ('wanen',),
    'waarborg': ('waarborgen',),
    'waarde': ('waren',),
    'waarden': ('waren',),
    'waarderend': ('waarderen',),
    'waarderende': ('waarderen',),
    'waargenomen': ('waarnemen',),
    'waarmerk': ('waarmerken',),
    'waarnemend': ('waarnemen',),
    'waarnemende': ('waarnemen',),
    'waarschuwend': ('waarschuwen',),
    'waarschuwende': ('waarschuwen',),
    'wacht': ('wachten',),
    'wachtende': ('wachten',),
    'wachtenden': ('wachten',),
    'waffel': ('waffelen',),
    'waggelend': ('waggelen',),
    'waggelende': ('waggelen',),
    'wakend': ('waken',),
    'wakende': ('waken',),
    'wakker': ('wakkeren',),
    'wal': ('wallen',),
    'walden': ('wallen',),
    'walg': ('walgen',),
    'walk': ('walken',),
    'wallebak': ('wallebakken',),
    'walm': ('walmen',),
    'walmende': ('walmen',),
    'wals': ('walsen',),
    'walsten': ('walsen',),
    'walt': ('wallen',),
    'wam': ('wammen',),
    'wan': ('wannen',),
    'wanbof': ('wanboffen',),
    'wandel': ('wandelen',),
    'wandelend': ('wandelen',),
    'wandelende': ('wandelen',),
    'wanden': ('wannen',),
    'wanhoop': ('wanhopen',),
    'wanhopend': ('wanhopen',),
    'wanhopende': ('wanhopen',),
    'wankel': ('wankelen',),
    'want': ('wannen',),
    'wantrouwend': ('wantrouwen',),
    'wantrouwende': ('wantrouwen',),
    'wapen': ('wapenen',),
    'wapper': ('wapperen',),
    'wapperende': ('wapperen',),
    'war': ('warren',),
    'warde': ('warren',),
    'warden': ('warren',),
    'ware': ('zijn',),
    'waren': ('zijn',),
    'warm': ('warmen',),
    'wart': ('warren',),
    'was': ('zijn',),
    'wasem': ('wasemen',),
    'water': ('wateren',),
    'waterfiets': ('waterfietsen',),
    'watergolf': ('watergolven',),
    'waterpas': ('waterpassen',),
    'wauwel': ('wauwelen',),
    'weck': ('wecken',),
    'wed': ('wedden',),
    'wedde': ('wedden',),
    'wederantwoord': ('wederantwoorden',),
    'wederhoor': ('wederhoren',),
    'wederkeer': ('wederkeren',),
    'wederkerend': ('wederkeren',),
    'wederkerende': ('wederkeren',),
    'wederopbouw': ('wederopbouwen',),
    'wedijver': ('wedijveren',),
    'weeg': ('wegen',),
    'week': ('wijken',),
    'weekeind': ('weekeinden',),
    'weekend': ('weekenden',),
    'weer': ('weren',),
    'weerde': ('weren',),
    'weerden': ('weren',),
    'weergalm': ('weergalmen',),
    'weergaven': ('weergeven',),
    'weerhield': ('weerhouden',),
    'weerlegde': ('weerleggen',),
    'weerlicht': ('weerlichten',),
    'weerschijn': ('weerschijnen',),
    'weerschijnend': ('weerschijnen',),
    'weerschijnende': ('weerschijnen',),
    'weersprak': ('weerspreken',),
    'weert': ('weren',),
    'wees': ('wijzen',),
    'weet': ('weten',),
    'wegbuigende': ('wegbuigen',),
    'wegende': ('wegen',),
    'weger': ('wegeren',),
    'wegfiets': ('wegfietsen',),
    'weggebroken': ('wegbreken',),
    'weggevoerde': ('wegvoeren',),
    'wegwerp': ('wegwerpen',),
    'weiger': ('weigeren',),
    'weken': ('wijken',),
    'wel': ('wellen',),
    'welden': ('wellen',),
    'weldoend': ('weldoen',),
    'weldoende': ('weldoen',),
    'welf': ('welven',),
    'welgedaan': ('weldoen',),
    'welk': ('welken',),
    'welt': ('wellen',),
    'welvaart': ('welvaren',),
    'welvarend': ('welvaren',),
    'welvarende': ('welvaren',),
    'wen': ('wennen',),
    'wende': ('wennen',),
    'wenk': ('wenken',),
    'wens': ('wensen',),
    'went': ('wennen',),
    'wentel': ('wentelen',),
    'werd': ('worden',),
    'werden': ('worden',),
    'werf': ('werven',),
    'werk': ('werken',),
    'werkend': ('werken',),
    'werkende': ('werken',),
    'werkt': ('werken',),
    'werkte': ('werken',),
    'wervel': ('wervelen',),
    'wervelend': ('wervelen',),
    'wervelende': ('wervelen',),
    'westelijk': ('westelijken',),
    'wet': ('weten',),
    'wetend': ('weten',),
    'wetende': ('weten',),
    'wettig': ('wettigen',),
    'wezen': ('wijzen',),
    'whist': ('whisten',),
    'wiebel': ('wiebelen',),
    'wied': ('wieden',),
    'wieg': ('wiegen',),
    'wiegel': ('wiegelen',),
    'wiek': ('wieken',),
    'wiel': ('wielen',),
    'wielrijdend': ('wielrijden',),
    'wier': ('worden',),
    'wierd': ('worden',),
    'wierook': ('wieroken',),
    'wies': ('wassen',),
    'wig': ('wiggen',),
    'wijd': ('wijden',),
    'wijer': ('wijeren',),
    'wijk': ('wijken',),
    'wijl': ('wijlen',),
    'wijs': ('wijzen',),
    'wijst': ('wijzen',),
    'wijzende': ('wijzen',),
    'wijzigden': ('wijzigen',),
    'wik': ('wikken',),
    'wikkel': ('wikkelen',),
    'wil': ('willen',),
    'wilde': ('willen',),
    'wilden': ('willen',),
    'wille': ('willen',),
    'willig': ('willigen',),
    'wimpel': ('wimpelen',),
    'win': ('winnen',),
    'wind': ('winden',),
    'windel': ('windelen',),
    'windsurf': ('windsurfen',),
    'winkel': ('winkelen',),
    'winstgevend': ('winstgeven',),
    'winter': ('winteren',),
    'wip': ('wippen',),
    'wis': ('wissen',),
    'wissel': ('wisselen',),
    'wisselend': ('wisselen',),
    'wisselende': ('wisselen',),
    'wist': ('weten',),
    'wiste': ('wissen',),
    'wit': ('witten',),
    'witgewassen': ('witwassen',),
    'woedend': ('woeden',),
    'woedende': ('woeden',),
    'woeker': ('woekeren',),
    'wolf': ('wolven',),
    'wond': ('winden',),
    'wonden': ('winden',),
    'wonder': ('wonderen',),
    'woon': ('wonen',),
    'word': ('worden',),
    'worg': ('worgen',),
    'worgend': ('worgen',),
    'worgende': ('worgen',),
    'wortel': ('wortelen',),
    'wortelde': ('wortelen',),
    'wouden': ('willen',),
    'wraak': ('wraken',),
    'wreef': ('wrijven',),
    'wrekend': ('wreken',),
    'wrekende': ('wreken',),
    'wreven': ('wrijven',),
    'wrikt': ('wrikken',),
    'wringend': ('wringen',),
    'wringende': ('wringen',),
    'wrok': ('wrokken',),
    'wrong': ('wringen',),
    'wrongel': ('wrongelen',),
    'wrongen': ('wringen',),
    'wurgend': ('wurgen',),
    'wurgende': ('wurgen',),
    'wurgt': ('wurgen',),
    'wurm': ('wurmen',),
    'xerox': ('xeroxen',),
    'yahtzee': ('yahtzeeën',),
    "z'nen": ('zijn',),
    'zaag': ('zagen',),
    'zaai': ('zaaien',),
    'zaan': ('zanen',),
    'zadel': ('zadelen',),
    'zagen': ('zien',),
    'zak': ('zakken',),
    'zalf': ('zalven',),
    'zalig': ('zaligen',),
    'zalvend': ('zalven',),
    'zalvende': ('zalven',),
    'zand': ('zanden',),
    'zandstraal': ('zandstralen',),
    'zandt': ('zanden',),
    'zanik': ('zaniken',),
    'zat': ('zitten',),
    'zaten': ('zitten',),
    'zavel': ('zavelen',),
    'zeef': ('zeven',),
    'zeeg': ('zijgen',),
    'zeem': ('zemen',),
    'zeep': ('zepen',),
    'zeewerende': ('zeeweren',),
    'zeg': ('zeggen',),
    'zegel': ('zegelen',),
    'zegen': ('zegenen',),
    'zegepraal': ('zegepralen',),
    'zegepralend': ('zegepralen',),
    'zegepralende': ('zegepralen',),
    'zegevierend': ('zegevieren',),
    'zegevierende': ('zegevieren',),
    'zegge': ('zeggen',),
    'zeik': ('zeiken',),
    'zeil': ('zeilen',),
    'zeker': ('zekeren',),
    'zelfcorrigerende': ('zelfcorrigeren',),
    'zelfregerende': ('zelfregeren',),
    'zelfregulerend': ('zelfreguleren',),
    'zemel': ('zemelen',),
    'zeng': ('zengen',),
    'zet': ('zetten',),
    'zetel': ('zetelen',),
    'zeur': ('zeuren',),
    'zevende': ('zeven',),
    'zever': ('zeveren',),
    'zicht': ('zichten',),
    'zie': ('zien',),
    'ziedend': ('zieden',),
    'ziedende': ('zieden',),
    'ziek': ('zieken',),
    'ziekte': ('zieken',),
    'ziekten': ('zieken',),
    'zieltogend': ('zieltogen',),
    'zieltogende': ('zieltogen',),
    'ziende': ('zien',),
    'ziet': ('zien',),
    'zift': ('ziften',),
    'zigzag': ('zigzaggen',),
    'zigzaggende': ('zigzaggen',),
    'zij': ('zijn',),
    'zijg': ('zijgen',),
    'zijnd': ('zijn',),
    'zink': ('zinken',),
    'zinspeelde': ('zinspelen',),
    'zit': ('zitten',),
    'zittend': ('zitten',),
    'zittende': ('zitten',),
    'zoek': ('zoeken',),
    'zoekgeraakt': ('zoekraken',),
    'zoekgeraakte': ('zoekraken',),
    'zoem': ('zoemen',),
    'zoemt': ('zoemen',),
    'zoen': ('zoenen',),
    'zoet': ('zoeten',),
    'zoetschaaf': ('zoetschaven',),
    'zoetvijl': ('zoetvijlen',),
    'zogende': ('zogen',),
    'zolder': ('zolderen',),
    'zomer': ('zomeren',),
    'zon': ('zinnen',),
    'zonbeschenen': ('zonschijnen',),
    'zonde': ('zonnen',),
    'zonden': ('zenden',),
    'zonder': ('zonderen',),
    'zondig': ('zondigen',),
    'zonken': ('zinken',),
    'zonnen': ('zinnen',),
    'zont': ('zonnen',),
    'zooi': ('zooien',),
    'zool': ('zolen',),
    'zoom': ('zomen',),
    'zorg': ('zorgen',),
    'zorgde': ('zorgen',),
    'zout': ('zouten',),
    'zoutte': ('zouten',),
    'zucht': ('zuchten',),
    'zuchtend': ('zuchten',),
    'zuidelijk': ('zuidelijken',),
    'zuinig': ('zuinigen',),
    'zuip': ('zuipen',),
    'zuiver': ('zuiveren',),
    'zul': ('zullen',),
    'zult': ('zullen',),
    'zuur': ('zuren',),
    'zwaai': ('zwaaien',),
    'zwaard': ('zwaarden',),
    'zwabber': ('zwabberen',),
    'zwachtel': ('zwachtelen',),
    'zwak': ('zwakken',),
    'zwakte': ('zwakken',),
    'zwakten': ('zwakken',),
    'zwalp': ('zwalpen',),
    'zwaluwstaart': ('zwaluwstaarten',),
    'zwam': ('zwammen',),
    'zwans': ('zwanzen',),
    'zwart': ('zwarten',),
    'zwartepiet': ('zwartepieten',),
    'zwartgeblakerd': ('zwartblakeren',),
    'zwartsel': ('zwartselen',),
    'zwavel': ('zwavelen',),
    'zweed': ('zweden',),
    'zweef': ('zweven',),
    'zweefvlieg': ('zweefvliegen',),
    'zweel': ('zwelen',),
    'zweem': ('zwemen',),
    'zweep': ('zwepen',),
    'zweer': ('zweren',),
    'zweet': ('zweten',),
    'zwei': ('zweien',),
    'zwelg': ('zwelgen',),
    'zwem': ('zwemmen',),
    'zwendel': ('zwendelen',),
    'zwengel': ('zwengelen',),
    'zwenk': ('zwenken',),
    'zwerm': ('zwermen',),
    'zwevend': ('zweven',),
    'zwevende': ('zweven',),
    'zwiep': ('zwiepen',),
    'zwier': ('zwieren',),
    'zwierbol': ('zwierbollen',),
    'zwijg': ('zwijgen',),
    'zwijgend': ('zwijgen',),
    'zwijgende': ('zwijgen',),
    'zwijm': ('zwijmen',),
    'zwijmel': ('zwijmelen',),
    'zwijn': ('zwijnen',),
    'zwik': ('zwikken',),
    'zwingel': ('zwingelen',),
    'zwom': ('zwemmen',)
}
